Low Specs Experience v14.0.8 - 2026-07-25
• UPDATE: Game detection for Split Fiction (2025)

Low Specs Experience v14.0.7 - 2026-07-24
• TWEAK: Optimization for Assassin's Creed Shadows (2025)
• UPDATE: Game detection for Assassin's Creed Shadows (2025)
• UPDATE: Game detection for Conan Exiles (2018)
• UPDATE: Game detection for Conan Exiles Enhanced (2026)

Low Specs Experience v14.0.6 - 2026-07-23
• BACK-END: Optimization API refinements (api_v6.05)
• ADD: Optimization support for Assassin's Creed Shadows (2025)
• ADD: Optimization support for LEGO Batman: Legacy of the Dark Knight (2026)
• ADD: Optimization support for Saints Row (2022)
• TWEAK: Optimization for Conan Exiles Enhanced (2026)
• TWEAK: Optimization for Valorant (2020)
• UPDATE: Game detection for Conan Exiles (2018)
• UPDATE: Game detection for Conan Exiles Enhanced (2026)
• UPDATE: Game detection for Ready or Not (2023)

Low Specs Experience v14.0.5 - 2026-07-15
• ADD: Optimization support for 007 First Light (2026)
• ADD: Optimization support for Death Stranding 2: On the Beach (2026)
• ADD: Optimization support for Pragmata (2026)
• TWEAK: Optimization for Mass Effect Legendary Edition (2021)

Low Specs Experience v14.0.4 - 2026-07-10
• BACK-END: Optimization API refinements (api_v6.04)
• UI-UX: User interface refinements (ui_v14.03)
• ADD: Optimization support for Forza Horizon 6 (2026)
• ADD: Optimization support for Nioh 3 (2026)
• ADD: Optimization support for REANIMAL (2026)
• ADD: Optimization support for Resident Evil Requiem (2026)

Low Specs Experience v14.0.3 - 2026-06-19
• BACK-END: Optimization API refinements (api_v6.03)
• UI-UX: User interface refinements (ui_v14.02)
• TWEAK: Optimization for Life is Strange: Double Exposure (2024)
• TWEAK: Optimization for World of Tanks (2010)
• TWEAK: Optimization for World of Warships (2015)

Low Specs Experience v14.0.2 - 2026-06-16
• BACK-END: Optimization API refinements (api_v6.02)
• UI-UX: User interface refinements (ui_v14.01)
• TWEAK: Optimization for The First Descendant (2024)

Low Specs Experience v14.0.1 - 2026-06-14
• BACK-END: Optimization API refinements (api_v6.01)

Low Specs Experience v14.0.0 - 2026-06-11
• BACK-END: Optimization API refinements (api_v6.00)
• UI-UX: User interface refinements (ui_v14.00)

Low Specs Experience v13.4.1 - 2026-06-19
• BACK-END: Optimization API refinements (api_v5.20)

Low Specs Experience v13.4.0 - 2026-06-10
• BACK-END: Optimization API refinements (api_v5.19)
• UI-UX: User interface refinements (ui_v13.17)
• UPDATE: Game detection for Dead by Daylight (2016)
• TWEAK: Optimization for The First Descendant (2024)

Low Specs Experience v13.3.9 - 2026-05-09
• BACK-END: Optimization API refinements (api_v5.18)
• TWEAK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• TWEAK: Optimization for Dota 2 (2013)
• TWEAK: Optimization for Far Cry 3 (2012)
• TWEAK: Optimization for Far Cry 3: Blood Dragon (2013)
• TWEAK: Optimization for Far Cry 4 (2014)
• TWEAK: Optimization for Far Cry 5 (2018)
• TWEAK: Optimization for Far Cry 6 (2021)
• TWEAK: Optimization for Far Cry New Dawn (2019)
• TWEAK: Optimization for Far Cry Primal (2016)
• UPDATE: Game detection for Gotham Knights (2022)
• UPDATE: Game detection for Hunt: Showdown 1896 (2019)

Low Specs Experience v13.3.8 - 2026-05-09
• BACK-END: Optimization API refinements (api_v5.17)
• ADD: Optimization support for Conan Exiles Enhanced (2026)
• DEPRECATE: Support for Deceit (2016)
• DEPRECATE: Support for Vampire: The Masquerade - Bloodhunt (2022)
• TWEAK: Optimization for A.I.L.A (2025)
• TWEAK: Optimization for Alien: Isolation (2014)
• TWEAK: Optimization for Aliens: Fireteam Elite (2021)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for Bright Memory (2020)
• TWEAK: Optimization for Bright Memory: Infinite (2021)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Crackdown 3 (2019)
• TWEAK: Optimization for Cronos: The New Dawn (2025)
• TWEAK: Optimization for Dragon Ball Z: Kakarot (2020)
• TWEAK: Optimization for Dragon Ball: Sparking! Zero (2024)
• TWEAK: Optimization for Evil West (2022)
• TWEAK: Optimization for Gears 5 (2019)
• TWEAK: Optimization for Gears of War 4 (2016)
• TWEAK: Optimization for Gears of War: Reloaded (2025)
• TWEAK: Optimization for Gears Tactics (2020)
• TWEAK: Optimization for Goat Simulator 3 (2022)
• TWEAK: Optimization for Goat Simulator: Remastered (2024)
• TWEAK: Optimization for Grounded (2022)
• TWEAK: Optimization for Guilty Gear Strive (2021)
• TWEAK: Optimization for Halo: The Master Chief Collection (2019)
• TWEAK: Optimization for Hell is Us (2025)
• TWEAK: Optimization for Jump Force (2019)
• TWEAK: Optimization for Kena: Bridge of Spirits (2021)
• TWEAK: Optimization for King of Retail (2022)
• TWEAK: Optimization for LEGO Horizon Adventures (2024)
• TWEAK: Optimization for Lies of P (2023)
• TWEAK: Optimization for Life is Strange 2 (2018)
• TWEAK: Optimization for Life is Strange Remastered (2022)
• TWEAK: Optimization for Life is Strange: Double Exposure (2024)
• TWEAK: Optimization for Life is Strange: True Colors (2021)
• TWEAK: Optimization for Lords of the Fallen (2023)
• TWEAK: Optimization for Lost Records: Bloom and Rage (2025)
• TWEAK: Optimization for Lost Soul Aside (2025)
• TWEAK: Optimization for Martha is Dead (2022)
• TWEAK: Optimization for Marvel Rivals (2024)
• TWEAK: Optimization for MechWarrior 5: Clans (2024)
• TWEAK: Optimization for MechWarrior 5: Mercenaries (2019)
• TWEAK: Optimization for Mortal Kombat 1 (2023)
• TWEAK: Optimization for PUBG: Battlegrounds (2017)
• TWEAK: Optimization for Returnal (2023)
• TWEAK: Optimization for RoboCop: Rogue City (2023)
• TWEAK: Optimization for RoboCop: Rogue City - Unfinished Business (2025)
• TWEAK: Optimization for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)
• TWEAK: Optimization for Scum (2025)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Sea of Thieves (2018)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Shenmue 3 (2019)
• TWEAK: Optimization for Silent Hill 2 (2024)
• TWEAK: Optimization for Silent Hill f (2025)
• TWEAK: Optimization for Star Wars Jedi: Fallen Order (2019)
• TWEAK: Optimization for Star Wars Jedi: Survivor (2023)
• TWEAK: Optimization for Sword and Fairy 7 (2021)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for The Awesome Adventures of Captain Spirit (2018)
• TWEAK: Optimization for The Eternal Cylinder (2021)
• TWEAK: Optimization for The First Descendant (2024)
• TWEAK: Optimization for The Outer Worlds 2 (2025)
• TWEAK: Optimization for The Outer Worlds (2019)
• TWEAK: Optimization for The Outer Worlds: Spacer's Choice Edition (2023)
• TWEAK: Optimization for The Sinking City (2019)
• TWEAK: Optimization for The Sinking City Remastered (2025)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• TWEAK: Optimization for The Talos Principle: Reawakened (2025)
• TWEAK: Optimization for The Texas Chain Saw Massacre (2023)
• TWEAK: Optimization for The Waylanders (2022)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• TWEAK: Optimization for Train Sim World 5 (2024)
• TWEAK: Optimization for Train Sim World 6 (2025)
• TWEAK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• TWEAK: Optimization for Twin Mirror (2020)
• TWEAK: Optimization for Unknown 9: Awakening (2024)
• TWEAK: Optimization for Vampire: The Masquerade - Bloodlines 2 (2025)
• TWEAK: Optimization for Vampire: The Masquerade - Swansong (2022)
• UPDATE: Game detection for A.I.L.A (2025)
• UPDATE: Game detection for Aliens: Fireteam Elite (2021)
• UPDATE: Game detection for Bright Memory (2020)
• UPDATE: Game detection for Bright Memory: Infinite (2021)
• UPDATE: Game detection for Clair Obscur: Expedition 33 (2025)
• UPDATE: Game detection for Crackdown 3 (2019)
• UPDATE: Game detection for Cronos: The New Dawn (2025)
• UPDATE: Game detection for Dragon Ball Z: Kakarot (2020)
• UPDATE: Game detection for Dragon Ball: Sparking! Zero (2024)
• UPDATE: Game detection for Evil West (2022)
• UPDATE: Game detection for Gears 5 (2019)
• UPDATE: Game detection for Gears of War 4 (2016)
• UPDATE: Game detection for Gears of War: Reloaded (2025)
• UPDATE: Game detection for Gears Tactics (2020)
• UPDATE: Game detection for Goat Simulator 3 (2022)
• UPDATE: Game detection for Goat Simulator: Remastered (2024)
• UPDATE: Game detection for Grounded (2022)
• UPDATE: Game detection for Guilty Gear Strive (2021)
• UPDATE: Game detection for Halo: The Master Chief Collection (2019)
• UPDATE: Game detection for Hell is Us (2025)
• UPDATE: Game detection for Jump Force (2019)
• UPDATE: Game detection for Kena: Bridge of Spirits (2021)
• UPDATE: Game detection for King of Retail (2022)
• UPDATE: Game detection for LEGO Horizon Adventures (2024)
• UPDATE: Game detection for Lies of P (2023)
• UPDATE: Game detection for Life is Strange: Double Exposure (2024)
• UPDATE: Game detection for Lords of the Fallen (2023)
• UPDATE: Game detection for Lost Records: Bloom and Rage (2025)
• UPDATE: Game detection for Lost Soul Aside (2025)
• UPDATE: Game detection for Martha is Dead (2022)
• UPDATE: Game detection for Marvel Rivals (2024)
• UPDATE: Game detection for MechWarrior 5: Clans (2024)
• UPDATE: Game detection for MechWarrior 5: Mercenaries (2019)
• UPDATE: Game detection for Mortal Kombat 1 (2023)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for PUBG: Battlegrounds (2017)
• UPDATE: Game detection for Returnal (2023)
• UPDATE: Game detection for RoboCop: Rogue City (2023)
• UPDATE: Game detection for RoboCop: Rogue City - Unfinished Business (2025)
• UPDATE: Game detection for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)
• UPDATE: Game detection for Scum (2025)
• UPDATE: Game detection for Sea of Solitude (2019)
• UPDATE: Game detection for Sea of Thieves (2018)
• UPDATE: Game detection for Shenmue 3 (2019)
• UPDATE: Game detection for Silent Hill 2 (2024)
• UPDATE: Game detection for Silent Hill f (2025)
• UPDATE: Game detection for Star Wars Jedi: Fallen Order (2019)
• UPDATE: Game detection for Star Wars Jedi: Survivor (2023)
• UPDATE: Game detection for Sword and Fairy 7 (2021)
• UPDATE: Game detection for The Eternal Cylinder (2021)
• UPDATE: Game detection for The Outer Worlds 2 (2025)
• UPDATE: Game detection for The Outer Worlds (2019)
• UPDATE: Game detection for The Outer Worlds: Spacer's Choice Edition (2023)
• UPDATE: Game detection for The Sinking City (2019)
• UPDATE: Game detection for The Sinking City Remastered (2025)
• UPDATE: Game detection for The Talos Principle 2 (2023)
• UPDATE: Game detection for The Talos Principle: Reawakened (2025)
• UPDATE: Game detection for The Texas Chain Saw Massacre (2023)
• UPDATE: Game detection for The Waylanders (2022)
• UPDATE: Game detection for Unknown 9: Awakening (2024)
• UPDATE: Game detection for Vampire: The Masquerade - Bloodlines 2 (2025)
• UPDATE: Game detection for Vampire: The Masquerade - Swansong (2022)

Low Specs Experience v13.3.7 - 2026-05-01
• BACK-END: Optimization API refinements (api_v5.16)
• TWEAK: Optimization for Avowed (2025)
• TWEAK: Optimization for Chernobylite (2021)
• TWEAK: Optimization for Chivalry 2 (2021)
• TWEAK: Optimization for Conan Exiles (2018)
• TWEAK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• TWEAK: Optimization for F1 Manager 2022 (2022)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for F1 Manager 2024 (2024)
• TWEAK: Optimization for Ghostrunner 2 (2023)
• TWEAK: Optimization for Ghostrunner (2020)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for Hogwarts Legacy (2023)
• TWEAK: Optimization for It Takes Two (2021)
• TWEAK: Optimization for Journey to the Savage Planet (2020)
• TWEAK: Optimization for Little Nightmares 2 (2021)
• TWEAK: Optimization for Little Nightmares 2 Enhanced Edition (2021)
• TWEAK: Optimization for Little Nightmares 3 (2025)
• TWEAK: Optimization for Little Nightmares (2017)
• TWEAK: Optimization for Little Nightmares Enhanced Edition (2025)
• TWEAK: Optimization for Marvel's Midnight Suns (2022)
• TWEAK: Optimization for Mordhau (2019)
• TWEAK: Optimization for MX vs. ATV Legends (2021)
• TWEAK: Optimization for One Piece Odyssey (2022)
• TWEAK: Optimization for Outriders (2021)
• TWEAK: Optimization for Payday 3 (2023)
• TWEAK: Optimization for Psychonauts 2 (2021)
• TWEAK: Optimization for Ready or Not (2023)
• TWEAK: Optimization for Redfall (2023)
• TWEAK: Optimization for Rune 2 (2019)
• TWEAK: Optimization for Sackboy: A Big Adventure (2022)
• TWEAK: Optimization for Shadow Warrior 3 (2022)
• TWEAK: Optimization for Sifu (2022)
• TWEAK: Optimization for Soulcalibur 6 (2018)
• TWEAK: Optimization for Split Fiction (2025)
• TWEAK: Optimization for SpongeBob SquarePants: Titans of the Tide (2025)
• TWEAK: Optimization for Star Trek Prodigy: Supernova (2022)
• TWEAK: Optimization for Stray (2022)
• TWEAK: Optimization for Tekken 7 (2017)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for Terminator: Resistance (2019)
• TWEAK: Optimization for The Beast Inside (2019)
• TWEAK: Optimization for The Callisto Protocol (2022)
• TWEAK: Optimization for The Dark Pictures Anthology: House of Ashes (2021)
• TWEAK: Optimization for The Dark Pictures Anthology: Little Hope (2020)
• TWEAK: Optimization for The Dark Pictures Anthology: Man of Medan (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: The Devil in Me (2022)
• TWEAK: Optimization for The Elder Scrolls 4: Oblivion Remastered (2025)
• TWEAK: Optimization for The Finals (2023)
• TWEAK: Optimization for The Medium (2021)
• TWEAK: Optimization for The Redress of Mira (2022)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• TWEAK: Optimization for Train Sim World 5 (2024)
• TWEAK: Optimization for Train Sim World 6 (2025)
• TWEAK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• TWEAK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Until Dawn (2024)
• TWEAK: Optimization for Vampyr (2018)
• UPDATE: Game detection for Avowed (2025)
• UPDATE: Game detection for Battlefield 6 (2025)
• UPDATE: Game detection for Battlefield REDSEC (2025)
• UPDATE: Game detection for Chernobylite (2021)
• UPDATE: Game detection for Chivalry 2 (2021)
• UPDATE: Game detection for Code Vein (2019)
• UPDATE: Game detection for Conan Exiles (2018)
• UPDATE: Game detection for Crash Bandicoot 4: It's About Time (2021)
• UPDATE: Game detection for Dead Man's Diary (2022)
• UPDATE: Game detection for Dead Space (2023)
• UPDATE: Game detection for F1 Manager 2022 (2022)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for F1 Manager 2024 (2024)
• UPDATE: Game detection for Ghostrunner 2 (2023)
• UPDATE: Game detection for Ghostrunner (2020)
• UPDATE: Game detection for High on Life (2022)
• UPDATE: Game detection for Hogwarts Legacy (2023)
• UPDATE: Game detection for It Takes Two (2021)
• UPDATE: Game detection for Journey to the Savage Planet (2020)
• UPDATE: Game detection for Little Nightmares 2 (2021)
• UPDATE: Game detection for Little Nightmares 2 Enhanced Edition (2021)
• UPDATE: Game detection for Little Nightmares 3 (2025)
• UPDATE: Game detection for Little Nightmares (2017)
• UPDATE: Game detection for Little Nightmares Enhanced Edition (2025)
• UPDATE: Game detection for Marvel's Midnight Suns (2022)
• UPDATE: Game detection for Mordhau (2019)
• UPDATE: Game detection for MX vs. ATV Legends (2021)
• UPDATE: Game detection for One Piece Odyssey (2022)
• UPDATE: Game detection for Outriders (2021)
• UPDATE: Game detection for Payday 3 (2023)
• UPDATE: Game detection for Psychonauts 2 (2021)
• UPDATE: Game detection for Ready or Not (2023)
• UPDATE: Game detection for Redfall (2023)
• UPDATE: Game detection for Rune 2 (2019)
• UPDATE: Game detection for Sackboy: A Big Adventure (2022)
• UPDATE: Game detection for Shadow Warrior 3 (2022)
• UPDATE: Game detection for Sifu (2022)
• UPDATE: Game detection for Soulcalibur 6 (2018)
• UPDATE: Game detection for Split Fiction (2025)
• UPDATE: Game detection for SpongeBob SquarePants: Titans of the Tide (2025)
• UPDATE: Game detection for Star Trek Prodigy: Supernova (2022)
• UPDATE: Game detection for Stray (2022)
• UPDATE: Game detection for Tekken 7 (2017)
• UPDATE: Game detection for Tell Me Why (2020)
• UPDATE: Game detection for Terminator: Resistance (2019)
• UPDATE: Game detection for The Beast Inside (2019)
• UPDATE: Game detection for The Callisto Protocol (2022)
• UPDATE: Game detection for The Dark Pictures Anthology: House of Ashes (2021)
• UPDATE: Game detection for The Dark Pictures Anthology: Little Hope (2020)
• UPDATE: Game detection for The Dark Pictures Anthology: Man of Medan (2019)
• UPDATE: Game detection for The Dark Pictures Anthology: The Devil in Me (2022)
• UPDATE: Game detection for The Elder Scrolls 4: Oblivion Remastered (2025)
• UPDATE: Game detection for The Finals (2023)
• UPDATE: Game detection for The Medium (2021)
• UPDATE: Game detection for The Redress of Mira (2022)
• UPDATE: Game detection for Train Sim World 2 (2020)
• UPDATE: Game detection for Train Sim World 3 (2022)
• UPDATE: Game detection for Train Sim World 4 (2023)
• UPDATE: Game detection for Train Sim World 5 (2024)
• UPDATE: Game detection for Train Sim World 6 (2025)
• UPDATE: Game detection for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• UPDATE: Game detection for Treasure Hunter Simulator (2018)
• UPDATE: Game detection for Until Dawn (2024)
• UPDATE: Game detection for Vampyr (2018)

Low Specs Experience v13.3.6 - 2026-04-24
• BACK-END: Optimization API refinements (api_v5.15)
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Abzu (2016)
• TWEAK: Optimization for Ace Combat 7: Skies Unknown (2019)
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Agony (2018)
• TWEAK: Optimization for Agony Unrated (2018)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Alone in the Dark (2024)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for ARK: Survival Evolved (2017)
• TWEAK: Optimization for Ashes of Oahu (2019)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Astroneer (2016)
• TWEAK: Optimization for Atomic Heart (2023)
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Batman: Arkham Asylum - Game of the Year Edition (2009)
• TWEAK: Optimization for Batman: Arkham City - Game of the Year Edition (2012)
• TWEAK: Optimization for Batman: Arkham Origins (2013)
• TWEAK: Optimization for Battlefield 6 (2025)
• TWEAK: Optimization for Battlefield REDSEC (2025)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for BioShock Infinite (2013)
• TWEAK: Optimization for Blair Witch (2019)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Borderlands 3 (2019)
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Bus Simulator 21 (2021)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Call of Duty: Black Ops 7 (2025)
• TWEAK: Optimization for Call of Duty: Warzone (2025)
• TWEAK: Optimization for Close to the Sun (2019)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Crysis 2 (2011)
• TWEAK: Optimization for Crysis 2 Remastered (2021)
• TWEAK: Optimization for Crysis 3 (2013)
• TWEAK: Optimization for Crysis 3 Remastered (2021)
• TWEAK: Optimization for Crysis (2007)
• TWEAK: Optimization for Crysis Remastered (2020)
• TWEAK: Optimization for Crysis Warhead (2008)
• TWEAK: Optimization for Cyberpunk 2077 (2020)
• TWEAK: Optimization for Darksiders 3 (2018)
• TWEAK: Optimization for Darksiders Genesis (2019)
• TWEAK: Optimization for Daylight (2014)
• TWEAK: Optimization for Daymare: 1994 Sandcastle (2023)
• TWEAK: Optimization for Daymare: 1998 (2019)
• TWEAK: Optimization for Days Gone (2021)
• TWEAK: Optimization for Dead by Daylight (2016)
• TWEAK: Optimization for Dead Man's Diary (2022)
• TWEAK: Optimization for Deliver Us Mars (2023)
• TWEAK: Optimization for Deliver Us The Moon (2019)
• TWEAK: Optimization for Devil's Hunt (2019)
• TWEAK: Optimization for Dying Light 2 Stay Human (2022)
• TWEAK: Optimization for Dying Light: The Beast (2025)
• TWEAK: Optimization for Effie (2020)
• TWEAK: Optimization for Esse Proxy (2022)
• TWEAK: Optimization for F1 25 (2025)
• TWEAK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• TWEAK: Optimization for Food Truck Simulator (2022)
• TWEAK: Optimization for Friday the 13th: The Game (2017)
• TWEAK: Optimization for Gas Station Simulator (2021)
• TWEAK: Optimization for Ghostwire: Tokyo (2022)
• TWEAK: Optimization for Goat Simulator (2014)
• TWEAK: Optimization for Gotham Knights (2022)
• TWEAK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto 5 Enhanced (2025)
• TWEAK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• TWEAK: Optimization for Hellblade: Senua's Sacrifice (2017)
• TWEAK: Optimization for Homefront (2011)
• TWEAK: Optimization for Homefront: The Revolution (2016)
• TWEAK: Optimization for Indiana Jones and the Great Circle (2024)
• TWEAK: Optimization for Kingdom Come: Deliverance 2 (2025)
• TWEAK: Optimization for Kingdom Come: Deliverance (2018)
• TWEAK: Optimization for Life is Strange 2 (2018)
• TWEAK: Optimization for Life is Strange Remastered (2022)
• TWEAK: Optimization for Marvel's Spider-Man 2 (2025)
• TWEAK: Optimization for Mass Effect Legendary Edition (2021)
• TWEAK: Optimization for Medal of Honor (2010)
• TWEAK: Optimization for Moons of Madness (2019)
• TWEAK: Optimization for Naraka: Bladepoint (2021)
• TWEAK: Optimization for Outlast (2013)
• TWEAK: Optimization for OVERKILL's The Walking Dead (2018)
• TWEAK: Optimization for Partisans 1941 (2020)
• TWEAK: Optimization for Prey (2017)
• TWEAK: Optimization for Redeemer: Enhanced Edition (2017)
• TWEAK: Optimization for Remember Me (2013)
• TWEAK: Optimization for Remnant 2 (2023)
• TWEAK: Optimization for Remnant: From the Ashes (2019)
• TWEAK: Optimization for Rust (2018)
• TWEAK: Optimization for Ryse: Son of Rome (2014)
• TWEAK: Optimization for Scorn (2022)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Sherlock Holmes: Chapter One (2021)
• TWEAK: Optimization for Sniper: Ghost Warrior 2 (2013)
• TWEAK: Optimization for Sniper: Ghost Warrior 3 (2017)
• TWEAK: Optimization for Sniper: Ghost Warrior Contracts 2 (2021)
• TWEAK: Optimization for Sniper: Ghost Warrior Contracts (2019)
• TWEAK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• TWEAK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• TWEAK: Optimization for Spyro Reignited Trilogy (2019)
• TWEAK: Optimization for Starfield (2023)
• TWEAK: Optimization for State of Decay 2: Juggernaut Edition (2020)
• TWEAK: Optimization for State of Decay (2013)
• TWEAK: Optimization for State of Decay: Year-One Survival Edition (2015)
• TWEAK: Optimization for Submerged (2015)
• TWEAK: Optimization for Submerged: Hidden Depths (2022)
• TWEAK: Optimization for Sunset Overdrive (2018)
• TWEAK: Optimization for The Awesome Adventures of Captain Spirit (2018)
• TWEAK: Optimization for The First Descendant (2024)
• TWEAK: Optimization for The Last of Us Part 2 Remastered (2025)
• TWEAK: Optimization for The Last Oricru (2022)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for The Witcher 3: Wild Hunt Classic (2015)
• TWEAK: Optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• TWEAK: Optimization for Tiny Tina's Wonderlands (2022)
• TWEAK: Optimization for Tom Clancy's The Division 2 (2019)
• TWEAK: Optimization for Tom Clancy's The Division (2016)
• TWEAK: Optimization for Trek to Yomi (2022)
• TWEAK: Optimization for Trials Rising (2019)
• TWEAK: Optimization for Twin Mirror (2020)
• TWEAK: Optimization for War Thunder (2012)
• TWEAK: Optimization for We Happy Few (2018)
• UPDATE: Game detection for A Way Out (2018)
• UPDATE: Game detection for Abzu (2016)
• UPDATE: Game detection for Ace Combat 7: Skies Unknown (2019)
• UPDATE: Game detection for Aegis Descent (2023)
• UPDATE: Game detection for Agony (2018)
• UPDATE: Game detection for Agony Unrated (2018)
• UPDATE: Game detection for Alone in the Dark (2024)
• UPDATE: Game detection for Ancestors: The Humankind Odyssey (2019)
• UPDATE: Game detection for ARK: Survival Evolved (2017)
• UPDATE: Game detection for Ashes of Oahu (2019)
• UPDATE: Game detection for Assetto Corsa Competizione (2019)
• UPDATE: Game detection for Astroneer (2016)
• UPDATE: Game detection for Atomic Heart (2023)
• UPDATE: Game detection for Back 4 Blood (2021)
• UPDATE: Game detection for Bakery Simulator (2022)
• UPDATE: Game detection for Big Earth (2022)
• UPDATE: Game detection for Biomutant (2021)
• UPDATE: Game detection for Blair Witch (2019)
• UPDATE: Game detection for Bloodstained: Ritual of the Night (2019)
• UPDATE: Game detection for Borderlands 3 (2019)
• UPDATE: Game detection for Bus Simulator 18 (2018)
• UPDATE: Game detection for Bus Simulator 21 (2021)
• UPDATE: Game detection for Call of Cthulhu (2018)
• UPDATE: Game detection for Close to the Sun (2019)
• UPDATE: Game detection for Cold House (2022)
• UPDATE: Game detection for Crysis 2 (2011)
• UPDATE: Game detection for Crysis 2 Remastered (2021)
• UPDATE: Game detection for Crysis 3 (2013)
• UPDATE: Game detection for Crysis 3 Remastered (2021)
• UPDATE: Game detection for Crysis (2007)
• UPDATE: Game detection for Crysis Remastered (2020)
• UPDATE: Game detection for Crysis Warhead (2008)
• UPDATE: Game detection for Darksiders 3 (2018)
• UPDATE: Game detection for Darksiders Genesis (2019)
• UPDATE: Game detection for Daylight (2014)
• UPDATE: Game detection for Daymare: 1994 Sandcastle (2023)
• UPDATE: Game detection for Daymare: 1998 (2019)
• UPDATE: Game detection for Days Gone (2021)
• UPDATE: Game detection for Dead by Daylight (2016)
• UPDATE: Game detection for Dead Man's Diary (2022)
• UPDATE: Game detection for Deliver Us Mars (2023)
• UPDATE: Game detection for Deliver Us The Moon (2019)
• UPDATE: Game detection for Devil's Hunt (2019)
• UPDATE: Game detection for Effie (2020)
• UPDATE: Game detection for Esse Proxy (2022)
• UPDATE: Game detection for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• UPDATE: Game detection for Food Truck Simulator (2022)
• UPDATE: Game detection for Friday the 13th: The Game (2017)
• UPDATE: Game detection for Gas Station Simulator (2021)
• UPDATE: Game detection for Ghostwire: Tokyo (2022)
• UPDATE: Game detection for Gotham Knights (2022)
• UPDATE: Game detection for Grand Theft Auto 3 - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• UPDATE: Game detection for Hellblade: Senua's Sacrifice (2017)
• UPDATE: Game detection for Homefront: The Revolution (2016)
• UPDATE: Game detection for Kingdom Come: Deliverance 2 (2025)
• UPDATE: Game detection for Kingdom Come: Deliverance (2018)
• UPDATE: Game detection for Life is Strange 2 (2018)
• UPDATE: Game detection for Life is Strange Remastered (2022)
• UPDATE: Game detection for Mass Effect Legendary Edition (2021)
• UPDATE: Game detection for Medal of Honor (2010)
• UPDATE: Game detection for Moons of Madness (2019)
• UPDATE: Game detection for OVERKILL's The Walking Dead (2018)
• UPDATE: Game detection for Partisans 1941 (2020)
• UPDATE: Game detection for Prey (2017)
• UPDATE: Game detection for Redeemer: Enhanced Edition (2017)
• UPDATE: Game detection for Remember Me (2013)
• UPDATE: Game detection for Remnant 2 (2023)
• UPDATE: Game detection for Remnant: From the Ashes (2019)
• UPDATE: Game detection for Rust (2018)
• UPDATE: Game detection for Ryse: Son of Rome (2014)
• UPDATE: Game detection for Scorn (2022)
• UPDATE: Game detection for Senua's Saga: Hellblade 2 (2024)
• UPDATE: Game detection for Sherlock Holmes: Chapter One (2021)
• UPDATE: Game detection for Sniper: Ghost Warrior 2 (2013)
• UPDATE: Game detection for Sniper: Ghost Warrior 3 (2017)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts 2 (2021)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts (2019)
• UPDATE: Game detection for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• UPDATE: Game detection for SpongeBob SquarePants: The Cosmic Shake (2023)
• UPDATE: Game detection for Spyro Reignited Trilogy (2019)
• UPDATE: Game detection for Starfield (2023)
• UPDATE: Game detection for State of Decay 2: Juggernaut Edition (2020)
• UPDATE: Game detection for State of Decay (2013)
• UPDATE: Game detection for State of Decay: Year-One Survival Edition (2015)
• UPDATE: Game detection for Submerged (2015)
• UPDATE: Game detection for Submerged: Hidden Depths (2022)
• UPDATE: Game detection for Sunset Overdrive (2018)
• UPDATE: Game detection for The Awesome Adventures of Captain Spirit (2018)
• UPDATE: Game detection for The First Descendant (2024)
• UPDATE: Game detection for The Last Oricru (2022)
• UPDATE: Game detection for The Quarry (2022)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Classic (2015)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Next-Gen (2022)
• UPDATE: Game detection for Tiny Tina's Wonderlands (2022)
• UPDATE: Game detection for Tom Clancy's The Division 2 (2019)
• UPDATE: Game detection for Tom Clancy's The Division (2016)
• UPDATE: Game detection for Trek to Yomi (2022)
• UPDATE: Game detection for Trials Rising (2019)
• UPDATE: Game detection for Twin Mirror (2020)
• UPDATE: Game detection for Uncharted: Legacy of Thieves Collection (2022)
• UPDATE: Game detection for We Happy Few (2018)

Low Specs Experience v13.3.5 - 2026-04-15
• UI-UX: User interface refinements (ui_v13.16)
• TWEAK: Optimization for Batman: Arkham Asylum - Game of the Year Edition (2009)
• TWEAK: Optimization for Batman: Arkham City - Game of the Year Edition (2012)
• TWEAK: Optimization for Batman: Arkham Knight (2015)
• TWEAK: Optimization for Batman: Arkham Origins (2013)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for BioShock Infinite (2013)
• TWEAK: Optimization for Borderlands 2 (2012)
• TWEAK: Optimization for Borderlands (2009)
• TWEAK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• TWEAK: Optimization for Borderlands: The Pre-Sequel (2014)
• TWEAK: Optimization for Bulletstorm: Full Clip Edition (2017)
• TWEAK: Optimization for Dead Island Definitive Edition (2016)
• TWEAK: Optimization for Dead Island: Riptide Definitive Edition (2016)
• TWEAK: Optimization for Devil May Cry 5 (2019)
• TWEAK: Optimization for Dishonored (2012)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Fortnite (2017)
• TWEAK: Optimization for Goat Simulator (2014)
• TWEAK: Optimization for Homefront (2011)
• TWEAK: Optimization for Hunt: Showdown 1896 (2019)
• TWEAK: Optimization for I Am Alive (2012)
• TWEAK: Optimization for Mass Effect: Andromeda (2017)
• TWEAK: Optimization for Medal of Honor: Warfighter (2012)
• TWEAK: Optimization for Mirror's Edge (2009)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Murdered: Soul Suspect (2014)
• TWEAK: Optimization for Outlast 2 (2017)
• TWEAK: Optimization for Outlast (2013)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for The Bureau: XCOM Declassified (2013)
• TWEAK: Optimization for The First Descendant (2024)
• TWEAK: Optimization for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• TWEAK: Optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• UPDATE: Game detection for Anthem (2019)
• UPDATE: Game detection for Batman: Arkham Asylum - Game of the Year Edition (2009)
• UPDATE: Game detection for Batman: Arkham City - Game of the Year Edition (2012)
• UPDATE: Game detection for Batman: Arkham Knight (2015)
• UPDATE: Game detection for Batman: Arkham Origins (2013)
• UPDATE: Game detection for Battlefield 1 (2016)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Battlefield 4 (2013)
• UPDATE: Game detection for Battlefield 5 (2018)
• UPDATE: Game detection for Battlefield 2042 (2021)
• UPDATE: Game detection for Battlefield Hardline (2015)
• UPDATE: Game detection for BioShock Infinite (2013)
• UPDATE: Game detection for Borderlands 2 (2012)
• UPDATE: Game detection for Borderlands (2009)
• UPDATE: Game detection for Borderlands: Game of the Year Enhanced (2019)
• UPDATE: Game detection for Borderlands: The Pre-Sequel (2014)
• UPDATE: Game detection for Bulletstorm: Full Clip Edition (2017)
• UPDATE: Game detection for Dead Island Definitive Edition (2016)
• UPDATE: Game detection for Dead Island: Riptide Definitive Edition (2016)
• UPDATE: Game detection for Devil May Cry 5 (2019)
• UPDATE: Game detection for Dishonored (2012)
• UPDATE: Game detection for Dragon Age: Inquisition (2014)
• UPDATE: Game detection for Dragon Age: The Veilguard (2024)
• UPDATE: Game detection for Goat Simulator (2014)
• UPDATE: Game detection for Homefront (2011)
• UPDATE: Game detection for Hunt: Showdown 1896 (2019)
• UPDATE: Game detection for I Am Alive (2012)
• UPDATE: Game detection for Mass Effect: Andromeda (2017)
• UPDATE: Game detection for Medal of Honor: Warfighter (2012)
• UPDATE: Game detection for Mirror's Edge (2009)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Murdered: Soul Suspect (2014)
• UPDATE: Game detection for Need for Speed (2016)
• UPDATE: Game detection for Need for Speed Heat (2019)
• UPDATE: Game detection for Need for Speed Payback (2017)
• UPDATE: Game detection for Need for Speed Rivals (2013)
• UPDATE: Game detection for Need for Speed Unbound (2022)
• UPDATE: Game detection for Outlast 2 (2017)
• UPDATE: Game detection for Outlast (2013)
• UPDATE: Game detection for Plants vs. Zombies: Battle for Neighborville (2019)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare 2 (2016)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Star Wars Battlefront 2 (2017)
• UPDATE: Game detection for Star Wars Battlefront (2015)
• UPDATE: Game detection for Star Wars: Squadrons (2020)
• UPDATE: Game detection for The Bureau: XCOM Declassified (2013)
• UPDATE: Game detection for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• UPDATE: Game detection for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)

Low Specs Experience v13.3.4 - 2026-04-04
• TWEAK: Optimization for Dynasty Warriors: Origins (2025)
• TWEAK: Optimization for Fortnite (2017)
• TWEAK: Optimization for Hitman 2 (2018)
• TWEAK: Optimization for Hitman 3 (2021)
• TWEAK: Optimization for Hitman (2016)
• TWEAK: Optimization for Hitman World of Assassination (2023)
• TWEAK: Optimization for Indiana Jones and the Great Circle (2024)
• TWEAK: Optimization for Rage (2011)
• TWEAK: Optimization for Rocket League (2015)
• TWEAK: Optimization for The Sims 3 (2009)
• TWEAK: Optimization for The Sims 4 (2014)
• TWEAK: Optimization for Wolfenstein 2: The New Colossus (2017)
• TWEAK: Optimization for Wolfenstein: The New Order (2014)
• TWEAK: Optimization for Wolfenstein: The Old Blood (2015)
• TWEAK: Optimization for Wolfenstein: Youngblood (2019)
• UPDATE: Game detection for Dynasty Warriors: Origins (2025)
• UPDATE: Game detection for Fortnite (2017)
• UPDATE: Game detection for Hitman 2 (2018)
• UPDATE: Game detection for Hitman 3 (2021)
• UPDATE: Game detection for Hitman (2016)
• UPDATE: Game detection for Hitman World of Assassination (2023)
• UPDATE: Game detection for Indiana Jones and the Great Circle (2024)
• UPDATE: Game detection for Rocket League (2015)
• UPDATE: Game detection for The Sims 3 (2009)
• UPDATE: Game detection for The Sims 4 (2014)
• UPDATE: Game detection for Wolfenstein 2: The New Colossus (2017)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)
• UPDATE: Game detection for Wolfenstein: Youngblood (2019)

Low Specs Experience v13.3.3 - 2026-04-01
• UI-UX: User interface refinements (ui_v13.15)
• TWEAK: Optimization for Dragon Age: The Veilguard (2024)
• TWEAK: Optimization for Dying Light 2 Stay Human (2022)
• TWEAK: Optimization for Dying Light (2015)
• TWEAK: Optimization for Dying Light: The Beast (2025)
• UPDATE: Game detection for Dragon Age: The Veilguard (2024)
• UPDATE: Game detection for Dying Light 2 Stay Human (2022)
• UPDATE: Game detection for Dying Light (2015)
• UPDATE: Game detection for Dying Light: The Beast (2025)

Low Specs Experience v13.3.2 - 2026-03-31
• BACK-END: Optimization API refinements (api_v5.14)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for F1 22 (2022)
• TWEAK: Optimization for F1 23 (2023)
• TWEAK: Optimization for F1 24 (2024)
• TWEAK: Optimization for F1 25 (2025)
• TWEAK: Optimization for F1 2010 (2010)
• TWEAK: Optimization for F1 2011 (2011)
• TWEAK: Optimization for F1 2012 (2012)
• TWEAK: Optimization for F1 2013 (2013)
• TWEAK: Optimization for F1 2014 (2014)
• TWEAK: Optimization for F1 2015 (2015)
• TWEAK: Optimization for F1 2016 (2016)
• TWEAK: Optimization for F1 2017 (2017)
• TWEAK: Optimization for F1 2018 (2018)
• TWEAK: Optimization for F1 2019 (2019)
• TWEAK: Optimization for F1 2020 (2020)
• TWEAK: Optimization for F1 2021 (2021)
• TWEAK: Optimization for LEGO City Undercover (2017)
• TWEAK: Optimization for LEGO DC Super-Villains (2018)
• TWEAK: Optimization for LEGO Jurassic World (2015)
• TWEAK: Optimization for LEGO Marvel Super Heroes 2 (2017)
• TWEAK: Optimization for LEGO Marvel Super Heroes (2013)
• TWEAK: Optimization for LEGO Marvel's Avengers (2016)
• TWEAK: Optimization for LEGO Pirates of the Caribbean: The Video Game (2011)
• TWEAK: Optimization for LEGO Star Wars: The Force Awakens (2016)
• TWEAK: Optimization for LEGO Star Wars: The Skywalker Saga (2022)
• TWEAK: Optimization for LEGO The Hobbit (2014)
• TWEAK: Optimization for LEGO The Incredibles (2018)
• TWEAK: Optimization for LEGO The Lord of the Rings (2012)
• TWEAK: Optimization for LEGO Worlds (2017)
• TWEAK: Optimization for No Man's Sky (2016)
• TWEAK: Optimization for Payday 2 (2013)
• TWEAK: Optimization for Payday: The Heist (2011)
• TWEAK: Optimization for Rage 2 (2019)
• TWEAK: Optimization for Rage (2011)
• TWEAK: Optimization for The First Descendant (2024)
• TWEAK: Optimization for The LEGO Movie Videogame 2 (2019)
• TWEAK: Optimization for The LEGO Movie Videogame (2014)
• TWEAK: Optimization for The LEGO Ninjago Movie Video Game (2017)
• TWEAK: Optimization for Tree of Savior (2016)
• UPDATE: Game detection for Anthem (2019)
• UPDATE: Game detection for F1 22 (2022)
• UPDATE: Game detection for F1 23 (2023)
• UPDATE: Game detection for F1 24 (2024)
• UPDATE: Game detection for F1 25 (2025)
• UPDATE: Game detection for F1 2010 (2010)
• UPDATE: Game detection for F1 2011 (2011)
• UPDATE: Game detection for F1 2012 (2012)
• UPDATE: Game detection for F1 2013 (2013)
• UPDATE: Game detection for F1 2014 (2014)
• UPDATE: Game detection for F1 2015 (2015)
• UPDATE: Game detection for F1 2016 (2016)
• UPDATE: Game detection for F1 2017 (2017)
• UPDATE: Game detection for F1 2018 (2018)
• UPDATE: Game detection for F1 2019 (2019)
• UPDATE: Game detection for F1 2020 (2020)
• UPDATE: Game detection for F1 2021 (2021)
• UPDATE: Game detection for LEGO City Undercover (2017)
• UPDATE: Game detection for LEGO DC Super-Villains (2018)
• UPDATE: Game detection for LEGO Jurassic World (2015)
• UPDATE: Game detection for LEGO Marvel Super Heroes 2 (2017)
• UPDATE: Game detection for LEGO Marvel Super Heroes (2013)
• UPDATE: Game detection for LEGO Marvel's Avengers (2016)
• UPDATE: Game detection for LEGO Pirates of the Caribbean: The Video Game (2011)
• UPDATE: Game detection for LEGO Star Wars: The Force Awakens (2016)
• UPDATE: Game detection for LEGO Star Wars: The Skywalker Saga (2022)
• UPDATE: Game detection for LEGO The Hobbit (2014)
• UPDATE: Game detection for LEGO The Incredibles (2018)
• UPDATE: Game detection for LEGO The Lord of the Rings (2012)
• UPDATE: Game detection for LEGO Worlds (2017)
• UPDATE: Game detection for No Man's Sky (2016)
• UPDATE: Game detection for Payday 2 (2013)
• UPDATE: Game detection for Payday: The Heist (2011)
• UPDATE: Game detection for Rage 2 (2019)
• UPDATE: Game detection for Rage (2011)
• UPDATE: Game detection for The LEGO Movie Videogame 2 (2019)
• UPDATE: Game detection for The LEGO Movie Videogame (2014)
• UPDATE: Game detection for The LEGO Ninjago Movie Video Game (2017)
• UPDATE: Game detection for Tree of Savior (2016)

Low Specs Experience v13.3.1 - 2026-03-27
• DEPRECATE: Support for Mega Man 11 (2018)
• DEPRECATE: Support for Mega Man X Legacy Collection 2 (2018)
• DEPRECATE: Support for Mega Man X Legacy Collection (2018)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield 6 (2025)
• TWEAK: Optimization for Battlefield 2042 (2021)
• TWEAK: Optimization for Battlefield REDSEC (2025)
• TWEAK: Optimization for Battlefield: Bad Company 2 (2010)
• TWEAK: Optimization for DiRT 2 (2009)
• TWEAK: Optimization for DiRT 3 (2011)
• TWEAK: Optimization for DiRT 4 (2017)
• TWEAK: Optimization for DiRT Rally 2.0 (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for DiRT Showdown (2012)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Grand Theft Auto 5 Enhanced (2025)
• TWEAK: Optimization for Grand Theft Auto 5 Legacy (2015)
• TWEAK: Optimization for Grand Theft Auto 5 Legacy (FiveM) (2015)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID (2019)
• TWEAK: Optimization for GRID aka Race Driver: Grid (2008)
• TWEAK: Optimization for GRID Autosport (2014)
• TWEAK: Optimization for GRID Legends (2022)
• TWEAK: Optimization for Jagged Alliance 3 (2023)
• TWEAK: Optimization for Just Cause 2 (2010)
• TWEAK: Optimization for Just Cause 3 (2015)
• TWEAK: Optimization for Just Cause 4 (2018)
• TWEAK: Optimization for Mafia 2 (Classic) (2010)
• TWEAK: Optimization for Mafia: Definitive Edition (2020)
• TWEAK: Optimization for Metro Exodus (2019)
• TWEAK: Optimization for Metro Exodus Enhanced Edition (2021)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Need for Speed (2016)
• TWEAK: Optimization for Need for Speed Heat (2019)
• TWEAK: Optimization for Need for Speed Payback (2017)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Red Dead Redemption 2 (2019)
• TWEAK: Optimization for Red Dead Redemption 2 (RedM) (2019)
• TWEAK: Optimization for Rise of the Tomb Raider (2016)
• TWEAK: Optimization for Shadow of the Tomb Raider (2018)
• TWEAK: Optimization for Sons of the Forest (2024)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for Star Wars: Squadrons (2020)
• TWEAK: Optimization for The Elder Scrolls 5: Skyrim Special Edition (2016)
• TWEAK: Optimization for The Evil Within 2 (2017)
• TWEAK: Optimization for The Evil Within (2014)
• TWEAK: Optimization for Tom Clancy's Splinter Cell: Conviction (2010)
• TWEAK: Optimization for Tomb Raider (2013)
• TWEAK: Optimization for Tomb Raider: Definitive Edition (2024)
• TWEAK: Optimization for War Thunder (2012)
• TWEAK: Optimization for Warframe (2013)
• UPDATE: Game detection for Battlefield 1 (2016)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Battlefield 4 (2013)
• UPDATE: Game detection for Battlefield 5 (2018)
• UPDATE: Game detection for Battlefield 6 (2025)
• UPDATE: Game detection for Battlefield 2042 (2021)
• UPDATE: Game detection for Battlefield REDSEC (2025)
• UPDATE: Game detection for Battlefield: Bad Company 2 (2010)
• UPDATE: Game detection for DiRT 2 (2009)
• UPDATE: Game detection for DiRT 3 (2011)
• UPDATE: Game detection for DiRT 4 (2017)
• UPDATE: Game detection for DiRT Rally 2.0 (2019)
• UPDATE: Game detection for DiRT Rally (2015)
• UPDATE: Game detection for DiRT Showdown (2012)
• UPDATE: Game detection for Dragon Age: Inquisition (2014)
• UPDATE: Game detection for Grand Theft Auto 5 Enhanced (2025)
• UPDATE: Game detection for Grand Theft Auto 5 Legacy (2015)
• UPDATE: Game detection for Grand Theft Auto 5 Legacy (FiveM) (2015)
• UPDATE: Game detection for GRID 2 (2013)
• UPDATE: Game detection for GRID (2019)
• UPDATE: Game detection for GRID aka Race Driver: Grid (2008)
• UPDATE: Game detection for GRID Autosport (2014)
• UPDATE: Game detection for GRID Legends (2022)
• UPDATE: Game detection for Jagged Alliance 3 (2023)
• UPDATE: Game detection for Just Cause 2 (2010)
• UPDATE: Game detection for Just Cause 3 (2015)
• UPDATE: Game detection for Just Cause 4 (2018)
• UPDATE: Game detection for Mafia 2 (Classic) (2010)
• UPDATE: Game detection for Mafia: Definitive Edition (2020)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Need for Speed (2016)
• UPDATE: Game detection for Need for Speed Heat (2019)
• UPDATE: Game detection for Need for Speed Payback (2017)
• UPDATE: Game detection for Need for Speed Rivals (2013)
• UPDATE: Game detection for Need for Speed Unbound (2022)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare 2 (2016)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Red Dead Redemption 2 (2019)
• UPDATE: Game detection for Red Dead Redemption 2 (RedM) (2019)
• UPDATE: Game detection for Rise of the Tomb Raider (2016)
• UPDATE: Game detection for Shadow of the Tomb Raider (2018)
• UPDATE: Game detection for Sons of the Forest (2024)
• UPDATE: Game detection for Star Wars Battlefront 2 (2017)
• UPDATE: Game detection for Star Wars Battlefront (2015)
• UPDATE: Game detection for Star Wars: Squadrons (2020)
• UPDATE: Game detection for The Elder Scrolls 5: Skyrim Special Edition (2016)
• UPDATE: Game detection for The Evil Within 2 (2017)
• UPDATE: Game detection for The Evil Within (2014)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Conviction (2010)
• UPDATE: Game detection for Tomb Raider (2013)
• UPDATE: Game detection for Tomb Raider: Definitive Edition (2024)
• UPDATE: Game detection for War Thunder (2012)
• UPDATE: Game detection for Warframe (2013)

Low Specs Experience v13.3.0 - 2026-03-19
• BACK-END: Optimization API refinements (api_v5.13)
• TWEAK: Optimization for Cyberpunk 2077 (2020)
• TWEAK: Optimization for Tom Clancy's Rainbow Six Extraction (2022)
• TWEAK: Optimization for Tom Clancy's Rainbow Six Siege (2015)
• UPDATE: Game detection for Batman: Arkham Origins Blackgate (2013)
• UPDATE: Game detection for Cyberpunk 2077 (2020)
• UPDATE: Game detection for Tom Clancy's Rainbow Six Extraction (2022)
• UPDATE: Game detection for Tom Clancy's Rainbow Six Siege (2015)

Low Specs Experience v13.2.9 - 2026-03-18
• BACK-END: Optimization API refinements (api_v5.12)
• UI-UX: User interface refinements (ui_v13.14)
• TWEAK: Optimization for Assassin's Creed 4: Black Flag (2013)
• TWEAK: Optimization for Assassin's Creed Syndicate (2015)
• TWEAK: Optimization for Assassin's Creed Unity (2014)
• TWEAK: Optimization for Assassin's Creed: Freedom Cry (2014)
• TWEAK: Optimization for BioShock 2 (2010)
• TWEAK: Optimization for BioShock 2 Remastered (2016)
• TWEAK: Optimization for BioShock (2007)
• TWEAK: Optimization for BioShock Remastered (2016)
• TWEAK: Optimization for Call of Duty: Black Ops 6 (2024)
• TWEAK: Optimization for Call of Duty: Black Ops 7 (2025)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2022)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• TWEAK: Optimization for Call of Duty: Warzone (2025)
• TWEAK: Optimization for Civilization 5 (2010)
• TWEAK: Optimization for Civilization 6 (2016)
• TWEAK: Optimization for Civilization: Beyond Earth (2014)
• TWEAK: Optimization for Company of Heroes 2 (2013)
• TWEAK: Optimization for Company of Heroes 3 (2023)
• TWEAK: Optimization for Dead Space (2023)
• TWEAK: Optimization for Deathloop (2021)
• TWEAK: Optimization for Destiny 2 (2017)
• TWEAK: Optimization for Detroit: Become Human (2020)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for Dishonored: Death of the Outsider (2017)
• TWEAK: Optimization for Dragon Ball Xenoverse 2 (2016)
• TWEAK: Optimization for Dragon Ball Xenoverse (2015)
• TWEAK: Optimization for Fallout 3 (2008)
• TWEAK: Optimization for Fallout: New Vegas (2010)
• TWEAK: Optimization for Far Cry 2 (2008)
• TWEAK: Optimization for Far Cry 3 (2012)
• TWEAK: Optimization for Far Cry 3: Blood Dragon (2013)
• TWEAK: Optimization for Far Cry 4 (2014)
• TWEAK: Optimization for Far Cry 5 (2018)
• TWEAK: Optimization for Far Cry 6 (2021)
• TWEAK: Optimization for Far Cry New Dawn (2019)
• TWEAK: Optimization for Far Cry Primal (2016)
• TWEAK: Optimization for Final Fantasy XV (2018) (a.k.a. Final Fantasy 15)
• TWEAK: Optimization for GreedFall (2019)
• TWEAK: Optimization for Heavy Rain (2019)
• TWEAK: Optimization for Heroes of the Storm (2015)
• TWEAK: Optimization for League of Legends (2009)
• TWEAK: Optimization for Overwatch (2023) (a.k.a. Overwatch 2)
• TWEAK: Optimization for Red Dead Redemption (2024)
• TWEAK: Optimization for Tom Clancy's Ghost Recon Breakpoint (2019)
• TWEAK: Optimization for Tom Clancy's Ghost Recon Wildlands (2017)
• TWEAK: Optimization for Tom Clancy's Ghost Recon: Future Soldier (2012)
• TWEAK: Optimization for Tom Clancy's Splinter Cell: Blacklist (2013)
• TWEAK: Optimization for Valorant (2020)
• TWEAK: Optimization for Watch Dogs 2 (2016)
• TWEAK: Optimization for Watch Dogs (2014)
• TWEAK: Optimization for Watch Dogs: Legion (2020)
• TWEAK: Optimization for World of Warcraft (2004)
• UPDATE: Game detection for Assassin's Creed 4: Black Flag (2013)
• UPDATE: Game detection for Assassin's Creed Syndicate (2015)
• UPDATE: Game detection for Assassin's Creed Unity (2014)
• UPDATE: Game detection for Assassin's Creed: Freedom Cry (2014)
• UPDATE: Game detection for BioShock 2 (2010)
• UPDATE: Game detection for BioShock 2 Remastered (2016)
• UPDATE: Game detection for BioShock (2007)
• UPDATE: Game detection for BioShock Remastered (2016)
• UPDATE: Game detection for Call of Duty: Black Ops 6 (2024)
• UPDATE: Game detection for Call of Duty: Black Ops 7 (2025)
• UPDATE: Game detection for Call of Duty: Warzone (2025)
• UPDATE: Game detection for Civilization 5 (2010)
• UPDATE: Game detection for Civilization 6 (2016)
• UPDATE: Game detection for Civilization: Beyond Earth (2014)
• UPDATE: Game detection for Company of Heroes 2 (2013)
• UPDATE: Game detection for Company of Heroes 3 (2023)
• UPDATE: Game detection for Dead Space (2023)
• UPDATE: Game detection for Deathloop (2021)
• UPDATE: Game detection for Destiny 2 (2017)
• UPDATE: Game detection for Detroit: Become Human (2020)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)
• UPDATE: Game detection for Dragon Ball Xenoverse 2 (2016)
• UPDATE: Game detection for Dragon Ball Xenoverse (2015)
• UPDATE: Game detection for Fallout 3 (2008)
• UPDATE: Game detection for Fallout: New Vegas (2010)
• UPDATE: Game detection for Far Cry 2 (2008)
• UPDATE: Game detection for Far Cry 3 (2012)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Far Cry 4 (2014)
• UPDATE: Game detection for Far Cry 5 (2018)
• UPDATE: Game detection for Far Cry 6 (2021)
• UPDATE: Game detection for Far Cry New Dawn (2019)
• UPDATE: Game detection for Far Cry Primal (2016)
• UPDATE: Game detection for Final Fantasy XV (2018) (a.k.a. Final Fantasy 15)
• UPDATE: Game detection for GreedFall (2019)
• UPDATE: Game detection for Heavy Rain (2019)
• UPDATE: Game detection for Heroes of the Storm (2015)
• UPDATE: Game detection for League of Legends (2009)
• UPDATE: Game detection for Overwatch (2023) (a.k.a. Overwatch 2)
• UPDATE: Game detection for Red Dead Redemption (2024)
• UPDATE: Game detection for Tom Clancy's Ghost Recon Breakpoint (2019)
• UPDATE: Game detection for Tom Clancy's Ghost Recon Wildlands (2017)
• UPDATE: Game detection for Tom Clancy's Ghost Recon: Future Soldier (2012)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Blacklist (2013)
• UPDATE: Game detection for Valorant (2020)
• UPDATE: Game detection for Watch Dogs 2 (2016)
• UPDATE: Game detection for Watch Dogs (2014)
• UPDATE: Game detection for Watch Dogs: Legion (2020)
• UPDATE: Game detection for World of Warcraft (2004)

Low Specs Experience v13.2.8 - 2026-03-13
• UI-UX: User interface refinements (ui_v13.13)
• TWEAK: Optimization for Assassin's Creed 4: Black Flag (2013)
• TWEAK: Optimization for Assassin's Creed Mirage (2023)
• TWEAK: Optimization for Assassin's Creed Odyssey (2018)
• TWEAK: Optimization for Assassin's Creed Origins (2017)
• TWEAK: Optimization for Assassin's Creed Syndicate (2015)
• TWEAK: Optimization for Assassin's Creed Unity (2014)
• TWEAK: Optimization for Assassin's Creed Valhalla (2020)
• TWEAK: Optimization for Assassin's Creed: Freedom Cry (2014)
• TWEAK: Optimization for Dead Rising 2 (2010)
• TWEAK: Optimization for Dead Rising 2: Off the Record (2011)
• TWEAK: Optimization for Dead Rising 3 (2014)
• TWEAK: Optimization for Dead Rising 4 (2016)
• TWEAK: Optimization for Dead Rising (2016)
• TWEAK: Optimization for Dead Rising Deluxe Remaster (2024)
• TWEAK: Optimization for Dead Space 2 (2011)
• TWEAK: Optimization for Dead Space 3 (2013)
• TWEAK: Optimization for Dead Space (2008)
• TWEAK: Optimization for Death Stranding (2020)
• TWEAK: Optimization for Death Stranding Director's Cut (2022)
• TWEAK: Optimization for Metro 2033 (2010)
• TWEAK: Optimization for Metro: Last Light (2013)
• UPDATE: Game detection for Assassin's Creed 4: Black Flag (2013)
• UPDATE: Game detection for Assassin's Creed Mirage (2023)
• UPDATE: Game detection for Assassin's Creed Syndicate (2015)
• UPDATE: Game detection for Assassin's Creed Unity (2014)
• UPDATE: Game detection for Assassin's Creed: Freedom Cry (2014)
• UPDATE: Game detection for Dead Rising 2 (2010)
• UPDATE: Game detection for Dead Rising 2: Off the Record (2011)
• UPDATE: Game detection for Dead Rising 3 (2014)
• UPDATE: Game detection for Dead Rising 4 (2016)
• UPDATE: Game detection for Dead Rising (2016)
• UPDATE: Game detection for Dead Rising Deluxe Remaster (2024)
• UPDATE: Game detection for Dead Space 2 (2011)
• UPDATE: Game detection for Dead Space 3 (2013)
• UPDATE: Game detection for Dead Space (2008)
• UPDATE: Game detection for Death Stranding (2020)
• UPDATE: Game detection for Death Stranding Director's Cut (2022)
• UPDATE: Game detection for Metro 2033 (2010)
• UPDATE: Game detection for Metro: Last Light (2013)

Low Specs Experience v13.2.7 - 2026-03-10
• UI-UX: User interface refinements (ui_v13.13)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Arma 3 (2013)
• TWEAK: Optimization for Assassin's Creed 2 (2010)
• TWEAK: Optimization for Assassin's Creed 3 (2012)
• TWEAK: Optimization for Assassin's Creed 3 Remastered (2019)
• TWEAK: Optimization for Assassin's Creed 3: Liberation Remastered (2019)
• TWEAK: Optimization for Assassin's Creed Odyssey (2018)
• TWEAK: Optimization for Assassin's Creed Origins (2017)
• TWEAK: Optimization for Assassin's Creed Rogue (2015)
• TWEAK: Optimization for Assassin's Creed Valhalla (2020)
• TWEAK: Optimization for Assassin's Creed: Brotherhood (2010)
• TWEAK: Optimization for Assassin's Creed: Director's Cut (2008)
• TWEAK: Optimization for Assassin's Creed: Liberation HD (2014)
• TWEAK: Optimization for Assassin's Creed: Revelations (2011)
• TWEAK: Optimization for Conqueror's Blade (2019)
• TWEAK: Optimization for Control Ultimate Edition (2020)
• TWEAK: Optimization for Darksiders 2 (2012)
• TWEAK: Optimization for Darksiders 2: Deathinitive Edition (2015)
• TWEAK: Optimization for Darksiders (2010)
• TWEAK: Optimization for Darksiders Warmastered Edition (2016)
• TWEAK: Optimization for Riders Republic (2021)
• TWEAK: Optimization for Steep (2016)
• TWEAK: Optimization for Stranded Deep (2022)
• TWEAK: Optimization for The First Descendant (2024)
• UPDATE: Game detection for Arma 3 (2013)
• UPDATE: Game detection for Assassin's Creed 2 (2010)
• UPDATE: Game detection for Assassin's Creed 3 (2012)
• UPDATE: Game detection for Assassin's Creed 3 Remastered (2019)
• UPDATE: Game detection for Assassin's Creed 3: Liberation Remastered (2019)
• UPDATE: Game detection for Assassin's Creed Odyssey (2018)
• UPDATE: Game detection for Assassin's Creed Origins (2017)
• UPDATE: Game detection for Assassin's Creed Rogue (2015)
• UPDATE: Game detection for Assassin's Creed Valhalla (2020)
• UPDATE: Game detection for Assassin's Creed: Brotherhood (2010)
• UPDATE: Game detection for Assassin's Creed: Director's Cut (2008)
• UPDATE: Game detection for Assassin's Creed: Liberation HD (2014)
• UPDATE: Game detection for Assassin's Creed: Revelations (2011)
• UPDATE: Game detection for Conqueror's Blade (2019)
• UPDATE: Game detection for Control Ultimate Edition (2020)
• UPDATE: Game detection for Darksiders 2 (2012)
• UPDATE: Game detection for Darksiders 2: Deathinitive Edition (2015)
• UPDATE: Game detection for Darksiders (2010)
• UPDATE: Game detection for Darksiders Warmastered Edition (2016)
• UPDATE: Game detection for Riders Republic (2021)
• UPDATE: Game detection for Steep (2016)
• UPDATE: Game detection for Stranded Deep (2022)
• UPDATE: Game detection for The First Descendant (2024)

Low Specs Experience v13.2.6 - 2026-03-06
• BACK-END: Optimization API refinements (api_v5.11)
• UI-UX: User interface refinements (ui_v13.12)
• TWEAK: Optimization for A Plague Tale: Innocence (2019)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)
• TWEAK: Optimization for Accident (2021)
• TWEAK: Optimization for Age of Empires 3: Definitive Edition (2020)
• TWEAK: Optimization for Agents of Mayhem (2017)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for American Truck Simulator (2016)
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Atlas Fallen (2023)
• TWEAK: Optimization for Batman: Arkham Origins Blackgate (2013)
• TWEAK: Optimization for Call of Duty 4: Modern Warfare (2007)
• TWEAK: Optimization for Call of Duty: Advanced Warfare (2014)
• TWEAK: Optimization for Call of Duty: Black Ops 2 (2012)
• TWEAK: Optimization for Call of Duty: Black Ops 3 (2015)
• TWEAK: Optimization for Call of Duty: Black Ops 4 (2018)
• TWEAK: Optimization for Call of Duty: Black Ops (2010)
• TWEAK: Optimization for Call of Duty: Black Ops Cold War (2020)
• TWEAK: Optimization for Call of Duty: Ghosts (2013)
• TWEAK: Optimization for Call of Duty: Infinite Warfare (2016)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2022)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• TWEAK: Optimization for Call of Duty: Modern Warfare (2019)
• TWEAK: Optimization for Call of Duty: Modern Warfare Remastered (2016)
• TWEAK: Optimization for Call of Duty: Vanguard (2021)
• TWEAK: Optimization for Call of Duty: World at War (2008)
• TWEAK: Optimization for Call of Duty: World War 2 (2017)
• TWEAK: Optimization for Call of Juarez (2006)
• TWEAK: Optimization for Call of Juarez: Bound in Blood (2009)
• TWEAK: Optimization for Call of Juarez: Gunslinger (2013)
• TWEAK: Optimization for Call of Juarez: The Cartel (2011)
• TWEAK: Optimization for Euro Truck Simulator 2 (2012)
• TWEAK: Optimization for Fallout 76 (2018)
• TWEAK: Optimization for Horizon Zero Dawn (2020)
• TWEAK: Optimization for Lost Ark (2022)
• TWEAK: Optimization for Max Payne 3 (2012)
• TWEAK: Optimization for Middle-earth: Shadow of Mordor (2014)
• TWEAK: Optimization for Middle-earth: Shadow of War (2017)
• TWEAK: Optimization for Monster Hunter: World (2018)
• TWEAK: Optimization for Naraka: Bladepoint (2021)
• TWEAK: Optimization for Need for Speed: Hot Pursuit (2010)
• TWEAK: Optimization for Need for Speed: Hot Pursuit Remastered (2020)
• TWEAK: Optimization for Need for Speed: Shift 2 Unleashed (2011)
• TWEAK: Optimization for Need for Speed: Shift (2009)
• TWEAK: Optimization for Nioh 2: The Complete Edition (2021)
• TWEAK: Optimization for Project CARS 2 (2017)
• TWEAK: Optimization for Project CARS 3 (2020)
• TWEAK: Optimization for Project CARS (2015)
• TWEAK: Optimization for Quantum Break (2016)
• TWEAK: Optimization for ReCore: Definitive Edition (2016)
• TWEAK: Optimization for Resident Evil 4 Ultimate HD Edition (2014)
• TWEAK: Optimization for Resident Evil HD Remaster (2015)
• TWEAK: Optimization for Resident Evil Zero HD Remaster (2016)
• TWEAK: Optimization for Resident Evil: Revelations 2 (2015)
• TWEAK: Optimization for Resident Evil: Revelations (2012)
• TWEAK: Optimization for Rise of the Ronin (2025)
• TWEAK: Optimization for Saint Seiya: Soldiers' Soul (2015)
• TWEAK: Optimization for Shadow Warrior 2 (2016)
• TWEAK: Optimization for Sleeping Dogs (2012)
• TWEAK: Optimization for Sleeping Dogs: Definitive Edition (2014)
• TWEAK: Optimization for Sniper Elite 3 (2014)
• TWEAK: Optimization for Sniper Elite 4 (2017)
• TWEAK: Optimization for Sniper Elite 5 (2022)
• TWEAK: Optimization for Sniper Elite V2 (2012)
• TWEAK: Optimization for Sniper Elite V2 Remastered (2019)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army 2 (2013)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army (2013)
• TWEAK: Optimization for Sniper Elite: Resistance (2025)
• TWEAK: Optimization for Sniper: Ghost Warrior (2010)
• TWEAK: Optimization for The Crew 2 (2018)
• TWEAK: Optimization for The Crew (2014)
• TWEAK: Optimization for The Forest (2018)
• TWEAK: Optimization for theHunter Classic (2009)
• TWEAK: Optimization for Tony Hawk's Pro Skater 1 + 2 (2020)
• TWEAK: Optimization for Tony Hawk's Pro Skater 3 + 4 (2025)
• TWEAK: Optimization for Uncharted: Legacy of Thieves Collection (2022)
• TWEAK: Optimization for World of Tanks (2010)
• TWEAK: Optimization for World War Z (2019)
• TWEAK: Optimization for Zombie Army 4: Dead War (2020)
• TWEAK: Optimization for Zombie Army Trilogy (2015)
• UPDATE: Game detection for Agents of Mayhem (2017)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Batman: Arkham Origins Blackgate (2013)
• UPDATE: Game detection for Call of Duty 4: Modern Warfare (2007)
• UPDATE: Game detection for Call of Duty: Advanced Warfare (2014)
• UPDATE: Game detection for Call of Duty: Black Ops 2 (2012)
• UPDATE: Game detection for Call of Duty: Black Ops 3 (2015)
• UPDATE: Game detection for Call of Duty: Black Ops 4 (2018)
• UPDATE: Game detection for Call of Duty: Black Ops (2010)
• UPDATE: Game detection for Call of Duty: Black Ops Cold War (2020)
• UPDATE: Game detection for Call of Duty: Ghosts (2013)
• UPDATE: Game detection for Call of Duty: Infinite Warfare (2016)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 (2009)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 (2022)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• UPDATE: Game detection for Call of Duty: Modern Warfare 3 (2011)
• UPDATE: Game detection for Call of Duty: Modern Warfare 3 (2023)
• UPDATE: Game detection for Call of Duty: Modern Warfare (2019)
• UPDATE: Game detection for Call of Duty: Modern Warfare Remastered (2016)
• UPDATE: Game detection for Call of Duty: Vanguard (2021)
• UPDATE: Game detection for Call of Duty: World at War (2008)
• UPDATE: Game detection for Call of Duty: World War 2 (2017)
• UPDATE: Game detection for Call of Juarez (2006)
• UPDATE: Game detection for Call of Juarez: Bound in Blood (2009)
• UPDATE: Game detection for Call of Juarez: Gunslinger (2013)
• UPDATE: Game detection for Call of Juarez: The Cartel (2011)
• UPDATE: Game detection for Dark Souls: Prepare to Die Edition (2012)
• UPDATE: Game detection for Fallout 76 (2018)
• UPDATE: Game detection for God of War (2022) (a.k.a. God of War 2018)
• UPDATE: Game detection for God of War Ragnarok (2024)
• UPDATE: Game detection for Grand Theft Auto 4 (2008)
• UPDATE: Game detection for Grand Theft Auto 4: The Complete Edition (2020)
• UPDATE: Game detection for Grand Theft Auto: Episodes from Liberty City (2010)
• UPDATE: Game detection for Mad Max (2015)
• UPDATE: Game detection for Monster Hunter: World (2018)
• UPDATE: Game detection for Naraka: Bladepoint (2021)
• UPDATE: Game detection for Resident Evil 2 (2019)
• UPDATE: Game detection for Resident Evil 3 (2020)
• UPDATE: Game detection for Resident Evil 4 (2023)
• UPDATE: Game detection for Resident Evil 7: Biohazard (2017)
• UPDATE: Game detection for Resident Evil Resistance (2020)
• UPDATE: Game detection for Resident Evil Village (2021)
• UPDATE: Game detection for Rise of the Ronin (2025)
• UPDATE: Game detection for Saint Seiya: Soldiers' Soul (2015)
• UPDATE: Game detection for Saints Row 4 (2013)
• UPDATE: Game detection for Saints Row: Gat out of Hell (2015)
• UPDATE: Game detection for Saints Row: The Third (2011)
• UPDATE: Game detection for Saints Row: The Third Remastered (2020)
• UPDATE: Game detection for Sleeping Dogs (2012)
• UPDATE: Game detection for Sleeping Dogs: Definitive Edition (2014)
• UPDATE: Game detection for Sniper: Ghost Warrior (2010)
• UPDATE: Game detection for theHunter Classic (2009)
• UPDATE: Game detection for Tony Hawk's Pro Skater 1 + 2 (2020)
• UPDATE: Game detection for Tony Hawk's Pro Skater 3 + 4 (2025)
• UPDATE: Game detection for Uncharted: Legacy of Thieves Collection (2022)
• UPDATE: Game detection for World of Warships (2015)

Low Specs Experience v13.2.5 - 2026-02-27
• UI-UX: User interface refinements (ui_v13.11)
• TWEAK: Optimization for Fallout 4 (2015)
• TWEAK: Optimization for Mad Max (2015)
• TWEAK: Optimization for Resident Evil 2 (2019)
• TWEAK: Optimization for Resident Evil 3 (2020)
• TWEAK: Optimization for Resident Evil 7: Biohazard (2017)
• TWEAK: Optimization for Resident Evil Resistance (2020)
• TWEAK: Optimization for Resident Evil Village (2021)
• TWEAK: Optimization for Sleeping Dogs (2012)
• TWEAK: Optimization for Sleeping Dogs: Definitive Edition (2014)
• UPDATE: Game detection for Fallout 4 (2015)
• UPDATE: Game detection for Mad Max (2015)
• UPDATE: Game detection for Resident Evil 2 (2019)
• UPDATE: Game detection for Resident Evil 3 (2020)
• UPDATE: Game detection for Resident Evil 7: Biohazard (2017)
• UPDATE: Game detection for Resident Evil Resistance (2020)
• UPDATE: Game detection for Resident Evil Village (2021)
• UPDATE: Game detection for Sleeping Dogs (2012)
• UPDATE: Game detection for Sleeping Dogs: Definitive Edition (2014)

Low Specs Experience v13.2.4 - 2026-02-26
• BACK-END: Optimization API refinements (api_v5.10)
• TWEAK: Optimization for Alien: Isolation (2014)
• TWEAK: Optimization for Dark Souls 2 (2014)
• TWEAK: Optimization for Dark Souls 2: Scholar of the First Sin (2015)
• TWEAK: Optimization for Dark Souls 3 (2016)
• TWEAK: Optimization for Dark Souls Remastered (2018)
• TWEAK: Optimization for Dark Souls: Prepare to Die Edition (2012)
• TWEAK: Optimization for Divinity: Original Sin 2 (2017)
• TWEAK: Optimization for Divinity: Original Sin 2 - Definitive Edition (2018)
• TWEAK: Optimization for Fast and Furious Crossroads (2020)
• TWEAK: Optimization for For Honor (2017)
• TWEAK: Optimization for Forza Horizon 3 (2016)
• TWEAK: Optimization for Forza Horizon 4 (2018)
• TWEAK: Optimization for Forza Horizon 5 (2021)
• TWEAK: Optimization for Forza Motorsport (2023)
• TWEAK: Optimization for Ghost of Tsushima Director's Cut (2024)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for Horizon Zero Dawn Remastered (2024)
• TWEAK: Optimization for Marvel's Spider-Man 2 (2025)
• TWEAK: Optimization for Marvel's Spider-Man Remastered (2022)
• TWEAK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• TWEAK: Optimization for Max Payne 3 (2012)
• TWEAK: Optimization for Need for Speed: Hot Pursuit (2010)
• TWEAK: Optimization for Need for Speed: Hot Pursuit Remastered (2020)
• TWEAK: Optimization for Need for Speed: Most Wanted (2012)
• TWEAK: Optimization for Need for Speed: Shift 2 Unleashed (2011)
• TWEAK: Optimization for Need for Speed: Shift (2009)
• TWEAK: Optimization for Nioh 2: The Complete Edition (2021)
• TWEAK: Optimization for Nioh: Complete Edition (2017)
• TWEAK: Optimization for Project CARS 2 (2017)
• TWEAK: Optimization for Project CARS 3 (2020)
• TWEAK: Optimization for Project CARS (2015)
• TWEAK: Optimization for Resident Evil 4 Ultimate HD Edition (2014)
• TWEAK: Optimization for Resident Evil 5 (2009)
• TWEAK: Optimization for Resident Evil 6 (2012)
• TWEAK: Optimization for Resident Evil HD Remaster (2015)
• TWEAK: Optimization for Resident Evil Zero HD Remaster (2016)
• TWEAK: Optimization for Resident Evil: Revelations 2 (2015)
• TWEAK: Optimization for Resident Evil: Revelations (2012)
• TWEAK: Optimization for Sekiro: Shadows Die Twice (2019)
• TWEAK: Optimization for Shadow Warrior 2 (2016)
• TWEAK: Optimization for The Last of Us Part 2 Remastered (2025)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Dark Souls 2 (2014)
• UPDATE: Game detection for Dark Souls 2: Scholar of the First Sin (2015)
• UPDATE: Game detection for Dark Souls 3 (2016)
• UPDATE: Game detection for Dark Souls Remastered (2018)
• UPDATE: Game detection for Dark Souls: Prepare to Die Edition (2012)
• UPDATE: Game detection for Divinity: Original Sin 2 (2017)
• UPDATE: Game detection for Divinity: Original Sin 2 - Definitive Edition (2018)
• UPDATE: Game detection for Fast and Furious Crossroads (2020)
• UPDATE: Game detection for For Honor (2017)
• UPDATE: Game detection for Forza Horizon 3 (2016)
• UPDATE: Game detection for Forza Horizon 4 (2018)
• UPDATE: Game detection for Forza Horizon 5 (2021)
• UPDATE: Game detection for Forza Motorsport (2023)
• UPDATE: Game detection for Ghost of Tsushima Director's Cut (2024)
• UPDATE: Game detection for Horizon Forbidden West (2024)
• UPDATE: Game detection for Horizon Zero Dawn Remastered (2024)
• UPDATE: Game detection for Marvel's Spider-Man 2 (2025)
• UPDATE: Game detection for Marvel's Spider-Man Remastered (2022)
• UPDATE: Game detection for Marvel's Spider-Man: Miles Morales (2022)
• UPDATE: Game detection for Max Payne 3 (2012)
• UPDATE: Game detection for Need for Speed: Hot Pursuit (2010)
• UPDATE: Game detection for Need for Speed: Hot Pursuit Remastered (2020)
• UPDATE: Game detection for Need for Speed: Most Wanted (2012)
• UPDATE: Game detection for Need for Speed: Shift 2 Unleashed (2011)
• UPDATE: Game detection for Need for Speed: Shift (2009)
• UPDATE: Game detection for Nioh 2: The Complete Edition (2021)
• UPDATE: Game detection for Nioh: Complete Edition (2017)
• UPDATE: Game detection for Project CARS 2 (2017)
• UPDATE: Game detection for Project CARS 3 (2020)
• UPDATE: Game detection for Project CARS (2015)
• UPDATE: Game detection for Resident Evil 4 Ultimate HD Edition (2014)
• UPDATE: Game detection for Resident Evil 5 (2009)
• UPDATE: Game detection for Resident Evil 6 (2012)
• UPDATE: Game detection for Resident Evil HD Remaster (2015)
• UPDATE: Game detection for Resident Evil Zero HD Remaster (2016)
• UPDATE: Game detection for Resident Evil: Revelations 2 (2015)
• UPDATE: Game detection for Resident Evil: Revelations (2012)
• UPDATE: Game detection for Sekiro: Shadows Die Twice (2019)
• UPDATE: Game detection for Shadow Warrior 2 (2016)

Low Specs Experience v13.2.3 - 2026-02-24
• BACK-END: Optimization API refinements (api_v5.09)
• TWEAK: Optimization for Alan Wake Remastered (2021)
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Anno 2070 (2011)
• TWEAK: Optimization for Anno 2205 (2015)
• TWEAK: Optimization for Armored Core 6: Fires of Rubicon (2023)
• TWEAK: Optimization for Assetto Corsa (2014)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for EA Sports FC 24 (2023)
• TWEAK: Optimization for EA Sports FC 25 (2024)
• TWEAK: Optimization for EA Sports FC 26 (2025)
• TWEAK: Optimization for FIFA 11 (2010)
• TWEAK: Optimization for FIFA 12 (2011)
• TWEAK: Optimization for FIFA 13 (2012)
• TWEAK: Optimization for FIFA 14 (2013)
• TWEAK: Optimization for FIFA 15 (2014)
• TWEAK: Optimization for FIFA 16 (2015)
• TWEAK: Optimization for FIFA 17 (2016)
• TWEAK: Optimization for FIFA 18 (2017)
• TWEAK: Optimization for FIFA 19 (2018)
• TWEAK: Optimization for FIFA 20 (2019)
• TWEAK: Optimization for FIFA 21 (2020)
• TWEAK: Optimization for FIFA 22 (2021)
• TWEAK: Optimization for FIFA 23 (2022)
• TWEAK: Optimization for God of War (2022) (a.k.a. God of War 2018)
• TWEAK: Optimization for God of War Ragnarok (2024)
• TWEAK: Optimization for Grand Theft Auto 4 (2008)
• TWEAK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• TWEAK: Optimization for Grand Theft Auto: Episodes from Liberty City (2010)
• TWEAK: Optimization for Horizon Zero Dawn (2020)
• TWEAK: Optimization for Lost Ark (2022)
• TWEAK: Optimization for Middle-earth: Shadow of Mordor (2014)
• TWEAK: Optimization for Middle-earth: Shadow of War (2017)
• TWEAK: Optimization for Monster Hunter: World (2018)
• TWEAK: Optimization for Mortal Kombat 11 (2019)
• TWEAK: Optimization for Mortal Kombat X (2015)
• TWEAK: Optimization for Mortal Kombat XL (2016)
• TWEAK: Optimization for Naraka: Bladepoint (2021)
• TWEAK: Optimization for Ratchet and Clank: Rift Apart (2023)
• TWEAK: Optimization for Resident Evil 4 (2023)
• TWEAK: Optimization for Rocket League (2015)
• TWEAK: Optimization for Saints Row 4 (2013)
• TWEAK: Optimization for Saints Row: Gat out of Hell (2015)
• TWEAK: Optimization for Saints Row: The Third (2011)
• TWEAK: Optimization for Saints Row: The Third Remastered (2020)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Sniper Elite 3 (2014)
• TWEAK: Optimization for Sniper Elite 4 (2017)
• TWEAK: Optimization for Sniper Elite 5 (2022)
• TWEAK: Optimization for Sniper Elite V2 (2012)
• TWEAK: Optimization for Sniper Elite V2 Remastered (2019)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army 2 (2013)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army (2013)
• TWEAK: Optimization for Sniper Elite: Resistance (2025)
• TWEAK: Optimization for The Crew 2 (2018)
• TWEAK: Optimization for The Crew (2014)
• TWEAK: Optimization for The Crew Motorfest (2023)
• TWEAK: Optimization for The Forest (2018)
• TWEAK: Optimization for The Surge 2 (2019)
• TWEAK: Optimization for The Surge (2017)
• TWEAK: Optimization for Wo Long: Fallen Dynasty (2023)
• TWEAK: Optimization for World of Tanks (2010)
• TWEAK: Optimization for World of Warships (2015)
• TWEAK: Optimization for World War Z (2019)
• TWEAK: Optimization for Zombie Army 4: Dead War (2020)
• TWEAK: Optimization for Zombie Army Trilogy (2015)
• UPDATE: Game detection for Alan Wake Remastered (2021)
• UPDATE: Game detection for Anno 1800 (2019)
• UPDATE: Game detection for Anno 2070 (2011)
• UPDATE: Game detection for Anno 2205 (2015)
• UPDATE: Game detection for Armored Core 6: Fires of Rubicon (2023)
• UPDATE: Game detection for Assetto Corsa (2014)
• UPDATE: Game detection for Baldur's Gate 3 (2023)
• UPDATE: Game detection for EA Sports FC 24 (2023)
• UPDATE: Game detection for EA Sports FC 25 (2024)
• UPDATE: Game detection for EA Sports FC 26 (2025)
• UPDATE: Game detection for FIFA 11 (2010)
• UPDATE: Game detection for FIFA 12 (2011)
• UPDATE: Game detection for FIFA 13 (2012)
• UPDATE: Game detection for FIFA 14 (2013)
• UPDATE: Game detection for FIFA 15 (2014)
• UPDATE: Game detection for FIFA 16 (2015)
• UPDATE: Game detection for FIFA 17 (2016)
• UPDATE: Game detection for FIFA 18 (2017)
• UPDATE: Game detection for FIFA 19 (2018)
• UPDATE: Game detection for FIFA 20 (2019)
• UPDATE: Game detection for FIFA 21 (2020)
• UPDATE: Game detection for FIFA 22 (2021)
• UPDATE: Game detection for FIFA 23 (2022)
• UPDATE: Game detection for God of War (2022) (a.k.a. God of War 2018)
• UPDATE: Game detection for God of War Ragnarok (2024)
• UPDATE: Game detection for Grand Theft Auto 4 (2008)
• UPDATE: Game detection for Grand Theft Auto 4: The Complete Edition (2020)
• UPDATE: Game detection for Grand Theft Auto: Episodes from Liberty City (2010)
• UPDATE: Game detection for Horizon Zero Dawn (2020)
• UPDATE: Game detection for Lost Ark (2022)
• UPDATE: Game detection for Middle-earth: Shadow of Mordor (2014)
• UPDATE: Game detection for Middle-earth: Shadow of War (2017)
• UPDATE: Game detection for Monster Hunter: World (2018)
• UPDATE: Game detection for Mortal Kombat 11 (2019)
• UPDATE: Game detection for Mortal Kombat X (2015)
• UPDATE: Game detection for Mortal Kombat XL (2016)
• UPDATE: Game detection for Naraka: Bladepoint (2021)
• UPDATE: Game detection for Ratchet and Clank: Rift Apart (2023)
• UPDATE: Game detection for Resident Evil 4 (2023)
• UPDATE: Game detection for Rocket League (2015)
• UPDATE: Game detection for Saints Row 4 (2013)
• UPDATE: Game detection for Saints Row: Gat out of Hell (2015)
• UPDATE: Game detection for Saints Row: The Third (2011)
• UPDATE: Game detection for Saints Row: The Third Remastered (2020)
• UPDATE: Game detection for Sea of Solitude (2019)
• UPDATE: Game detection for Sniper Elite 3 (2014)
• UPDATE: Game detection for Sniper Elite 4 (2017)
• UPDATE: Game detection for Sniper Elite 5 (2022)
• UPDATE: Game detection for Sniper Elite V2 (2012)
• UPDATE: Game detection for Sniper Elite V2 Remastered (2019)
• UPDATE: Game detection for Sniper Elite: Nazi Zombie Army 2 (2013)
• UPDATE: Game detection for Sniper Elite: Nazi Zombie Army (2013)
• UPDATE: Game detection for Sniper Elite: Resistance (2025)
• UPDATE: Game detection for The Crew 2 (2018)
• UPDATE: Game detection for The Crew (2014)
• UPDATE: Game detection for The Crew Motorfest (2023)
• UPDATE: Game detection for The Forest (2018)
• UPDATE: Game detection for The Surge 2 (2019)
• UPDATE: Game detection for The Surge (2017)
• UPDATE: Game detection for Wo Long: Fallen Dynasty (2023)
• UPDATE: Game detection for World of Tanks (2010)
• UPDATE: Game detection for World of Warships (2015)
• UPDATE: Game detection for World War Z (2019)
• UPDATE: Game detection for Zombie Army 4: Dead War (2020)
• UPDATE: Game detection for Zombie Army Trilogy (2015)

Low Specs Experience v13.2.2 - 2026-02-17
• BACK-END: Optimization API refinements (api_v5.08)
• UI-UX: User interface refinements (ui_v13.10)
• TWEAK: Optimization for A Plague Tale: Innocence (2019)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)
• TWEAK: Optimization for Accident (2021)
• TWEAK: Optimization for Age of Empires 3: Definitive Edition (2020)
• TWEAK: Optimization for Agents of Mayhem (2017)
• TWEAK: Optimization for American Truck Simulator (2016)
• TWEAK: Optimization for Apex Legends (2019)
• TWEAK: Optimization for Atlas Fallen (2023)
• TWEAK: Optimization for Counter-Strike 2 (2023)
• TWEAK: Optimization for Dota 2 (2013)
• TWEAK: Optimization for eFootball (2021) (a.k.a. eFootball 2026)
• TWEAK: Optimization for eFootball PES 2020 (2019)
• TWEAK: Optimization for eFootball PES 2021 Season Update (2020)
• TWEAK: Optimization for Euro Truck Simulator 2 (2012)
• TWEAK: Optimization for Grand Theft Auto 4 (2008)
• TWEAK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• TWEAK: Optimization for Grand Theft Auto: Episodes from Liberty City (2010)
• TWEAK: Optimization for Pro Evolution Soccer 2010 (2009)
• TWEAK: Optimization for Pro Evolution Soccer 2011 (2010)
• TWEAK: Optimization for Pro Evolution Soccer 2012 (2011)
• TWEAK: Optimization for Pro Evolution Soccer 2013 (2012)
• TWEAK: Optimization for Pro Evolution Soccer 2014 (2013)
• TWEAK: Optimization for Pro Evolution Soccer 2015 (2014)
• TWEAK: Optimization for Pro Evolution Soccer 2016 (2015)
• TWEAK: Optimization for Pro Evolution Soccer 2017 (2016)
• TWEAK: Optimization for Pro Evolution Soccer 2018 (2017)
• TWEAK: Optimization for Pro Evolution Soccer 2019 (2018)
• TWEAK: Optimization for Quantum Break (2016)
• TWEAK: Optimization for ReCore: Definitive Edition (2016)
• TWEAK: Optimization for The Last of Us Part 1 (2023)
• TWEAK: Optimization for The Last of Us Part 2 Remastered (2025)
• TWEAK: Optimization for Titanfall 2 (2016)
• UPDATE: Game detection for A Plague Tale: Innocence (2019)
• UPDATE: Game detection for A Plague Tale: Requiem (2022)
• UPDATE: Game detection for Accident (2021)
• UPDATE: Game detection for Age of Empires 3: Definitive Edition (2020)
• UPDATE: Game detection for Agents of Mayhem (2017)
• UPDATE: Game detection for American Truck Simulator (2016)
• UPDATE: Game detection for Apex Legends (2019)
• UPDATE: Game detection for Atlas Fallen (2023)
• UPDATE: Game detection for Counter-Strike 2 (2023)
• UPDATE: Game detection for Dota 2 (2013)
• UPDATE: Game detection for eFootball (2021) (a.k.a. eFootball 2026)
• UPDATE: Game detection for eFootball PES 2020 (2019)
• UPDATE: Game detection for eFootball PES 2021 Season Update (2020)
• UPDATE: Game detection for Euro Truck Simulator 2 (2012)
• UPDATE: Game detection for Grand Theft Auto 4 (2008)
• UPDATE: Game detection for Grand Theft Auto 4: The Complete Edition (2020)
• UPDATE: Game detection for Grand Theft Auto: Episodes from Liberty City (2010)
• UPDATE: Game detection for Pro Evolution Soccer 2010 (2009)
• UPDATE: Game detection for Pro Evolution Soccer 2011 (2010)
• UPDATE: Game detection for Pro Evolution Soccer 2012 (2011)
• UPDATE: Game detection for Pro Evolution Soccer 2013 (2012)
• UPDATE: Game detection for Pro Evolution Soccer 2014 (2013)
• UPDATE: Game detection for Pro Evolution Soccer 2015 (2014)
• UPDATE: Game detection for Pro Evolution Soccer 2016 (2015)
• UPDATE: Game detection for Pro Evolution Soccer 2017 (2016)
• UPDATE: Game detection for Pro Evolution Soccer 2018 (2017)
• UPDATE: Game detection for Pro Evolution Soccer 2019 (2018)
• UPDATE: Game detection for Quantum Break (2016)
• UPDATE: Game detection for ReCore: Definitive Edition (2016)
• UPDATE: Game detection for The Last of Us Part 1 (2023)
• UPDATE: Game detection for The Last of Us Part 2 Remastered (2025)
• UPDATE: Game detection for Titanfall 2 (2016)

Low Specs Experience v13.2.1 - 2026-02-06
• BACK-END: Optimization API refinements (api_v5.07)
• UI-UX: User interface refinements (ui_v13.09)
• ADD: Optimization support for Grand Theft Auto 4 (2008)
• ADD: Optimization support for Grand Theft Auto: Episodes from Liberty City (2010)
• ADD: Optimization support for Lost Ark (2022)
• ADD: Optimization support for The Crew (2014)
• ADD: Optimization support for The First Descendant (2024)

Low Specs Experience v13.2.0 - 2026-01-28
• UI-UX: User interface refinements (ui_v13.08)

Low Specs Experience v13.1.9 - 2026-01-17
• UI-UX: User interface refinements (ui_v13.07)
• ADD: Optimization support for Hitman 3 (2021)
• ADD: Optimization support for Naraka: Bladepoint (2021)
• ADD: Optimization support for World of Tanks (2010)
• ADD: Optimization support for World of Warships (2015)
• UPDATE: Game detection for Dragon Ball Xenoverse 2 (2016)

Low Specs Experience v13.1.8 - 2026-01-08
• BACK-END: Optimization API refinements (api_v5.06)
• ADD: Optimization support for Life is Strange: Double Exposure (2024)
• ADD: Optimization support for Lost Records: Bloom and Rage (2025)
• ADD: Optimization support for War Thunder (2012)
• TWEAK: Optimization for Call of Duty: Black Ops 7 (2025)
• TWEAK: Optimization for Call of Duty: Warzone (2025)
• TWEAK: Optimization for The Finals (2023)
• UPDATE: Game detection for Silent Hill 2 (2024)
• UPDATE: Game detection for The Texas Chain Saw Massacre (2023)

Low Specs Experience v13.1.7 - 2025-12-26
• BACK-END: Optimization API refinements (api_v5.05)
• UI-UX: User interface refinements (ui_v13.06)
• ADD: Optimization support for Rust (2018)
• ADD: Optimization support for Warframe (2013)

Low Specs Experience v13.1.6 - 2025-12-22
• ADD: Optimization support for Battlefield REDSEC (2025)
• TWEAK: Optimization for Battlefield 6 (2025)

Low Specs Experience v13.1.5 - 2025-12-18
• ADD: Optimization support for Call of Duty: Black Ops 7 (2025)
• TWEAK: Optimization for Aliens: Dark Descent (2023)
• TWEAK: Optimization for Call of Duty: Black Ops 6 (2024)
• TWEAK: Optimization for Call of Duty: Warzone (2025)
• UPDATE: Game detection for Call of Duty: Warzone (2025)

Low Specs Experience v13.1.4 - 2025-12-17
• UI-UX: User interface refinements (ui_v13.05)
• ADD: Optimization support for Aliens: Dark Descent (2023)
• ADD: Optimization support for Tony Hawk's Pro Skater 3 + 4 (2025)
• TWEAK: Optimization for Tony Hawk's Pro Skater 1 + 2 (2020)

Low Specs Experience v13.1.3 - 2025-12-15
• UI-UX: User interface refinements (ui_v13.04)

Low Specs Experience v13.1.2 - 2025-12-11
• ADD: Optimization support for A.I.L.A (2025)
• ADD: Optimization support for Ready or Not (2023)
• ADD: Optimization support for The Outer Worlds 2 (2025)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)

Low Specs Experience v13.1.1 - 2025-12-04
• ADD: Optimization support for Battlefield 6 (2025)
• ADD: Optimization support for SpongeBob SquarePants: Titans of the Tide (2025)
• TWEAK: Optimization for Company of Heroes 3 (2023)
• TWEAK: Optimization for Cronos: The New Dawn (2025)
• TWEAK: Optimization for Hell is Us (2025)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Silent Hill f (2025)
• TWEAK: Optimization for The Finals (2023)
• TWEAK: Optimization for Until Dawn (2024)

Low Specs Experience v13.1.0 - 2025-11-30
• UI-UX: User interface refinements (ui_v13.03)

Low Specs Experience v13.0.9 - 2025-11-27
• BACK-END: Optimization API refinements (api_v5.04)
• UI-UX: User interface refinements (ui_v13.02)
• ADD: Optimization support for Vampire: The Masquerade - Bloodlines 2 (2025)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)

Low Specs Experience v13.0.8 - 2025-10-24
• ADD: Optimization support for Dying Light: The Beast (2025)
• ADD: Optimization support for F1 25 (2025)
• TWEAK: Optimization for Dying Light 2 Stay Human (2022)
• TWEAK: Optimization for Dying Light (2015)
• TWEAK: Optimization for F1 22 (2022)
• TWEAK: Optimization for F1 23 (2023)
• TWEAK: Optimization for F1 24 (2024)
• TWEAK: Optimization for Returnal (2023)
• TWEAK: Optimization for Sword and Fairy 7 (2021)
• TWEAK: Optimization for The Elder Scrolls 4: Oblivion Remastered (2025)
• TWEAK: Optimization for The Quarry (2022)

Low Specs Experience v13.0.7 - 2025-10-17
• BACK-END: Optimization API refinements (api_v5.03)
• TWEAK: Optimization for Avowed (2025)
• TWEAK: Optimization for Silent Hill f (2025)

Low Specs Experience v13.0.6 - 2025-10-17
• BACK-END: Optimization API refinements (api_v5.02)
• ADD: Optimization support for EA Sports FC 26 (2025)
• ADD: Optimization support for Hell is Us (2025)
• ADD: Optimization support for Little Nightmares 2 Enhanced Edition (2021)
• ADD: Optimization support for Little Nightmares 3 (2025)
• ADD: Optimization support for Little Nightmares Enhanced Edition (2025)
• ADD: Optimization support for Lost Soul Aside (2025)
• ADD: Optimization support for Train Sim World 6 (2025)
• TWEAK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• TWEAK: Optimization for Train Sim World 5 (2024)
• TWEAK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• TWEAK: Optimization for Until Dawn (2024)
• UPDATE: Game detection for Little Nightmares 2 (2021)
• UPDATE: Game detection for Little Nightmares (2017)

Low Specs Experience v13.0.5 - 2025-09-10
• TWEAK: Optimization for Silent Hill f (2025)
• UPDATE: Game detection for F1 Manager 2024 (2024)
• UPDATE: Game detection for Gears of War: Reloaded (2025)

Low Specs Experience v13.0.4 - 2025-09-10
• ADD: Optimization support for Cronos: The New Dawn (2025)
• ADD: Optimization support for Gears of War: Reloaded (2025)
• ADD: Optimization support for Silent Hill f (2025)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)

Low Specs Experience v13.0.3 - 2025-10-01
• TWEAK: Optimization for Call of Juarez (2006)
• TWEAK: Optimization for eFootball (2021)
• TWEAK: Optimization for The Eternal Cylinder (2021)
• UPDATE: Game detection for Call of Juarez (2006)

Low Specs Experience v13.0.2 - 2025-09-29
• BACK-END: Optimization API refinements (api_v5.01)
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Anno 2205 (2015)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for RoboCop: Rogue City (2023)
• TWEAK: Optimization for RoboCop: Rogue City - Unfinished Business (2025)
• TWEAK: Optimization for The Sinking City Remastered (2025)

Low Specs Experience v13.0.1 - 2025-09-28
• UI-UX: User interface refinements (ui_v13.01)

Low Specs Experience v13.0.0 - 2025-09-24
• BACK-END: Optimization API refinements (api_v5.00)
• BACK-END: ReSwitch add-on refinements (rw_v5.00)
• UI-UX: User interface refinements (ui_v13.00)

Low Specs Experience v12.9.3 - 2026-06-10
• UI-UX: User interface refinements (ui_v12.24)

Low Specs Experience v12.9.2 - 2025-10-01
• TWEAK: Optimization for Call of Juarez (2006)
• TWEAK: Optimization for eFootball (2021)
• TWEAK: Optimization for The Eternal Cylinder (2021)
• UPDATE: Game detection for Call of Juarez (2006)

Low Specs Experience v12.9.1 - 2025-09-29
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Anno 2205 (2015)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for RoboCop: Rogue City (2023)
• TWEAK: Optimization for RoboCop: Rogue City - Unfinished Business (2025)
• TWEAK: Optimization for The Sinking City Remastered (2025)

Low Specs Experience v12.9.0 - 2025-09-28
• UI-UX: User interface refinements (ui_v12.23)

Low Specs Experience v12.8.9 - 2025-09-23
• BACK-END: Optimization API refinements (api_v4.21)
• UI-UX: User interface refinements (ui_v12.22)

Low Specs Experience v12.8.8 - 2025-09-05
• BACK-END: Optimization API refinements (api_v4.20)
• UI-UX: User interface refinements (ui_v12.21)
• TWEAK: Optimization for Alan Wake Remastered (2021)
• TWEAK: Optimization for Alien: Isolation (2014)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for Blair Witch (2019)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Bright Memory (2020)
• TWEAK: Optimization for Bright Memory: Infinite (2021)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Call of Duty: Black Ops 2 (2012)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Close to the Sun (2019)
• TWEAK: Optimization for Crysis 2 Remastered (2021)
• TWEAK: Optimization for Crysis Remastered (2020)
• TWEAK: Optimization for Darksiders 2 (2012)
• TWEAK: Optimization for Darksiders 2: Deathinitive Edition (2015)
• TWEAK: Optimization for Darksiders (2010)
• TWEAK: Optimization for Darksiders Warmastered Edition (2016)
• TWEAK: Optimization for Daymare: 1994 Sandcastle (2023)
• TWEAK: Optimization for Daymare: 1998 (2019)
• TWEAK: Optimization for Dead Island Definitive Edition (2016)
• TWEAK: Optimization for Dead Island: Riptide Definitive Edition (2016)
• TWEAK: Optimization for Devil May Cry 5 (2019)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Effie (2020)
• TWEAK: Optimization for eFootball (2021)
• TWEAK: Optimization for eFootball PES 2020 (2019)
• TWEAK: Optimization for eFootball PES 2021 Season Update (2020)
• TWEAK: Optimization for Empire of the Ants (2024)
• TWEAK: Optimization for Esse Proxy (2022)
• TWEAK: Optimization for F1 Manager 2022 (2022)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for F1 Manager 2024 (2024)
• TWEAK: Optimization for Fade to Silence (2019)
• TWEAK: Optimization for Food Truck Simulator (2022)
• TWEAK: Optimization for Friday the 13th: The Game (2017)
• TWEAK: Optimization for Ghostwire: Tokyo (2022)
• TWEAK: Optimization for Goat Simulator 3 (2022)
• TWEAK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• TWEAK: Optimization for GreedFall (2019)
• TWEAK: Optimization for Halo: The Master Chief Collection (2019)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for Just Cause 2 (2010)
• TWEAK: Optimization for Mafia 2 (Classic) (2010)
• TWEAK: Optimization for Mafia 2: Definitive Edition (2020)
• TWEAK: Optimization for Mafia 3 (2016)
• TWEAK: Optimization for Mafia 3: Definitive Edition (2020)
• TWEAK: Optimization for Mafia: Definitive Edition (2020)
• TWEAK: Optimization for Martha is Dead (2022)
• TWEAK: Optimization for Mega Man 11 (2018)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Outlast 2 (2017)
• TWEAK: Optimization for Payday 2 (2013)
• TWEAK: Optimization for Payday: The Heist (2011)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Pro Evolution Soccer 2010 (2009)
• TWEAK: Optimization for Pro Evolution Soccer 2011 (2010)
• TWEAK: Optimization for Pro Evolution Soccer 2012 (2011)
• TWEAK: Optimization for Pro Evolution Soccer 2013 (2012)
• TWEAK: Optimization for Pro Evolution Soccer 2014 (2013)
• TWEAK: Optimization for Pro Evolution Soccer 2015 (2014)
• TWEAK: Optimization for Pro Evolution Soccer 2016 (2015)
• TWEAK: Optimization for Pro Evolution Soccer 2017 (2016)
• TWEAK: Optimization for Pro Evolution Soccer 2018 (2017)
• TWEAK: Optimization for Pro Evolution Soccer 2019 (2018)
• TWEAK: Optimization for Red Dead Redemption (2024)
• TWEAK: Optimization for Returnal (2023)
• TWEAK: Optimization for Rune 2 (2019)
• TWEAK: Optimization for Ryse: Son of Rome (2014)
• TWEAK: Optimization for Sackboy: A Big Adventure (2022)
• TWEAK: Optimization for Scorn (2022)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Shadow Warrior 3 (2022)
• TWEAK: Optimization for Shenmue 3 (2019)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for Star Wars Jedi: Fallen Order (2019)
• TWEAK: Optimization for Star Wars Jedi: Survivor (2023)
• TWEAK: Optimization for Star Wars: Squadrons (2020)
• TWEAK: Optimization for Submerged: Hidden Depths (2022)
• TWEAK: Optimization for Sunset Overdrive (2018)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for The Callisto Protocol (2022)
• TWEAK: Optimization for The Elder Scrolls 4: Oblivion Remastered (2025)
• TWEAK: Optimization for The Evil Within 2 (2017)
• TWEAK: Optimization for The Last Oricru (2022)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for Trek to Yomi (2022)
• TWEAK: Optimization for Until Dawn (2024)
• TWEAK: Optimization for Visage (2020)
• TWEAK: Optimization for Wolfenstein: The New Order (2014)
• TWEAK: Optimization for Wolfenstein: The Old Blood (2015)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Alone in the Dark (2024)
• UPDATE: Game detection for Clair Obscur: Expedition 33 (2025)
• UPDATE: Game detection for Dragon Age: Inquisition (2014)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Need for Speed Unbound (2022)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare 2 (2016)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Prey (2017)
• UPDATE: Game detection for Shenmue 3 (2019)
• UPDATE: Game detection for Star Wars Battlefront 2 (2017)
• UPDATE: Game detection for Star Wars Battlefront (2015)
• UPDATE: Game detection for Star Wars: Squadrons (2020)

Low Specs Experience v12.8.7 - 2025-09-02
• TWEAK: Optimization for Call of Duty: Advanced Warfare (2014)
• TWEAK: Optimization for Call of Duty: Black Ops (2010)
• TWEAK: Optimization for Call of Duty: Ghosts (2013)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• TWEAK: Optimization for Call of Duty: World at War (2008)
• TWEAK: Optimization for Cyberpunk 2077 (2020)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Cyberpunk 2077 (2020)

Low Specs Experience v12.8.6 - 2025-09-01
• REWORK: Optimization for Dead Island Definitive Edition (2016)
• REWORK: Optimization for Dead Island: Riptide Definitive Edition (2016)
• REWORK: Optimization for Dying Light (2015)
• TWEAK: Optimization for Call of Duty 4: Modern Warfare (2007)
• TWEAK: Optimization for Call of Duty: Advanced Warfare (2014)
• TWEAK: Optimization for Call of Duty: Black Ops 2 (2012)
• TWEAK: Optimization for Call of Duty: Black Ops 3 (2015)
• TWEAK: Optimization for Call of Duty: Black Ops 4 (2018)
• TWEAK: Optimization for Call of Duty: Black Ops 6 (2024)
• TWEAK: Optimization for Call of Duty: Black Ops (2010)
• TWEAK: Optimization for Call of Duty: Black Ops Cold War (2020)
• TWEAK: Optimization for Call of Duty: Ghosts (2013)
• TWEAK: Optimization for Call of Duty: Infinite Warfare (2016)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2022)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• TWEAK: Optimization for Call of Duty: Modern Warfare (2019)
• TWEAK: Optimization for Call of Duty: Modern Warfare Remastered (2016)
• TWEAK: Optimization for Call of Duty: Vanguard (2021)
• TWEAK: Optimization for Call of Duty: Warzone (2025)
• TWEAK: Optimization for Call of Duty: World at War (2008)
• TWEAK: Optimization for Call of Duty: World War 2 (2017)
• TWEAK: Optimization for Dying Light 2 Stay Human (2022)
• TWEAK: Optimization for Dying Light (2015)
• TWEAK: Optimization for Forza Motorsport (2023)
• TWEAK: Optimization for Mafia 2 (Classic) (2010)
• TWEAK: Optimization for Mafia 2: Definitive Edition (2020)
• TWEAK: Optimization for Mafia: Definitive Edition (2020)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Starfield (2023)
• UPDATE: Game detection for Call of Duty 4: Modern Warfare (2007)
• UPDATE: Game detection for Call of Duty: Advanced Warfare (2014)
• UPDATE: Game detection for Call of Duty: Black Ops 2 (2012)
• UPDATE: Game detection for Call of Duty: Black Ops 3 (2015)
• UPDATE: Game detection for Call of Duty: Black Ops 4 (2018)
• UPDATE: Game detection for Call of Duty: Black Ops 6 (2024)
• UPDATE: Game detection for Call of Duty: Black Ops (2010)
• UPDATE: Game detection for Call of Duty: Black Ops Cold War (2020)
• UPDATE: Game detection for Call of Duty: Ghosts (2013)
• UPDATE: Game detection for Call of Duty: Infinite Warfare (2016)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 (2009)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 (2022)
• UPDATE: Game detection for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• UPDATE: Game detection for Call of Duty: Modern Warfare 3 (2011)
• UPDATE: Game detection for Call of Duty: Modern Warfare 3 (2023)
• UPDATE: Game detection for Call of Duty: Modern Warfare (2019)
• UPDATE: Game detection for Call of Duty: Modern Warfare Remastered (2016)
• UPDATE: Game detection for Call of Duty: Vanguard (2021)
• UPDATE: Game detection for Call of Duty: Warzone (2025)
• UPDATE: Game detection for Call of Duty: World at War (2008)
• UPDATE: Game detection for Call of Duty: World War 2 (2017)
• UPDATE: Game detection for Call of Juarez (2006)
• UPDATE: Game detection for Call of Juarez: Bound in Blood (2009)
• UPDATE: Game detection for Call of Juarez: Gunslinger (2013)
• UPDATE: Game detection for Call of Juarez: The Cartel (2011)
• UPDATE: Game detection for Dead Island Definitive Edition (2016)
• UPDATE: Game detection for Dead Island: Riptide Definitive Edition (2016)
• UPDATE: Game detection for Dying Light 2 Stay Human (2022)
• UPDATE: Game detection for Dying Light (2015)
• UPDATE: Game detection for Forza Motorsport (2023)
• UPDATE: Game detection for Senua's Saga: Hellblade 2 (2024)
• UPDATE: Game detection for Sniper: Ghost Warrior (2010)
• UPDATE: Game detection for Starfield (2023)

Low Specs Experience v12.8.5 - 2025-08-22
• ADD: Optimization support for Call of Juarez (2006)
• REWORK: Optimization for Anno 2070 (2011)
• REWORK: Optimization for Anno 2205 (2015)
• REWORK: Optimization for Call of Juarez: Bound in Blood (2009)
• REWORK: Optimization for Call of Juarez: Gunslinger (2013)
• REWORK: Optimization for Call of Juarez: The Cartel (2011)
• REWORK: Optimization for Dark Souls 2 (2014)
• REWORK: Optimization for Dark Souls 2: Scholar of the First Sin (2015)
• REWORK: Optimization for Dark Souls 3 (2016)
• REWORK: Optimization for Dark Souls Remastered (2018)
• REWORK: Optimization for Dark Souls: Prepare to Die Edition (2012)
• REWORK: Optimization for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for BioShock Infinite (2013)
• TWEAK: Optimization for Borderlands 2 (2012)
• TWEAK: Optimization for Borderlands (2009)
• TWEAK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• TWEAK: Optimization for Borderlands: The Pre-Sequel (2014)
• TWEAK: Optimization for Crysis 2 (2011)
• TWEAK: Optimization for Crysis 2 Remastered (2021)
• TWEAK: Optimization for Crysis 3 (2013)
• TWEAK: Optimization for Crysis 3 Remastered (2021)
• TWEAK: Optimization for Crysis (2007)
• TWEAK: Optimization for Crysis Remastered (2020)
• TWEAK: Optimization for Crysis Warhead (2008)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for Dishonored: Death of the Outsider (2017)
• TWEAK: Optimization for eFootball (2021)
• TWEAK: Optimization for Fallout 4 (2015)
• TWEAK: Optimization for Fallout 76 (2018)
• TWEAK: Optimization for Fallout: New Vegas (2010)
• TWEAK: Optimization for Grand Theft Auto 5 Enhanced (2025)
• TWEAK: Optimization for Guilty Gear Strive (2021)
• TWEAK: Optimization for Homefront: The Revolution (2016)
• TWEAK: Optimization for Kingdom Come: Deliverance 2 (2025)
• TWEAK: Optimization for Kingdom Come: Deliverance (2018)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Sniper: Ghost Warrior 2 (2013)
• TWEAK: Optimization for Sniper: Ghost Warrior 3 (2017)
• TWEAK: Optimization for Sniper: Ghost Warrior (2010)
• TWEAK: Optimization for Sniper: Ghost Warrior Contracts 2 (2021)
• TWEAK: Optimization for Sniper: Ghost Warrior Contracts (2019)
• TWEAK: Optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• TWEAK: Optimization for Until Dawn (2024)
• TWEAK: Optimization for Visage (2020)
• UPDATE: Game detection for BioShock Infinite (2013)
• UPDATE: Game detection for Borderlands 2 (2012)
• UPDATE: Game detection for Borderlands (2009)
• UPDATE: Game detection for Borderlands: Game of the Year Enhanced (2019)
• UPDATE: Game detection for Borderlands: The Pre-Sequel (2014)
• UPDATE: Game detection for Call of Juarez: Bound in Blood (2009)
• UPDATE: Game detection for Call of Juarez: Gunslinger (2013)
• UPDATE: Game detection for Call of Juarez: The Cartel (2011)
• UPDATE: Game detection for Crysis 2 (2011)
• UPDATE: Game detection for Crysis 2 Remastered (2021)
• UPDATE: Game detection for Crysis 3 (2013)
• UPDATE: Game detection for Crysis 3 Remastered (2021)
• UPDATE: Game detection for Crysis (2007)
• UPDATE: Game detection for Crysis Remastered (2020)
• UPDATE: Game detection for Crysis Warhead (2008)
• UPDATE: Game detection for Dark Souls 2 (2014)
• UPDATE: Game detection for Dark Souls 2: Scholar of the First Sin (2015)
• UPDATE: Game detection for Dark Souls 3 (2016)
• UPDATE: Game detection for Dark Souls Remastered (2018)
• UPDATE: Game detection for Dark Souls: Prepare to Die Edition (2012)
• UPDATE: Game detection for Deathloop (2021)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)
• UPDATE: Game detection for eFootball (2021)
• UPDATE: Game detection for Fallout 4 (2015)
• UPDATE: Game detection for Fallout 76 (2018)
• UPDATE: Game detection for Fallout: New Vegas (2010)
• UPDATE: Game detection for Guilty Gear Strive (2021)
• UPDATE: Game detection for Homefront: The Revolution (2016)
• UPDATE: Game detection for Kingdom Come: Deliverance 2 (2025)
• UPDATE: Game detection for Kingdom Come: Deliverance (2018)
• UPDATE: Game detection for Sniper: Ghost Warrior 2 (2013)
• UPDATE: Game detection for Sniper: Ghost Warrior 3 (2017)
• UPDATE: Game detection for Sniper: Ghost Warrior (2010)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts 2 (2021)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts (2019)
• UPDATE: Game detection for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• UPDATE: Game detection for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• UPDATE: Game detection for Until Dawn (2024)
• UPDATE: Game detection for Visage (2020)

Low Specs Experience v12.8.4 - 2025-08-16
• BACK-END: Optimization API refinements (api_v4.19)
• REWORK: Optimization for I Am Alive (2012)
• REWORK: Optimization for Tree of Savior (2016)
• TWEAK: Optimization for Batman: Arkham Asylum - Game of the Year Edition (2009)
• TWEAK: Optimization for Batman: Arkham City - Game of the Year Edition (2012)
• TWEAK: Optimization for Batman: Arkham Knight (2015)
• TWEAK: Optimization for Batman: Arkham Origins (2013)
• TWEAK: Optimization for BioShock 2 (2010)
• TWEAK: Optimization for BioShock 2 Remastered (2016)
• TWEAK: Optimization for BioShock (2007)
• TWEAK: Optimization for BioShock Remastered (2016)
• TWEAK: Optimization for Bulletstorm: Full Clip Edition (2017)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Deceit (2016)
• TWEAK: Optimization for Devil May Cry 5 (2019)
• TWEAK: Optimization for Dishonored (2012)
• TWEAK: Optimization for Fortnite (2017)
• TWEAK: Optimization for Goat Simulator (2014)
• TWEAK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• TWEAK: Optimization for Grand Theft Auto 5 Enhanced (2025)
• TWEAK: Optimization for Grand Theft Auto 5 Legacy (2015)
• TWEAK: Optimization for Grand Theft Auto 5 Legacy (FiveM) (2015)
• TWEAK: Optimization for Homefront (2011)
• TWEAK: Optimization for Hunt: Showdown 1896 (2019)
• TWEAK: Optimization for Mafia 2 (Classic) (2010)
• TWEAK: Optimization for Mafia 2: Definitive Edition (2020)
• TWEAK: Optimization for Mafia 3 (2016)
• TWEAK: Optimization for Mafia 3: Definitive Edition (2020)
• TWEAK: Optimization for Mafia: Definitive Edition (2020)
• TWEAK: Optimization for Medal of Honor (2010)
• TWEAK: Optimization for Metro 2033 (2010)
• TWEAK: Optimization for Metro 2033 Redux (2014)
• TWEAK: Optimization for Metro Exodus (2019)
• TWEAK: Optimization for Metro Exodus Enhanced Edition (2021)
• TWEAK: Optimization for Metro: Last Light (2013)
• TWEAK: Optimization for Metro: Last Light Redux (2014)
• TWEAK: Optimization for Mirror's Edge (2009)
• TWEAK: Optimization for Murdered: Soul Suspect (2014)
• TWEAK: Optimization for Outlast 2 (2017)
• TWEAK: Optimization for Outlast (2013)
• TWEAK: Optimization for Prey (2017)
• TWEAK: Optimization for Rage 2 (2019)
• TWEAK: Optimization for Rage (2011)
• TWEAK: Optimization for Red Dead Redemption 2 (2019)
• TWEAK: Optimization for Red Dead Redemption (2024)
• TWEAK: Optimization for Remember Me (2013)
• TWEAK: Optimization for Remnant 2 (2023)
• TWEAK: Optimization for Rocket League (2015)
• TWEAK: Optimization for Ryse: Son of Rome (2014)
• TWEAK: Optimization for Saints Row: The Third (2011)
• TWEAK: Optimization for Sea of Thieves (2018)
• TWEAK: Optimization for The Bureau: XCOM Declassified (2013)
• TWEAK: Optimization for The Finals (2023)
• TWEAK: Optimization for The Texas Chain Saw Massacre (2023)
• TWEAK: Optimization for The Witcher 3: Wild Hunt Classic (2015)
• TWEAK: Optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• TWEAK: Optimization for Titanfall 2 (2016)
• TWEAK: Optimization for Tom Clancy's Splinter Cell: Conviction (2010)
• TWEAK: Optimization for Watch Dogs 2 (2016)
• TWEAK: Optimization for Watch Dogs (2014)
• TWEAK: Optimization for Watch Dogs: Legion (2020)
• TWEAK: Optimization for Wolfenstein 2: The New Colossus (2017)
• TWEAK: Optimization for Wolfenstein: The New Order (2014)
• TWEAK: Optimization for Wolfenstein: The Old Blood (2015)
• TWEAK: Optimization for Wolfenstein: Youngblood (2019)
• TWEAK: Optimization for World of Warcraft (2004)
• TWEAK: Optimization for World War Z (2019)
• UPDATE: Game detection for Batman: Arkham Asylum - Game of the Year Edition (2009)
• UPDATE: Game detection for Batman: Arkham City - Game of the Year Edition (2012)
• UPDATE: Game detection for Batman: Arkham Knight (2015)
• UPDATE: Game detection for Batman: Arkham Origins (2013)
• UPDATE: Game detection for BioShock 2 (2010)
• UPDATE: Game detection for BioShock 2 Remastered (2016)
• UPDATE: Game detection for BioShock (2007)
• UPDATE: Game detection for BioShock Remastered (2016)
• UPDATE: Game detection for Bulletstorm: Full Clip Edition (2017)
• UPDATE: Game detection for Deceit (2016)
• UPDATE: Game detection for Devil May Cry 5 (2019)
• UPDATE: Game detection for Dishonored (2012)
• UPDATE: Game detection for Fortnite (2017)
• UPDATE: Game detection for Goat Simulator (2014)
• UPDATE: Game detection for Grand Theft Auto 4: The Complete Edition (2020)
• UPDATE: Game detection for Grand Theft Auto 5 Enhanced (2025)
• UPDATE: Game detection for Grand Theft Auto 5 Legacy (2015)
• UPDATE: Game detection for Grand Theft Auto 5 Legacy (FiveM) (2015)
• UPDATE: Game detection for Homefront (2011)
• UPDATE: Game detection for Hunt: Showdown 1896 (2019)
• UPDATE: Game detection for I Am Alive (2012)
• UPDATE: Game detection for Mafia 2 (Classic) (2010)
• UPDATE: Game detection for Mafia 2: Definitive Edition (2020)
• UPDATE: Game detection for Mafia 3 (2016)
• UPDATE: Game detection for Mafia 3: Definitive Edition (2020)
• UPDATE: Game detection for Mafia: Definitive Edition (2020)
• UPDATE: Game detection for Medal of Honor (2010)
• UPDATE: Game detection for Metro 2033 (2010)
• UPDATE: Game detection for Metro 2033 Redux (2014)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for Metro: Last Light (2013)
• UPDATE: Game detection for Metro: Last Light Redux (2014)
• UPDATE: Game detection for Mirror's Edge (2009)
• UPDATE: Game detection for Murdered: Soul Suspect (2014)
• UPDATE: Game detection for Outlast 2 (2017)
• UPDATE: Game detection for Outlast (2013)
• UPDATE: Game detection for Prey (2017)
• UPDATE: Game detection for Rage 2 (2019)
• UPDATE: Game detection for Rage (2011)
• UPDATE: Game detection for Remember Me (2013)
• UPDATE: Game detection for Rocket League (2015)
• UPDATE: Game detection for Ryse: Son of Rome (2014)
• UPDATE: Game detection for Saints Row: The Third (2011)
• UPDATE: Game detection for Sea of Thieves (2018)
• UPDATE: Game detection for The Bureau: XCOM Declassified (2013)
• UPDATE: Game detection for The Finals (2023)
• UPDATE: Game detection for The Texas Chain Saw Massacre (2023)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Classic (2015)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Next-Gen (2022)
• UPDATE: Game detection for Titanfall 2 (2016)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Conviction (2010)
• UPDATE: Game detection for Tree of Savior (2016)
• UPDATE: Game detection for Watch Dogs 2 (2016)
• UPDATE: Game detection for Watch Dogs (2014)
• UPDATE: Game detection for Watch Dogs: Legion (2020)
• UPDATE: Game detection for Wolfenstein 2: The New Colossus (2017)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)
• UPDATE: Game detection for Wolfenstein: Youngblood (2019)
• UPDATE: Game detection for World of Warcraft (2004)
• UPDATE: Game detection for World War Z (2019)

Low Specs Experience v12.8.3 - 2025-08-08
• REWORK: Optimization for Dragon Ball Xenoverse 2 (2016)
• REWORK: Optimization for Dragon Ball Xenoverse (2015)
• REWORK: Optimization for LEGO City Undercover (2017)
• REWORK: Optimization for LEGO DC Super-Villains (2018)
• REWORK: Optimization for LEGO Jurassic World (2015)
• REWORK: Optimization for LEGO Marvel Super Heroes 2 (2017)
• REWORK: Optimization for LEGO Marvel Super Heroes (2013)
• REWORK: Optimization for LEGO Marvel's Avengers (2016)
• REWORK: Optimization for LEGO Pirates of the Caribbean: The Video Game (2011)
• REWORK: Optimization for LEGO Star Wars: The Force Awakens (2016)
• REWORK: Optimization for LEGO Star Wars: The Skywalker Saga (2022)
• REWORK: Optimization for LEGO The Hobbit (2014)
• REWORK: Optimization for LEGO The Incredibles (2018)
• REWORK: Optimization for LEGO The Lord of the Rings (2012)
• REWORK: Optimization for LEGO Worlds (2017)
• REWORK: Optimization for Mega Man 11 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection 2 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection (2018)
• REWORK: Optimization for The Elder Scrolls 5: Skyrim Special Edition (2016)
• REWORK: Optimization for The Evil Within 2 (2017)
• REWORK: Optimization for The Evil Within (2014)
• REWORK: Optimization for The LEGO Movie Videogame 2 (2019)
• REWORK: Optimization for The LEGO Movie Videogame (2014)
• REWORK: Optimization for The LEGO Ninjago Movie Video Game (2017)
• TWEAK: Optimization for Civilization 5 (2010)
• TWEAK: Optimization for Civilization 6 (2016)
• TWEAK: Optimization for Civilization: Beyond Earth (2014)
• TWEAK: Optimization for DiRT 2 (2009)
• TWEAK: Optimization for DiRT 3 (2011)
• TWEAK: Optimization for DiRT 4 (2017)
• TWEAK: Optimization for DiRT Rally 2.0 (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for DiRT Showdown (2012)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for F1 22 (2022)
• TWEAK: Optimization for F1 23 (2023)
• TWEAK: Optimization for F1 24 (2024)
• TWEAK: Optimization for F1 2010 (2010)
• TWEAK: Optimization for F1 2011 (2011)
• TWEAK: Optimization for F1 2012 (2012)
• TWEAK: Optimization for F1 2013 (2013)
• TWEAK: Optimization for F1 2014 (2014)
• TWEAK: Optimization for F1 Manager 2022 (2022)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for F1 Manager 2024 (2024)
• TWEAK: Optimization for Fallout 3 (2008)
• TWEAK: Optimization for Ghost of Tsushima Director's Cut (2024)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID (2019)
• TWEAK: Optimization for GRID aka Race Driver: Grid (2008)
• TWEAK: Optimization for GRID Autosport (2014)
• TWEAK: Optimization for GRID Legends (2022)
• TWEAK: Optimization for Heroes of the Storm (2015)
• TWEAK: Optimization for Hitman 2 (2016)
• TWEAK: Optimization for Hitman (2016)
• TWEAK: Optimization for Hitman World of Assassination (2023)
• TWEAK: Optimization for Indiana Jones and the Great Circle (2024)
• TWEAK: Optimization for King of Retail (2022)
• TWEAK: Optimization for Lies of P (2023)
• TWEAK: Optimization for Marvel's Midnight Suns (2022)
• TWEAK: Optimization for Marvel's Spider-Man 2 (2025)
• TWEAK: Optimization for Marvel's Spider-Man Remastered (2022)
• TWEAK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• TWEAK: Optimization for Mordhau (2019)
• TWEAK: Optimization for Mortal Kombat 1 (2023)
• TWEAK: Optimization for Project CARS 2 (2017)
• TWEAK: Optimization for Project CARS 3 (2020)
• TWEAK: Optimization for Project CARS (2015)
• TWEAK: Optimization for Ratchet and Clank: Rift Apart (2023)
• TWEAK: Optimization for Sackboy: A Big Adventure (2022)
• TWEAK: Optimization for The Crew 2 (2018)
• TWEAK: Optimization for The Crew Motorfest (2023)
• UPDATE: Game detection for Anthem (2019)
• UPDATE: Game detection for Battlefield 1 (2016)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Battlefield 4 (2013)
• UPDATE: Game detection for Battlefield 5 (2018)
• UPDATE: Game detection for Battlefield 2042 (2021)
• UPDATE: Game detection for Battlefield Hardline (2015)
• UPDATE: Game detection for Civilization 5 (2010)
• UPDATE: Game detection for Civilization 6 (2016)
• UPDATE: Game detection for Civilization: Beyond Earth (2014)
• UPDATE: Game detection for Dead Space (2023)
• UPDATE: Game detection for DiRT 2 (2009)
• UPDATE: Game detection for DiRT 3 (2011)
• UPDATE: Game detection for DiRT 4 (2017)
• UPDATE: Game detection for DiRT Rally 2.0 (2019)
• UPDATE: Game detection for DiRT Rally (2015)
• UPDATE: Game detection for DiRT Showdown (2012)
• UPDATE: Game detection for Dragon Age: Inquisition (2014)
• UPDATE: Game detection for Dragon Age: The Veilguard (2024)
• UPDATE: Game detection for Dragon Ball Xenoverse 2 (2016)
• UPDATE: Game detection for Dragon Ball Xenoverse (2015)
• UPDATE: Game detection for F1 22 (2022)
• UPDATE: Game detection for F1 23 (2023)
• UPDATE: Game detection for F1 24 (2024)
• UPDATE: Game detection for F1 2010 (2010)
• UPDATE: Game detection for F1 2011 (2011)
• UPDATE: Game detection for F1 2012 (2012)
• UPDATE: Game detection for F1 2013 (2013)
• UPDATE: Game detection for F1 2014 (2014)
• UPDATE: Game detection for F1 Manager 2022 (2022)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for F1 Manager 2024 (2024)
• UPDATE: Game detection for Fallout 3 (2008)
• UPDATE: Game detection for Gas Station Simulator (2021)
• UPDATE: Game detection for Ghost of Tsushima Director's Cut (2024)
• UPDATE: Game detection for GRID 2 (2013)
• UPDATE: Game detection for GRID (2019)
• UPDATE: Game detection for GRID aka Race Driver: Grid (2008)
• UPDATE: Game detection for GRID Autosport (2014)
• UPDATE: Game detection for GRID Legends (2022)
• UPDATE: Game detection for Heroes of the Storm (2015)
• UPDATE: Game detection for Hitman 2 (2016)
• UPDATE: Game detection for Hitman (2016)
• UPDATE: Game detection for Hitman World of Assassination (2023)
• UPDATE: Game detection for Indiana Jones and the Great Circle (2024)
• UPDATE: Game detection for King of Retail (2022)
• UPDATE: Game detection for LEGO City Undercover (2017)
• UPDATE: Game detection for LEGO DC Super-Villains (2018)
• UPDATE: Game detection for LEGO Horizon Adventures (2024)
• UPDATE: Game detection for LEGO Jurassic World (2015)
• UPDATE: Game detection for LEGO Marvel Super Heroes 2 (2017)
• UPDATE: Game detection for LEGO Marvel Super Heroes (2013)
• UPDATE: Game detection for LEGO Marvel's Avengers (2016)
• UPDATE: Game detection for LEGO Pirates of the Caribbean: The Video Game (2011)
• UPDATE: Game detection for LEGO Star Wars: The Force Awakens (2016)
• UPDATE: Game detection for LEGO Star Wars: The Skywalker Saga (2022)
• UPDATE: Game detection for LEGO The Hobbit (2014)
• UPDATE: Game detection for LEGO The Incredibles (2018)
• UPDATE: Game detection for LEGO The Lord of the Rings (2012)
• UPDATE: Game detection for LEGO Worlds (2017)
• UPDATE: Game detection for Lies of P (2023)
• UPDATE: Game detection for Marvel's Midnight Suns (2022)
• UPDATE: Game detection for Marvel's Spider-Man 2 (2025)
• UPDATE: Game detection for Marvel's Spider-Man Remastered (2022)
• UPDATE: Game detection for Marvel's Spider-Man: Miles Morales (2022)
• UPDATE: Game detection for Mass Effect: Andromeda (2017)
• UPDATE: Game detection for Medal of Honor: Warfighter (2012)
• UPDATE: Game detection for Mega Man 11 (2018)
• UPDATE: Game detection for Mega Man X Legacy Collection 2 (2018)
• UPDATE: Game detection for Mega Man X Legacy Collection (2018)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Mordhau (2019)
• UPDATE: Game detection for Mortal Kombat 1 (2023)
• UPDATE: Game detection for Need for Speed (2016)
• UPDATE: Game detection for Need for Speed Heat (2019)
• UPDATE: Game detection for Need for Speed Payback (2017)
• UPDATE: Game detection for Need for Speed Rivals (2013)
• UPDATE: Game detection for Need for Speed Unbound (2022)
• UPDATE: Game detection for Plants vs. Zombies: Battle for Neighborville (2019)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare 2 (2016)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Project CARS 2 (2017)
• UPDATE: Game detection for Project CARS 3 (2020)
• UPDATE: Game detection for Project CARS (2015)
• UPDATE: Game detection for Ratchet and Clank: Rift Apart (2023)
• UPDATE: Game detection for Sackboy: A Big Adventure (2022)
• UPDATE: Game detection for Star Wars Battlefront 2 (2017)
• UPDATE: Game detection for Star Wars Battlefront (2015)
• UPDATE: Game detection for Star Wars: Squadrons (2020)
• UPDATE: Game detection for The Crew 2 (2018)
• UPDATE: Game detection for The Crew Motorfest (2023)
• UPDATE: Game detection for The Elder Scrolls 5: Skyrim Special Edition (2016)
• UPDATE: Game detection for The Evil Within 2 (2017)
• UPDATE: Game detection for The Evil Within (2014)
• UPDATE: Game detection for The LEGO Movie Videogame 2 (2019)
• UPDATE: Game detection for The LEGO Movie Videogame (2014)
• UPDATE: Game detection for The LEGO Ninjago Movie Video Game (2017)

Low Specs Experience v12.8.2 - 2025-08-01
• DEPRECATE: Support for Resident Evil Re:Verse (2022)
• TWEAK: Optimization for Resident Evil 4 (2023)
• TWEAK: Optimization for Resident Evil 7: Biohazard (2017)
• TWEAK: Optimization for Resident Evil Resistance (2020)
• TWEAK: Optimization for Resident Evil Village (2021)
• TWEAK: Optimization for Star Wars Jedi: Fallen Order (2019)
• TWEAK: Optimization for Star Wars Jedi: Survivor (2023)
• UPDATE: Game detection for Resident Evil 4 (2023)
• UPDATE: Game detection for Resident Evil 7: Biohazard (2017)
• UPDATE: Game detection for Resident Evil Resistance (2020)
• UPDATE: Game detection for Resident Evil Village (2021)
• UPDATE: Game detection for Star Wars Jedi: Fallen Order (2019)
• UPDATE: Game detection for Star Wars Jedi: Survivor (2023)

Low Specs Experience v12.8.1 - 2025-07-31
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Mass Effect: Andromeda (2017)
• TWEAK: Optimization for Need for Speed (2016)
• TWEAK: Optimization for Need for Speed Heat (2019)
• TWEAK: Optimization for Need for Speed Payback (2017)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Red Dead Redemption 2 (2019)
• TWEAK: Optimization for Red Dead Redemption 2 (RedM) (2019)
• TWEAK: Optimization for Red Dead Redemption (2024)
• TWEAK: Optimization for Resident Evil 2 (2019)
• TWEAK: Optimization for Resident Evil 3 (2020)
• TWEAK: Optimization for Resident Evil 4 Ultimate HD Edition (2014)
• TWEAK: Optimization for Resident Evil 5 (2009)
• TWEAK: Optimization for Resident Evil 6 (2012)
• TWEAK: Optimization for Resident Evil HD Remaster (2015)
• TWEAK: Optimization for Resident Evil Zero HD Remaster (2016)
• TWEAK: Optimization for Resident Evil: Revelations 2 (2015)
• TWEAK: Optimization for Resident Evil: Revelations (2012)
• TWEAK: Optimization for Star Wars: Squadrons (2020)
• TWEAK: Optimization for Valorant (2020)
• TWEAK: Optimization for Wo Long: Fallen Dynasty (2023)
• UPDATE: Game detection for Red Dead Redemption 2 (2019)
• UPDATE: Game detection for Red Dead Redemption 2 (RedM) (2019)
• UPDATE: Game detection for Red Dead Redemption (2024)
• UPDATE: Game detection for Resident Evil 2 (2019)
• UPDATE: Game detection for Resident Evil 3 (2020)
• UPDATE: Game detection for Resident Evil 4 Ultimate HD Edition (2014)
• UPDATE: Game detection for Resident Evil 5 (2009)
• UPDATE: Game detection for Resident Evil 6 (2012)
• UPDATE: Game detection for Resident Evil HD Remaster (2015)
• UPDATE: Game detection for Resident Evil Zero HD Remaster (2016)
• UPDATE: Game detection for Resident Evil: Revelations 2 (2015)
• UPDATE: Game detection for Resident Evil: Revelations (2012)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Conviction (2010)
• UPDATE: Game detection for Valorant (2020)

Low Specs Experience v12.8.0 - 2025-07-29
• REWORK: Optimization for Saint Seiya: Soldiers' Soul (2015)
• REWORK: Optimization for Sekiro: Shadows Die Twice (2019)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield 2042 (2021)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for Dead Space (2023)
• TWEAK: Optimization for Detroit: Become Human (2020)
• TWEAK: Optimization for Divinity: Original Sin 2 (2017)
• TWEAK: Optimization for Divinity: Original Sin 2 - Definitive Edition (2018)
• TWEAK: Optimization for Dragon Age: The Veilguard (2024)
• TWEAK: Optimization for Medal of Honor: Warfighter (2012)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Psychonauts 2 (2021)
• TWEAK: Optimization for Rise of the Ronin (2025)
• TWEAK: Optimization for Scorn (2022)
• TWEAK: Optimization for Scum (2025)
• TWEAK: Optimization for Silent Hill 2 (2024)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for Wo Long: Fallen Dynasty (2023)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Detroit: Become Human (2020)
• UPDATE: Game detection for Divinity: Original Sin 2 (2017)
• UPDATE: Game detection for Divinity: Original Sin 2 - Definitive Edition (2018)
• UPDATE: Game detection for Medal of Honor: Warfighter (2012)
• UPDATE: Game detection for Psychonauts 2 (2021)
• UPDATE: Game detection for Rise of the Ronin (2025)
• UPDATE: Game detection for Saint Seiya: Soldiers' Soul (2015)
• UPDATE: Game detection for Scorn (2022)
• UPDATE: Game detection for Scum (2025)
• UPDATE: Game detection for Sekiro: Shadows Die Twice (2019)
• UPDATE: Game detection for Silent Hill 2 (2024)
• UPDATE: Game detection for Wo Long: Fallen Dynasty (2023)

Low Specs Experience v12.7.9 - 2025-07-25
• ADD: Optimization support for RoboCop: Rogue City - Unfinished Business (2025)
• REWORK: Optimization for Dead Space 2 (2011)
• REWORK: Optimization for Dead Space 3 (2013)
• REWORK: Optimization for Dead Space (2008)
• REWORK: Optimization for ReCore: Definitive Edition (2016)
• REWORK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Company of Heroes 2 (2013)
• TWEAK: Optimization for Company of Heroes 3 (2023)
• TWEAK: Optimization for Days Gone (2021)
• TWEAK: Optimization for Dead Space (2023)
• TWEAK: Optimization for eFootball PES 2020 (2019)
• TWEAK: Optimization for eFootball PES 2021 Season Update (2020)
• TWEAK: Optimization for F1 2010 (2010)
• TWEAK: Optimization for F1 2011 (2011)
• TWEAK: Optimization for F1 2012 (2012)
• TWEAK: Optimization for F1 2013 (2013)
• TWEAK: Optimization for F1 2014 (2014)
• TWEAK: Optimization for F1 2015 (2015)
• TWEAK: Optimization for F1 2016 (2016)
• TWEAK: Optimization for F1 2017 (2017)
• TWEAK: Optimization for F1 2018 (2018)
• TWEAK: Optimization for F1 2019 (2019)
• TWEAK: Optimization for F1 2020 (2020)
• TWEAK: Optimization for F1 2021 (2021)
• TWEAK: Optimization for Final Fantasy XV (2018) (a.k.a. Final Fantasy 15)
• TWEAK: Optimization for Goat Simulator 3 (2022)
• TWEAK: Optimization for Goat Simulator: Remastered (2024)
• TWEAK: Optimization for Grounded (2022)
• TWEAK: Optimization for Jagged Alliance 3 (2023)
• TWEAK: Optimization for Lords of the Fallen (2023)
• TWEAK: Optimization for Monster Hunter: World (2018)
• TWEAK: Optimization for MX vs. ATV Legends (2021)
• TWEAK: Optimization for No Man's Sky (2016)
• TWEAK: Optimization for One Piece Odyssey (2022)
• TWEAK: Optimization for Payday 2 (2013)
• TWEAK: Optimization for Payday 3 (2023)
• TWEAK: Optimization for Payday: The Heist (2011)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Pro Evolution Soccer 2010 (2009)
• TWEAK: Optimization for Pro Evolution Soccer 2011 (2010)
• TWEAK: Optimization for Pro Evolution Soccer 2012 (2011)
• TWEAK: Optimization for Pro Evolution Soccer 2013 (2012)
• TWEAK: Optimization for Pro Evolution Soccer 2014 (2013)
• TWEAK: Optimization for Pro Evolution Soccer 2015 (2014)
• TWEAK: Optimization for Pro Evolution Soccer 2016 (2015)
• TWEAK: Optimization for Pro Evolution Soccer 2017 (2016)
• TWEAK: Optimization for Pro Evolution Soccer 2018 (2017)
• TWEAK: Optimization for Pro Evolution Soccer 2019 (2018)
• TWEAK: Optimization for Quantum Break (2016)
• TWEAK: Optimization for ReCore: Definitive Edition (2016)
• TWEAK: Optimization for Rise of the Tomb Raider (2016)
• TWEAK: Optimization for RoboCop: Rogue City (2023)
• TWEAK: Optimization for Rune 2 (2019)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Shadow of the Tomb Raider (2018)
• TWEAK: Optimization for Sifu (2022)
• TWEAK: Optimization for Soulcalibur 6 (2018)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for The Elder Scrolls 4: Oblivion Remastered (2025)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• TWEAK: Optimization for The Talos Principle: Reawakened (2025)
• TWEAK: Optimization for The Waylanders (2022)
• UPDATE: Game detection for Assassin's Creed 4: Black Flag (2013)
• UPDATE: Game detection for Assassin's Creed Syndicate (2015)
• UPDATE: Game detection for Assassin's Creed Unity (2014)
• UPDATE: Game detection for Company of Heroes 2 (2013)
• UPDATE: Game detection for Company of Heroes 3 (2023)
• UPDATE: Game detection for Dead Space 2 (2011)
• UPDATE: Game detection for Dead Space 3 (2013)
• UPDATE: Game detection for Dead Space (2008)
• UPDATE: Game detection for Dead Space (2023)
• UPDATE: Game detection for eFootball PES 2020 (2019)
• UPDATE: Game detection for eFootball PES 2021 Season Update (2020)
• UPDATE: Game detection for F1 2010 (2010)
• UPDATE: Game detection for F1 2011 (2011)
• UPDATE: Game detection for F1 2012 (2012)
• UPDATE: Game detection for F1 2013 (2013)
• UPDATE: Game detection for F1 2014 (2014)
• UPDATE: Game detection for F1 2015 (2015)
• UPDATE: Game detection for F1 2016 (2016)
• UPDATE: Game detection for F1 2017 (2017)
• UPDATE: Game detection for F1 2018 (2018)
• UPDATE: Game detection for F1 2019 (2019)
• UPDATE: Game detection for F1 2020 (2020)
• UPDATE: Game detection for F1 2021 (2021)
• UPDATE: Game detection for Far Cry 3 (2012)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Final Fantasy XV (2018) (a.k.a. Final Fantasy 15)
• UPDATE: Game detection for Goat Simulator 3 (2022)
• UPDATE: Game detection for Goat Simulator: Remastered (2024)
• UPDATE: Game detection for Grounded (2022)
• UPDATE: Game detection for Jagged Alliance 3 (2023)
• UPDATE: Game detection for Lords of the Fallen (2023)
• UPDATE: Game detection for Monster Hunter: World (2018)
• UPDATE: Game detection for MX vs. ATV Legends (2021)
• UPDATE: Game detection for No Man's Sky (2016)
• UPDATE: Game detection for One Piece Odyssey (2022)
• UPDATE: Game detection for Payday 2 (2013)
• UPDATE: Game detection for Payday 3 (2023)
• UPDATE: Game detection for Payday: The Heist (2011)
• UPDATE: Game detection for Pro Evolution Soccer 2010 (2009)
• UPDATE: Game detection for Pro Evolution Soccer 2011 (2010)
• UPDATE: Game detection for Pro Evolution Soccer 2012 (2011)
• UPDATE: Game detection for Pro Evolution Soccer 2013 (2012)
• UPDATE: Game detection for Pro Evolution Soccer 2014 (2013)
• UPDATE: Game detection for Pro Evolution Soccer 2015 (2014)
• UPDATE: Game detection for Pro Evolution Soccer 2016 (2015)
• UPDATE: Game detection for Pro Evolution Soccer 2017 (2016)
• UPDATE: Game detection for Pro Evolution Soccer 2018 (2017)
• UPDATE: Game detection for Pro Evolution Soccer 2019 (2018)
• UPDATE: Game detection for Quantum Break (2016)
• UPDATE: Game detection for ReCore: Definitive Edition (2016)
• UPDATE: Game detection for Rise of the Tomb Raider (2016)
• UPDATE: Game detection for RoboCop: Rogue City (2023)
• UPDATE: Game detection for Rune 2 (2019)
• UPDATE: Game detection for Sea of Solitude (2019)
• UPDATE: Game detection for Shadow of the Tomb Raider (2018)
• UPDATE: Game detection for Sifu (2022)
• UPDATE: Game detection for Soulcalibur 6 (2018)
• UPDATE: Game detection for The Elder Scrolls 4: Oblivion Remastered (2025)
• UPDATE: Game detection for The Talos Principle 2 (2023)
• UPDATE: Game detection for The Talos Principle: Reawakened (2025)
• UPDATE: Game detection for The Waylanders (2022)

Low Specs Experience v12.7.8 - 2025-07-18
• BACK-END: Optimization API refinements (api_v4.18)
• REWORK: Optimization for Max Payne 3 (2012)
• REWORK: Optimization for Mortal Kombat X (2015)
• REWORK: Optimization for Mortal Kombat XL (2016)
• REWORK: Optimization for Sunset Overdrive (2018)
• REWORK: Optimization for theHunter Classic (2009)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Just Cause 2 (2010)
• TWEAK: Optimization for Mass Effect: Andromeda (2017)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Mortal Kombat 11 (2019)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Riders Republic (2021)
• TWEAK: Optimization for Split Fiction (2025)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for Star Wars: Squadrons (2020)
• TWEAK: Optimization for Steep (2016)
• TWEAK: Optimization for Tom Clancy's Ghost Recon Breakpoint (2019)
• TWEAK: Optimization for Tom Clancy's Ghost Recon Wildlands (2017)
• TWEAK: Optimization for Tom Clancy's Ghost Recon: Future Soldier (2012)
• TWEAK: Optimization for Tom Clancy's Splinter Cell: Blacklist (2013)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• TWEAK: Optimization for Train Sim World 5 (2024)
• TWEAK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• TWEAK: Optimization for Trials Rising (2019)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Just Cause 2 (2010)
• UPDATE: Game detection for Max Payne 3 (2012)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Mortal Kombat 11 (2019)
• UPDATE: Game detection for Mortal Kombat X (2015)
• UPDATE: Game detection for Mortal Kombat XL (2016)
• UPDATE: Game detection for Riders Republic (2021)
• UPDATE: Game detection for Split Fiction (2025)
• UPDATE: Game detection for Star Wars Battlefront 2 (2017)
• UPDATE: Game detection for Star Wars Battlefront (2015)
• UPDATE: Game detection for Star Wars: Squadrons (2020)
• UPDATE: Game detection for Steep (2016)
• UPDATE: Game detection for Sunset Overdrive (2018)
• UPDATE: Game detection for theHunter Classic (2009)
• UPDATE: Game detection for Tom Clancy's Ghost Recon Breakpoint (2019)
• UPDATE: Game detection for Tom Clancy's Ghost Recon Wildlands (2017)
• UPDATE: Game detection for Tom Clancy's Ghost Recon: Future Soldier (2012)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Blacklist (2013)
• UPDATE: Game detection for Train Sim World 2 (2020)
• UPDATE: Game detection for Train Sim World 3 (2022)
• UPDATE: Game detection for Train Sim World 4 (2023)
• UPDATE: Game detection for Train Sim World 5 (2024)
• UPDATE: Game detection for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• UPDATE: Game detection for Trials Rising (2019)

Low Specs Experience v12.7.7 - 2025-07-15
• REWORK: Optimization for Heavy Rain (2019)
• TWEAK: Optimization for Heavy Rain (2019)
• TWEAK: Optimization for Hogwarts Legacy (2023)
• TWEAK: Optimization for League of Legends (2009)
• TWEAK: Optimization for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)
• TWEAK: Optimization for Tom Clancy's The Division 2 (2019)
• TWEAK: Optimization for Tom Clancy's The Division (2016)
• TWEAK: Optimization for Valorant (2020)
• UPDATE: Game detection for Halo: The Master Chief Collection (2019)
• UPDATE: Game detection for Heavy Rain (2019)
• UPDATE: Game detection for Hogwarts Legacy (2023)
• UPDATE: Game detection for League of Legends (2009)
• UPDATE: Game detection for Middle-earth: Shadow of War (2017)
• UPDATE: Game detection for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)
• UPDATE: Game detection for Tom Clancy's The Division 2 (2019)
• UPDATE: Game detection for Tom Clancy's The Division (2016)
• UPDATE: Game detection for Valorant (2020)

Low Specs Experience v12.7.6 - 2025-07-14
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• UPDATE: Game detection for Plants vs. Zombies: Battle for Neighborville (2019)

Low Specs Experience v12.7.5 - 2025-07-14
• UPDATE: Game detection for Sons of The Forest (2024)

Low Specs Experience v12.7.4 - 2025-07-11
• ADD: Optimization support for Need for Speed: Hot Pursuit (2010)
• REWORK: Optimization for Need for Speed: Hot Pursuit Remastered (2020)
• REWORK: Optimization for Need for Speed: Shift 2 Unleashed (2011)
• REWORK: Optimization for Need for Speed: Shift (2009)
• TWEAK: Optimization for Dynasty Warriors: Origins (2025)
• TWEAK: Optimization for Medal of Honor: Warfighter (2012)
• TWEAK: Optimization for Middle-earth: Shadow of Mordor (2014)
• TWEAK: Optimization for Middle-earth: Shadow of War (2017)
• TWEAK: Optimization for Need for Speed (2016)
• TWEAK: Optimization for Need for Speed Heat (2019)
• TWEAK: Optimization for Need for Speed Payback (2017)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Need for Speed: Most Wanted (2012)
• TWEAK: Optimization for Nioh 2: The Complete Edition (2021)
• TWEAK: Optimization for Nioh: Complete Edition (2017)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• UPDATE: Game detection for Dynasty Warriors: Origins (2025)
• UPDATE: Game detection for Medal of Honor: Warfighter (2012)
• UPDATE: Game detection for Middle-earth: Shadow of Mordor (2014)
• UPDATE: Game detection for Middle-earth: Shadow of War (2017)
• UPDATE: Game detection for Need for Speed (2016)
• UPDATE: Game detection for Need for Speed Heat (2019)
• UPDATE: Game detection for Need for Speed Payback (2017)
• UPDATE: Game detection for Need for Speed Rivals (2013)
• UPDATE: Game detection for Need for Speed Unbound (2022)
• UPDATE: Game detection for Need for Speed: Hot Pursuit Remastered (2020)
• UPDATE: Game detection for Need for Speed: Most Wanted (2012)
• UPDATE: Game detection for Need for Speed: Shift 2 Unleashed (2011)
• UPDATE: Game detection for Need for Speed: Shift (2009)
• UPDATE: Game detection for Nioh 2: The Complete Edition (2021)
• UPDATE: Game detection for Nioh: Complete Edition (2017)
• UPDATE: Game detection for Plants vs. Zombies: Battle for Neighborville (2019)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare 2 (2016)
• UPDATE: Game detection for Plants vs. Zombies: Garden Warfare (2014)

Low Specs Experience v12.7.3 - 2025-07-10
• TWEAK: Optimization for Far Cry 5 (2018)
• TWEAK: Optimization for Far Cry 6 (2021)
• TWEAK: Optimization for Far Cry New Dawn (2019)
• UPDATE: Game detection for Far Cry 5 (2018)
• UPDATE: Game detection for Far Cry 6 (2021)
• UPDATE: Game detection for Far Cry New Dawn (2019)

Low Specs Experience v12.7.2 - 2025-07-09
• TWEAK: Optimization for Far Cry 2 (2008)
• TWEAK: Optimization for Far Cry 3 (2012)
• TWEAK: Optimization for Far Cry 3: Blood Dragon (2013)
• TWEAK: Optimization for Far Cry 4 (2014)
• TWEAK: Optimization for Far Cry Primal (2016)
• UPDATE: Game detection for Far Cry 4 (2014)
• UPDATE: Game detection for Far Cry Primal (2016)

Low Specs Experience v12.7.1 - 2025-07-07
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for Close to the Sun (2019)
• TWEAK: Optimization for Dead Man's Diary (2022)
• TWEAK: Optimization for Death Stranding (2020)
• TWEAK: Optimization for Death Stranding Director's Cut (2022)
• TWEAK: Optimization for Deathloop (2021)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Dragon Age: The Veilguard (2024)
• TWEAK: Optimization for Far Cry 2 (2008)
• TWEAK: Optimization for Far Cry 3 (2012)
• TWEAK: Optimization for Far Cry 3: Blood Dragon (2013)
• TWEAK: Optimization for Ghostrunner 2 (2023
• TWEAK: Optimization for Ghostrunner (2020)
• TWEAK: Optimization for Halo: The Master Chief Collection (2019)
• TWEAK: Optimization for Mass Effect: Andromeda (2017)
• TWEAK: Optimization for PUBG: Battlegrounds (2017)
• TWEAK: Optimization for Returnal (2023)
• TWEAK: Optimization for State of Decay 2: Juggernaut Edition (2020)
• TWEAK: Optimization for Tales of Arise (2021)
• TWEAK: Optimization for Tekken 7 (2017)
• TWEAK: Optimization for The Callisto Protocol (2022)
• TWEAK: Optimization for The Medium (2021)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for Vampire: The Masquerade - Bloodhunt (2022)
• UPDATE: Game detection for Close to the Sun (2019)
• UPDATE: Game detection for Dead Man's Diary (2022)
• UPDATE: Game detection for Deathloop (2021)
• UPDATE: Game detection for Dragon Age: Inquisition (2014)
• UPDATE: Game detection for Dragon Age: The Veilguard (2024)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Ghostrunner 2 (2023
• UPDATE: Game detection for Ghostrunner (2020)
• UPDATE: Game detection for Halo: The Master Chief Collection (2019)
• UPDATE: Game detection for Mass Effect: Andromeda (2017)
• UPDATE: Game detection for PUBG: Battlegrounds (2017)
• UPDATE: Game detection for Returnal (2023)
• UPDATE: Game detection for State of Decay 2: Juggernaut Edition (2020)
• UPDATE: Game detection for Tales of Arise (2021)
• UPDATE: Game detection for Tekken 7 (2017)
• UPDATE: Game detection for The Callisto Protocol (2022)
• UPDATE: Game detection for The Medium (2021)
• UPDATE: Game detection for Vampire: The Masquerade - Bloodhunt (2022)

Low Specs Experience v12.7.0 - 2025-06-27
• ADD: Optimization support for Sleeping Dogs (2012)
• ADD: Optimization support for The Sinking City Remastered (2025)
• DEPRECATE: Support for Dauntless (2019)
• REWORK: Optimization for Darksiders 2 (2012)
• REWORK: Optimization for Darksiders 2: Deathinitive Edition (2015)
• REWORK: Optimization for Darksiders (2010)
• REWORK: Optimization for Darksiders Warmastered Edition (2016)
• REWORK: Optimization for Forza Horizon 4 (2018)
• REWORK: Optimization for Stranded Deep (2022)
• TWEAK: Optimization for Borderlands 3 (2019)
• TWEAK: Optimization for Destiny 2 (2017)
• TWEAK: Optimization for Dragon Ball Z: Kakarot (2020)
• TWEAK: Optimization for Dragon Ball: Sparking! Zero (2024)
• TWEAK: Optimization for Empire of the Ants (2024)
• TWEAK: Optimization for For Honor (2017)
• TWEAK: Optimization for Forza Horizon 5 (2021)
• TWEAK: Optimization for GreedFall (2019)
• TWEAK: Optimization for Jump Force (2019)
• TWEAK: Optimization for Marvel Rivals (2024)
• TWEAK: Optimization for MechWarrior 5: Clans (2024)
• TWEAK: Optimization for Outriders (2021)
• TWEAK: Optimization for Shadow Warrior 2 (2016)
• TWEAK: Optimization for Shadow Warrior 3 (2022)
• TWEAK: Optimization for Shenmue 3 (2019)
• TWEAK: Optimization for Sherlock Holmes: Chapter One (2021)
• TWEAK: Optimization for Sleeping Dogs: Definitive Edition (2014)
• TWEAK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• TWEAK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• TWEAK: Optimization for Spyro Reignited Trilogy (2019)
• TWEAK: Optimization for Star Trek Prodigy: Supernova (2022)
• TWEAK: Optimization for Stray (2022)
• TWEAK: Optimization for Submerged (2015)
• TWEAK: Optimization for Submerged: Hidden Depths (2022)
• TWEAK: Optimization for Sword and Fairy 7 (2021)
• TWEAK: Optimization for The Outer Worlds (2019)
• TWEAK: Optimization for The Outer Worlds: Spacer's Choice Edition (2023)
• TWEAK: Optimization for The Sims 3 (2009)
• TWEAK: Optimization for The Sims 4 (2014)
• TWEAK: Optimization for The Sinking City (2019)
• TWEAK: Optimization for The Surge 2 (2019)
• TWEAK: Optimization for The Surge (2017)
• TWEAK: Optimization for Tiny Tina's Wonderlands (2022)
• TWEAK: Optimization for Vampire: The Masquerade - Swansong (2022)
• TWEAK: Optimization for Vampyr (2018)
• UPDATE: Game detection for Borderlands 3 (2019)
• UPDATE: Game detection for Darksiders 2 (2012)
• UPDATE: Game detection for Darksiders 2: Deathinitive Edition (2015)
• UPDATE: Game detection for Darksiders (2010)
• UPDATE: Game detection for Darksiders Warmastered Edition (2016)
• UPDATE: Game detection for Destiny 2 (2017)
• UPDATE: Game detection for Dragon Ball Z: Kakarot (2020)
• UPDATE: Game detection for Dragon Ball: Sparking! Zero (2024)
• UPDATE: Game detection for Empire of the Ants (2024)
• UPDATE: Game detection for For Honor (2017)
• UPDATE: Game detection for Forza Horizon 4 (2018)
• UPDATE: Game detection for Forza Horizon 5 (2021)
• UPDATE: Game detection for GreedFall (2019)
• UPDATE: Game detection for Jump Force (2019)
• UPDATE: Game detection for Marvel Rivals (2024)
• UPDATE: Game detection for MechWarrior 5: Clans (2024)
• UPDATE: Game detection for Outriders (2021)
• UPDATE: Game detection for Shadow Warrior 2 (2016)
• UPDATE: Game detection for Shadow Warrior 3 (2022)
• UPDATE: Game detection for Sherlock Holmes: Chapter One (2021)
• UPDATE: Game detection for Sleeping Dogs: Definitive Edition (2014)
• UPDATE: Game detection for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• UPDATE: Game detection for SpongeBob SquarePants: The Cosmic Shake (2023)
• UPDATE: Game detection for Spyro Reignited Trilogy (2019)
• UPDATE: Game detection for Star Trek Prodigy: Supernova (2022)
• UPDATE: Game detection for Stranded Deep (2022)
• UPDATE: Game detection for Stray (2022)
• UPDATE: Game detection for Submerged (2015)
• UPDATE: Game detection for Submerged: Hidden Depths (2022)
• UPDATE: Game detection for Sword and Fairy 7 (2021)
• UPDATE: Game detection for The Outer Worlds (2019)
• UPDATE: Game detection for The Outer Worlds: Spacer's Choice Edition (2023)
• UPDATE: Game detection for The Sims 3 (2009)
• UPDATE: Game detection for The Sims 4 (2014)
• UPDATE: Game detection for The Sinking City (2019)
• UPDATE: Game detection for The Surge 2 (2019)
• UPDATE: Game detection for The Surge (2017)
• UPDATE: Game detection for Tiny Tina's Wonderlands (2022)
• UPDATE: Game detection for Vampire: The Masquerade - Swansong (2022)
• UPDATE: Game detection for Vampyr (2018)

Low Specs Experience v12.6.9 - 2025-06-20
• REWORK: Optimization for Saints Row 4 (2013)
• REWORK: Optimization for Saints Row: Gat out of Hell (2015)
• REWORK: Optimization for Saints Row: The Third (2011)
• REWORK: Optimization for Saints Row: The Third Remastered (2020)
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Abzu (2016)
• TWEAK: Optimization for Ace Combat 7: Skies Unknown (2019)
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Agony (2018)
• TWEAK: Optimization for Agony Unrated (2018)
• TWEAK: Optimization for Aliens: Fireteam Elite (2021)
• TWEAK: Optimization for Alone in the Dark (2024)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for ARK: Survival Evolved (2017)
• TWEAK: Optimization for Ashes of Oahu (2019)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Astroneer (2016)
• TWEAK: Optimization for Atomic Heart (2023)
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for Blair Witch (2019)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Bus Simulator 21 (2021)
• TWEAK: Optimization for Chernobylite (2021)
• TWEAK: Optimization for Chivalry 2 (2021)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Code Vein (2019)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Conan Exiles (2018)
• TWEAK: Optimization for Crackdown 3 (2019)
• TWEAK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• TWEAK: Optimization for Darksiders 3 (2018)
• TWEAK: Optimization for Darksiders Genesis (2019)
• TWEAK: Optimization for Daylight (2014)
• TWEAK: Optimization for Daymare: 1994 Sandcastle (2023)
• TWEAK: Optimization for Daymare: 1998 (2019)
• TWEAK: Optimization for Dead by Daylight (2016)
• TWEAK: Optimization for Death Stranding (2020)
• TWEAK: Optimization for Death Stranding Director's Cut (2022)
• TWEAK: Optimization for Deliver Us Mars (2023)
• TWEAK: Optimization for Deliver Us The Moon (2019)
• TWEAK: Optimization for Devil's Hunt (2019)
• TWEAK: Optimization for Effie (2020)
• TWEAK: Optimization for Esse Proxy (2022)
• TWEAK: Optimization for Evil West (2022)
• TWEAK: Optimization for Fade to Silence (2019)
• TWEAK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• TWEAK: Optimization for Food Truck Simulator (2022)
• TWEAK: Optimization for Friday the 13th: The Game (2017)
• TWEAK: Optimization for Gas Station Simulator (2021)
• TWEAK: Optimization for Gears 5 (2019)
• TWEAK: Optimization for Gears Tactics (2020)
• TWEAK: Optimization for Ghostwire: Tokyo (2022)
• TWEAK: Optimization for Gotham Knights (2022)
• TWEAK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• TWEAK: Optimization for Hellblade: Senua's Sacrifice (2017)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for It Takes Two (2021)
• TWEAK: Optimization for Journey to the Savage Planet (2020)
• TWEAK: Optimization for Kena: Bridge of Spirits (2021)
• TWEAK: Optimization for Life is Strange 2 (2018)
• TWEAK: Optimization for Life is Strange Remastered (2022)
• TWEAK: Optimization for Life is Strange: True Colors (2021)
• TWEAK: Optimization for Little Nightmares 2 (2021)
• TWEAK: Optimization for Martha is Dead (2022)
• TWEAK: Optimization for MechWarrior 5: Mercenaries (2019)
• TWEAK: Optimization for Moons of Madness (2019)
• TWEAK: Optimization for OVERKILL's The Walking Dead (2018)
• TWEAK: Optimization for Partisans 1941 (2020)
• TWEAK: Optimization for Redfall (2023)
• TWEAK: Optimization for Remnant 2 (2023)
• TWEAK: Optimization for Remnant: From the Ashes (2019)
• TWEAK: Optimization for Shenmue 3 (2019)
• TWEAK: Optimization for Sniper Elite 3 (2014)
• TWEAK: Optimization for Sniper Elite 4 (2017)
• TWEAK: Optimization for Sniper Elite 5 (2022)
• TWEAK: Optimization for Sniper Elite V2 (2012)
• TWEAK: Optimization for Sniper Elite V2 Remastered (2019)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army 2 (2013)
• TWEAK: Optimization for Sniper Elite: Nazi Zombie Army (2013)
• TWEAK: Optimization for Sniper Elite: Resistance (2025)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for Terminator: Resistance (2019)
• TWEAK: Optimization for The Awesome Adventures of Captain Spirit (2018)
• TWEAK: Optimization for The Beast Inside (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: House of Ashes (2021)
• TWEAK: Optimization for The Dark Pictures Anthology: Little Hope (2020)
• TWEAK: Optimization for The Dark Pictures Anthology: Man of Medan (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: The Devil in Me (2022)
• TWEAK: Optimization for The Eternal Cylinder (2021)
• TWEAK: Optimization for The Last Oricru (2022)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for The Redress of Mira (2022)
• TWEAK: Optimization for Tony Hawk's Pro Skater 1 + 2 (2020)
• TWEAK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Trek to Yomi (2022)
• TWEAK: Optimization for Twin Mirror (2020)
• TWEAK: Optimization for Unknown 9: Awakening (2024)
• TWEAK: Optimization for We Happy Few (2018)
• TWEAK: Optimization for Zombie Army 4: Dead War (2020)
• TWEAK: Optimization for Zombie Army Trilogy (2015)
• UPDATE: Game detection for Conan Exiles (2018)
• UPDATE: Game detection for Darksiders 3 (2018)
• UPDATE: Game detection for Darksiders Genesis (2019)
• UPDATE: Game detection for Daylight (2014)
• UPDATE: Game detection for Daymare: 1994 Sandcastle (2023)
• UPDATE: Game detection for Daymare: 1998 (2019)
• UPDATE: Game detection for Death Stranding (2020)
• UPDATE: Game detection for Death Stranding Director's Cut (2022)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)
• UPDATE: Game detection for Esse Proxy (2022)
• UPDATE: Game detection for Fade to Silence (2019)
• UPDATE: Game detection for Food Truck Simulator (2022)
• UPDATE: Game detection for Friday the 13th: The Game (2017)
• UPDATE: Game detection for Hellblade: Senua's Sacrifice (2017)
• UPDATE: Game detection for High on Life (2022)
• UPDATE: Game detection for It Takes Two (2021)
• UPDATE: Game detection for Journey to the Savage Planet (2020)
• UPDATE: Game detection for Kena: Bridge of Spirits (2021)
• UPDATE: Game detection for Martha is Dead (2022)
• UPDATE: Game detection for MechWarrior 5: Mercenaries (2019)
• UPDATE: Game detection for Redfall (2023)
• UPDATE: Game detection for Remnant 2 (2023)
• UPDATE: Game detection for Remnant: From the Ashes (2019)
• UPDATE: Game detection for Saints Row 4 (2013)
• UPDATE: Game detection for Saints Row: Gat out of Hell (2015)
• UPDATE: Game detection for Saints Row: The Third (2011)
• UPDATE: Game detection for Saints Row: The Third Remastered (2020)
• UPDATE: Game detection for Shenmue 3 (2019)
• UPDATE: Game detection for Sniper Elite 3 (2014)
• UPDATE: Game detection for Sniper Elite 4 (2017)
• UPDATE: Game detection for Sniper Elite 5 (2022)
• UPDATE: Game detection for Sniper Elite V2 (2012)
• UPDATE: Game detection for Sniper Elite V2 Remastered (2019)
• UPDATE: Game detection for Sniper Elite: Nazi Zombie Army 2 (2013)
• UPDATE: Game detection for Sniper Elite: Nazi Zombie Army (2013)
• UPDATE: Game detection for Sniper Elite: Resistance (2025)
• UPDATE: Game detection for The Last Oricru (2022)
• UPDATE: Game detection for The Quarry (2022)
• UPDATE: Game detection for Tony Hawk's Pro Skater 1 + 2 (2020)
• UPDATE: Game detection for Unknown 9: Awakening (2024)
• UPDATE: Game detection for Zombie Army 4: Dead War (2020)
• UPDATE: Game detection for Zombie Army Trilogy (2015)

Low Specs Experience v12.6.8 - 2025-06-13
• REWORK: Optimization for Dead Rising 2 (2010)
• REWORK: Optimization for Dead Rising 2: Off the Record (2011)
• REWORK: Optimization for Dead Rising (2016)
• REWORK: Optimization for Fast and Furious Crossroads (2020)
• TWEAK: Optimization for A Plague Tale: Innocence (2019)
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Abzu (2016)
• TWEAK: Optimization for Alan Wake Remastered (2021)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield 2042 (2021)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Code Vein (2019)
• TWEAK: Optimization for Conqueror's Blade (2019)
• TWEAK: Optimization for Control Ultimate Edition (2020)
• TWEAK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• TWEAK: Optimization for Dead by Daylight (2016)
• TWEAK: Optimization for Dead Rising 3 (2014)
• TWEAK: Optimization for Dead Rising 4 (2016)
• TWEAK: Optimization for Dead Rising Deluxe Remaster (2024)
• TWEAK: Optimization for Evil West (2022)
• TWEAK: Optimization for Friday the 13th: The Game (2017)
• TWEAK: Optimization for Gas Station Simulator (2021)
• TWEAK: Optimization for Gears 5 (2019)
• TWEAK: Optimization for Gears Tactics (2020)
• TWEAK: Optimization for Ghostwire: Tokyo (2022)
• TWEAK: Optimization for God of War Ragnarok (2024)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for Horizon Zero Dawn (2020)
• TWEAK: Optimization for Horizon Zero Dawn Remastered (2024)
• TWEAK: Optimization for Life is Strange 2 (2018)
• TWEAK: Optimization for Life is Strange Remastered (2022)
• TWEAK: Optimization for Life is Strange: True Colors (2021)
• TWEAK: Optimization for Little Nightmares 2 (2021)
• TWEAK: Optimization for Little Nightmares (2017)
• TWEAK: Optimization for Moons of Madness (2019)
• TWEAK: Optimization for OVERKILL's The Walking Dead (2018)
• TWEAK: Optimization for Partisans 1941 (2020)
• TWEAK: Optimization for Redeemer: Enhanced Edition (2017)
• TWEAK: Optimization for Sons of The Forest (2024)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for Terminator: Resistance (2019)
• TWEAK: Optimization for The Awesome Adventures of Captain Spirit (2018)
• TWEAK: Optimization for The Beast Inside (2019)
• TWEAK: Optimization for The Forest (2018)
• TWEAK: Optimization for The Last of Us Part 1 (2023)
• TWEAK: Optimization for The Last of Us Part 2 Remastered (2025)
• TWEAK: Optimization for The Redress of Mira (2022)
• TWEAK: Optimization for Tom Clancy's Rainbow Six Extraction (2022)
• TWEAK: Optimization for Tom Clancy's Rainbow Six Siege (2015)
• TWEAK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Trek to Yomi (2022)
• TWEAK: Optimization for Twin Mirror (2020)
• TWEAK: Optimization for Uncharted: Legacy of Thieves Collection
• TWEAK: Optimization for We Happy Few (2018)
• UPDATE: Game detection for Baldur's Gate 3 (2023)
• UPDATE: Game detection for Battlefield 1 (2016)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Battlefield 4 (2013)
• UPDATE: Game detection for Battlefield 5 (2018)
• UPDATE: Game detection for Battlefield 2042 (2021)
• UPDATE: Game detection for Battlefield Hardline (2015)
• UPDATE: Game detection for Code Vein (2019)
• UPDATE: Game detection for Conqueror's Blade (2019)
• UPDATE: Game detection for Control Ultimate Edition (2020)
• UPDATE: Game detection for Crash Bandicoot 4: It's About Time (2021)
• UPDATE: Game detection for Dead by Daylight (2016)
• UPDATE: Game detection for Dead Rising 2: Off the Record (2011)
• UPDATE: Game detection for Dead Rising 3 (2014)
• UPDATE: Game detection for Dead Rising 4 (2016)
• UPDATE: Game detection for Dead Rising (2016)
• UPDATE: Game detection for Dead Rising Deluxe Remaster (2024)
• UPDATE: Game detection for Evil West (2022)
• UPDATE: Game detection for Far Cry 2 (2008)
• UPDATE: Game detection for Far Cry 3 (2012)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Far Cry 4 (2014)
• UPDATE: Game detection for Far Cry 5 (2018)
• UPDATE: Game detection for Far Cry 6 (2021)
• UPDATE: Game detection for Far Cry New Dawn (2019)
• UPDATE: Game detection for Far Cry Primal (2016)
• UPDATE: Game detection for Fast and Furious Crossroads (2020)
• UPDATE: Game detection for Friday the 13th: The Game (2017)
• UPDATE: Game detection for Gas Station Simulator (2021)
• UPDATE: Game detection for Gears 5 (2019)
• UPDATE: Game detection for Gears of War 4 (2016)
• UPDATE: Game detection for Gears Tactics (2020)
• UPDATE: Game detection for Ghostwire: Tokyo (2022)
• UPDATE: Game detection for God of War Ragnarok (2024)
• UPDATE: Game detection for Horizon Forbidden West (2024)
• UPDATE: Game detection for Horizon Zero Dawn (2020)
• UPDATE: Game detection for Horizon Zero Dawn Remastered (2024)
• UPDATE: Game detection for Life is Strange 2 (2018)
• UPDATE: Game detection for Life is Strange Remastered (2022)
• UPDATE: Game detection for Life is Strange: True Colors (2021)
• UPDATE: Game detection for Little Nightmares 2 (2021)
• UPDATE: Game detection for Little Nightmares (2017)
• UPDATE: Game detection for Moons of Madness (2019)
• UPDATE: Game detection for OVERKILL's The Walking Dead (2018)
• UPDATE: Game detection for Partisans 1941 (2020)
• UPDATE: Game detection for Redeemer: Enhanced Edition (2017)
• UPDATE: Game detection for Sons of The Forest (2024)
• UPDATE: Game detection for Tell Me Why (2020)
• UPDATE: Game detection for Terminator: Resistance (2019)
• UPDATE: Game detection for The Awesome Adventures of Captain Spirit (2018)
• UPDATE: Game detection for The Beast Inside (2019)
• UPDATE: Game detection for The Forest (2018)
• UPDATE: Game detection for The Last of Us Part 1 (2023)
• UPDATE: Game detection for The Last of Us Part 2 Remastered (2025)
• UPDATE: Game detection for The Redress of Mira (2022)
• UPDATE: Game detection for Tom Clancy's Rainbow Six Extraction (2022)
• UPDATE: Game detection for Tom Clancy's Rainbow Six Siege (2015)
• UPDATE: Game detection for Treasure Hunter Simulator (2018)
• UPDATE: Game detection for Trek to Yomi (2022)
• UPDATE: Game detection for Twin Mirror (2020)
• UPDATE: Game detection for Uncharted: Legacy of Thieves Collection
• UPDATE: Game detection for We Happy Few (2018)

Low Specs Experience v12.6.7 - 2025-06-06
• BACK-END: Optimization API refinements (api_v4.17)
• TWEAK: Optimization for Chernobylite (2021)
• TWEAK: Optimization for Chivalry 2 (2021)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Deliver Us Mars (2023)
• TWEAK: Optimization for Deliver Us The Moon (2019)
• TWEAK: Optimization for Devil's Hunt (2019)
• TWEAK: Optimization for Effie (2020)
• TWEAK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• TWEAK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• TWEAK: Optimization for The Dark Pictures Anthology: House of Ashes (2021)
• TWEAK: Optimization for The Dark Pictures Anthology: Little Hope (2020)
• TWEAK: Optimization for The Dark Pictures Anthology: Man of Medan (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: The Devil in Me (2022)
• UPDATE: Game detection for Chernobylite (2021)
• UPDATE: Game detection for Chivalry 2 (2021)
• UPDATE: Game detection for Deliver Us Mars (2023)
• UPDATE: Game detection for Deliver Us The Moon (2019)
• UPDATE: Game detection for Devil's Hunt (2019)
• UPDATE: Game detection for Effie (2020)
• UPDATE: Game detection for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• UPDATE: Game detection for Grand Theft Auto 3 - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• UPDATE: Game detection for The Dark Pictures Anthology: House of Ashes (2021)
• UPDATE: Game detection for The Dark Pictures Anthology: Little Hope (2020)
• UPDATE: Game detection for The Dark Pictures Anthology: Man of Medan (2019)
• UPDATE: Game detection for The Dark Pictures Anthology: The Devil in Me (2022)

Low Specs Experience v12.6.6 - 2025-06-04
• ADD: Optimization support for Mass Effect Legendary Edition (2021)
• REWORK: Optimization for Batman: Arkham Origins Blackgate (2013)
• REWORK: Optimization for Forza Horizon 3 (2016)
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Abzu (2016)
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Agony (2018)
• TWEAK: Optimization for Agony Unrated (2018)
• TWEAK: Optimization for Aliens: Fireteam Elite (2021)
• TWEAK: Optimization for Alone in the Dark (2024)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for ARK: Survival Evolved (2017)
• TWEAK: Optimization for Arma 3 (2013)
• TWEAK: Optimization for Ashes of Oahu (2019)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Astroneer (2016)
• TWEAK: Optimization for Atomic Heart (2023)
• TWEAK: Optimization for Avowed (2025)
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for Blair Witch (2019)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Bright Memory (2020)
• TWEAK: Optimization for Bright Memory: Infinite (2021)
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Bus Simulator 21 (2021)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Crackdown 3 (2019)
• TWEAK: Optimization for Days Gone (2021)
• TWEAK: Optimization for Gears of War 4 (2016)
• TWEAK: Optimization for God of War (2022) (a.k.a. God of War 2018)
• TWEAK: Optimization for Gotham Knights (2022)
• TWEAK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• TWEAK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• TWEAK: Optimization for Mad Max (2015)
• TWEAK: Optimization for Mass Effect Legendary Edition (2021)
• TWEAK: Optimization for The Eternal Cylinder (2021)
• TWEAK: Optimization for Tomb Raider (2013)
• TWEAK: Optimization for Tomb Raider: Definitive Edition (2024)
• UPDATE: Game detection for Batman: Arkham Origins Blackgate (2013)
• UPDATE: Game detection for Biomutant (2021)
• UPDATE: Game detection for Blair Witch (2019)
• UPDATE: Game detection for Bloodstained: Ritual of the Night (2019)
• UPDATE: Game detection for Bright Memory (2020)
• UPDATE: Game detection for Bright Memory: Infinite (2021)
• UPDATE: Game detection for Bus Simulator 18 (2018)
• UPDATE: Game detection for Bus Simulator 21 (2021)
• UPDATE: Game detection for Call of Cthulhu (2018)
• UPDATE: Game detection for Crackdown 3 (2019)
• UPDATE: Game detection for Forza Horizon 3 (2016)
• UPDATE: Game detection for Gears of War 4 (2016)
• UPDATE: Game detection for God of War (2022) (a.k.a. God of War 2018)
• UPDATE: Game detection for Gotham Knights (2022)
• UPDATE: Game detection for Grand Theft Auto 3 - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• UPDATE: Game detection for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• UPDATE: Game detection for Mad Max (2015)
• UPDATE: Game detection for Tomb Raider (2013)
• UPDATE: Game detection for Tomb Raider: Definitive Edition (2024)

Low Specs Experience v12.6.5 - 2025-05-29
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for Assassin's Creed 2 (2010)
• TWEAK: Optimization for Assassin's Creed 3 (2012)
• TWEAK: Optimization for Assassin's Creed 3 Remastered (2019)
• TWEAK: Optimization for Assassin's Creed 3: Liberation Remastered (2019)
• TWEAK: Optimization for Assassin's Creed 4: Black Flag (2013)
• TWEAK: Optimization for Assassin's Creed Mirage (2023)
• TWEAK: Optimization for Assassin's Creed Odyssey (2018)
• TWEAK: Optimization for Assassin's Creed Origins (2017)
• TWEAK: Optimization for Assassin's Creed Rogue (2015)
• TWEAK: Optimization for Assassin's Creed Syndicate (2015)
• TWEAK: Optimization for Assassin's Creed Unity (2014)
• TWEAK: Optimization for Assassin's Creed Valhalla (2020)
• TWEAK: Optimization for Assassin's Creed: Brotherhood (2010)
• TWEAK: Optimization for Assassin's Creed: Director's Cut (2008)
• TWEAK: Optimization for Assassin's Creed: Freedom Cry (2014)
• TWEAK: Optimization for Assassin's Creed: Liberation HD (2014)
• TWEAK: Optimization for Assassin's Creed: Revelations (2011)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Astroneer (2016)
• TWEAK: Optimization for Atomic Heart (2023)
• TWEAK: Optimization for Avowed (2025)
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Battlefield: Bad Company 2 (2010)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Clair Obscur: Expedition 33 (2025)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Overwatch (2023) (a.k.a. Overwatch 2)
• UPDATE: Game detection for Anthem (2019)
• UPDATE: Game detection for Assassin's Creed 2 (2010)
• UPDATE: Game detection for Assassin's Creed 3 (2012)
• UPDATE: Game detection for Assassin's Creed 3 Remastered (2019)
• UPDATE: Game detection for Assassin's Creed 3: Liberation Remastered (2019)
• UPDATE: Game detection for Assassin's Creed 4: Black Flag (2013)
• UPDATE: Game detection for Assassin's Creed Mirage (2023)
• UPDATE: Game detection for Assassin's Creed Odyssey (2018)
• UPDATE: Game detection for Assassin's Creed Origins (2017)
• UPDATE: Game detection for Assassin's Creed Rogue (2015)
• UPDATE: Game detection for Assassin's Creed Syndicate (2015)
• UPDATE: Game detection for Assassin's Creed Unity (2014)
• UPDATE: Game detection for Assassin's Creed Valhalla (2020)
• UPDATE: Game detection for Assassin's Creed: Brotherhood (2010)
• UPDATE: Game detection for Assassin's Creed: Director's Cut (2008)
• UPDATE: Game detection for Assassin's Creed: Freedom Cry (2014)
• UPDATE: Game detection for Assassin's Creed: Liberation HD (2014)
• UPDATE: Game detection for Assassin's Creed: Revelations (2011)
• UPDATE: Game detection for Assetto Corsa Competizione (2019)
• UPDATE: Game detection for Astroneer (2016)
• UPDATE: Game detection for Atomic Heart (2023)
• UPDATE: Game detection for Avowed (2025)
• UPDATE: Game detection for Back 4 Blood (2021)
• UPDATE: Game detection for Bakery Simulator (2022)
• UPDATE: Game detection for Battlefield: Bad Company 2 (2010)
• UPDATE: Game detection for Big Earth (2022)
• UPDATE: Game detection for Clair Obscur: Expedition 33 (2025)
• UPDATE: Game detection for Cold House (2022)
• UPDATE: Game detection for Overwatch (2023) (a.k.a. Overwatch 2)

Low Specs Experience v12.6.4 - 2025-05-20
• BACK-END: Optimization API refinements (api_v4.16)
• UI-UX: User interface refinements (ui_v12.20)
• ADD: Optimization support for Clair Obscur: Expedition 33 (2025)
• ADD: Optimization support for The Eternal Cylinder (2021)
• REWORK: Optimization for Accident (2021)
• REWORK: Optimization for Agents of Mayhem (2017)
• REWORK: Optimization for Alien: Isolation (2014)
• REWORK: Optimization for ARK: Survival Evolved (2017)
• REWORK: Optimization for Armored Core 6: Fires of Rubicon (2023)
• REWORK: Optimization for Assetto Corsa (2014)
• REWORK: Optimization for EA Sports FC 24 (2023)
• REWORK: Optimization for EA Sports FC 25 (2024)
• REWORK: Optimization for eFootball (2021)
• REWORK: Optimization for eFootball PES 2020 (2019)
• REWORK: Optimization for eFootball PES 2021 Season Update (2020)
• REWORK: Optimization for FIFA 11 (2010)
• REWORK: Optimization for FIFA 12 (2011)
• REWORK: Optimization for FIFA 13 (2012)
• REWORK: Optimization for FIFA 14 (2013)
• REWORK: Optimization for FIFA 15 (2014)
• REWORK: Optimization for FIFA 16 (2015)
• REWORK: Optimization for FIFA 17 (2016)
• REWORK: Optimization for FIFA 18 (2017)
• REWORK: Optimization for FIFA 19 (2018)
• REWORK: Optimization for FIFA 20 (2019)
• REWORK: Optimization for FIFA 21 (2020)
• REWORK: Optimization for FIFA 22 (2021)
• REWORK: Optimization for FIFA 23 (2022)
• REWORK: Optimization for Pro Evolution Soccer 2010 (2009)
• REWORK: Optimization for Pro Evolution Soccer 2011 (2010)
• REWORK: Optimization for Pro Evolution Soccer 2012 (2011)
• REWORK: Optimization for Pro Evolution Soccer 2013 (2012)
• REWORK: Optimization for Pro Evolution Soccer 2014 (2013)
• REWORK: Optimization for Pro Evolution Soccer 2015 (2014)
• REWORK: Optimization for Pro Evolution Soccer 2016 (2015)
• REWORK: Optimization for Pro Evolution Soccer 2017 (2016)
• REWORK: Optimization for Pro Evolution Soccer 2018 (2017)
• REWORK: Optimization for Pro Evolution Soccer 2019 (2018)
• TWEAK: Optimization for A Plague Tale: Innocence (2019)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Abzu (2016)
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Age of Empires 3: Definitive Edition (2020)
• TWEAK: Optimization for Agony (2018)
• TWEAK: Optimization for Agony Unrated (2018)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Alan Wake Remastered (2021)
• TWEAK: Optimization for Aliens: Fireteam Elite (2021)
• TWEAK: Optimization for Alone in the Dark (2024)
• TWEAK: Optimization for American Truck Simulator (2016)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Anno 2070 (2011)
• TWEAK: Optimization for Anno 2205 (2015)
• TWEAK: Optimization for Apex Legends (2019)
• TWEAK: Optimization for Arma 3 (2013)
• TWEAK: Optimization for Ashes of Oahu (2019)
• TWEAK: Optimization for Atlas Fallen (2023)
• TWEAK: Optimization for Counter-Strike 2 (2023)
• TWEAK: Optimization for Days Gone (2021)
• TWEAK: Optimization for Dota 2 (2013)
• TWEAK: Optimization for Euro Truck Simulator 2 (2012)
• UPDATE: Game detection for A Plague Tale: Innocence (2019)
• UPDATE: Game detection for A Plague Tale: Requiem (2022)
• UPDATE: Game detection for A Way Out (2018)
• UPDATE: Game detection for Abzu (2016)
• UPDATE: Game detection for Accident (2021)
• UPDATE: Game detection for Aegis Descent (2023)
• UPDATE: Game detection for Age of Empires 3: Definitive Edition (2020)
• UPDATE: Game detection for Agents of Mayhem (2017)
• UPDATE: Game detection for Agony (2018)
• UPDATE: Game detection for Agony Unrated (2018)
• UPDATE: Game detection for Alan Wake 2 (2023)
• UPDATE: Game detection for Alan Wake Remastered (2021)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Aliens: Fireteam Elite (2021)
• UPDATE: Game detection for Alone in the Dark (2024)
• UPDATE: Game detection for American Truck Simulator (2016)
• UPDATE: Game detection for Ancestors: The Humankind Odyssey (2019)
• UPDATE: Game detection for Anno 1800 (2019)
• UPDATE: Game detection for Anno 2070 (2011)
• UPDATE: Game detection for Anno 2205 (2015)
• UPDATE: Game detection for Apex Legends (2019)
• UPDATE: Game detection for ARK: Survival Evolved (2017)
• UPDATE: Game detection for Arma 3 (2013)
• UPDATE: Game detection for Armored Core 6: Fires of Rubicon (2023)
• UPDATE: Game detection for Ashes of Oahu (2019)
• UPDATE: Game detection for Assetto Corsa (2014)
• UPDATE: Game detection for Atlas Fallen (2023)
• UPDATE: Game detection for Counter-Strike 2 (2023)
• UPDATE: Game detection for Days Gone (2021)
• UPDATE: Game detection for Dota 2 (2013)
• UPDATE: Game detection for EA Sports FC 24 (2023)
• UPDATE: Game detection for EA Sports FC 25 (2024)
• UPDATE: Game detection for Euro Truck Simulator 2 (2012)
• UPDATE: Game detection for FIFA 11 (2010)
• UPDATE: Game detection for FIFA 12 (2011)
• UPDATE: Game detection for FIFA 13 (2012)
• UPDATE: Game detection for FIFA 14 (2013)
• UPDATE: Game detection for FIFA 15 (2014)
• UPDATE: Game detection for FIFA 16 (2015)
• UPDATE: Game detection for FIFA 17 (2016)
• UPDATE: Game detection for FIFA 18 (2017)
• UPDATE: Game detection for FIFA 19 (2018)
• UPDATE: Game detection for FIFA 20 (2019)
• UPDATE: Game detection for FIFA 21 (2020)
• UPDATE: Game detection for FIFA 22 (2021)
• UPDATE: Game detection for FIFA 23 (2022)

Low Specs Experience v12.6.3 - 2025-05-06
• ADD: Optimization support for Call of Duty: Warzone (2025)
• DEPRECATE: Support for Call of Duty: Warzone (2023)
• UPDATE: Game detection for ARK: Survival Evolved (2017)

Low Specs Experience v12.6.2 - 2025-04-26
• UPDATE: Game detection for The Elder Scrolls 4: Oblivion Remastered (2025)

Low Specs Experience v12.6.1 - 2025-04-25
• TWEAK: Optimization for Days Gone (2021)

Low Specs Experience v12.6.0 - 2025-04-25
• REWORK: Optimization for Days Gone (2021)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• TWEAK: Optimization for The Talos Principle: Reawakened (2025)
• UPDATE: Game detection for Avowed (2025)
• UPDATE: Game detection for Days Gone (2021)
• UPDATE: Game detection for The Elder Scrolls 4: Oblivion Remastered (2025)

Low Specs Experience v12.5.9 - 2025-04-24
• BACK-END: Optimization API refinements (api_v4.15)
• ADD: Optimization support for The Elder Scrolls 4: Oblivion Remastered (2025)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• TWEAK: Optimization for The Talos Principle: Reawakened (2025)
• UPDATE: Game detection for Avowed (2025)

Low Specs Experience v12.5.8 - 2025-04-23
• ADD: Optimization support for Rise of the Ronin (2025)
• TWEAK: Optimization for Apex Legends (2019)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• TWEAK: Optimization for The Talos Principle: Reawakened (2025)

Low Specs Experience v12.5.7 - 2025-04-22
• BACK-END: Optimization API refinements (api_v4.14)
• ADD: Optimization support for The Talos Principle: Reawakened (2025)
• TWEAK: Optimization for The Last of Us Part 1 (2023)
• TWEAK: Optimization for The Talos Principle 2 (2023)
• UPDATE: Game detection for The Talos Principle 2 (2023)

Low Specs Experience v12.5.6 - 2025-04-08
• BACK-END: Optimization API refinements (api_v4.13)
• TWEAK: Optimization for Red Dead Redemption (2024)
• UPDATE: Game detection for Red Dead Redemption (2024)

Low Specs Experience v12.5.5 - 2025-04-07
• ADD: Optimization support for The Last of Us Part 2 Remastered (2025)

Low Specs Experience v12.5.4 - 2025-03-29
• BACK-END: Optimization API refinements (api_v4.12)
• UI-UX: User interface refinements (ui_v12.19)

Low Specs Experience v12.5.3 - 2025-03-28
• UI-UX: User interface refinements (ui_v12.18)
• ADD: Optimization support for Dota 2 (2013)
• TWEAK: Optimization for Counter-Strike 2 (2023)
• UPDATE: Game detection for Counter-Strike 2 (2023)

Low Specs Experience v12.5.2 - 2025-03-27
• TWEAK: Optimization for Goat Simulator (2014)
• TWEAK: Optimization for The Sims 3 (2009)
• TWEAK: Optimization for The Sims 4 (2014)

Low Specs Experience v12.5.1 - 2025-03-25
• BACK-END: Optimization API refinements (api_v4.11)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Batman: Arkham Asylum - Game of the Year Edition (2009)
• TWEAK: Optimization for Batman: Arkham City - Game of the Year Edition (2012)
• TWEAK: Optimization for Batman: Arkham Knight (2015)
• TWEAK: Optimization for Batman: Arkham Origins (2013)
• TWEAK: Optimization for BioShock Infinite (2013)
• TWEAK: Optimization for Borderlands 2 (2012)
• TWEAK: Optimization for Borderlands (2009)
• TWEAK: Optimization for Borderlands: The Pre-Sequel (2014)
• TWEAK: Optimization for Bulletstorm: Full Clip Edition (2017)
• TWEAK: Optimization for Dishonored (2012)
• TWEAK: Optimization for Goat Simulator (2014)
• TWEAK: Optimization for Homefront (2011)
• TWEAK: Optimization for Medal of Honor (2010)
• TWEAK: Optimization for Mirror's Edge (2009)
• TWEAK: Optimization for Murdered: Soul Suspect (2014)
• TWEAK: Optimization for Outlast 2 (2017)
• TWEAK: Optimization for Outlast (2013)
• TWEAK: Optimization for Resident Evil Village (2021)
• TWEAK: Optimization for Rocket League (2015)
• TWEAK: Optimization for The Bureau: XCOM Declassified (2013)
• TWEAK: Optimization for The Sims 3 (2009)
• TWEAK: Optimization for The Sims 4 (2014)
• TWEAK: Optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• TWEAK: Optimization for Watch Dogs 2 (2016)
• TWEAK: Optimization for Watch Dogs (2014)
• TWEAK: Optimization for Watch Dogs: Legion (2020)

Low Specs Experience v12.5.0 - 2025-03-20
• ADD: Optimization support for Mafia 2 (Classic) (2010)
• ADD: Optimization support for Tom Clancy's Rainbow Six Extraction (2022)
• TWEAK: Optimization for Mafia 2: Definitive Edition (2020)
• TWEAK: Optimization for Mafia: Definitive Edition (2020)
• TWEAK: Optimization for Tom Clancy's Rainbow Six Siege (2015)
• UPDATE: Game detection for Mafia 2: Definitive Edition (2020)
• UPDATE: Game detection for Mafia 3: Definitive Edition (2020)
• UPDATE: Game detection for Mafia: Definitive Edition (2020)
• UPDATE: Game detection for Tom Clancy's Rainbow Six Siege (2015)

Low Specs Experience v12.4.9 - 2025-03-17
• REWORK: Optimization for American Truck Simulator (2016)
• REWORK: Optimization for Euro Truck Simulator 2 (2012)
• TWEAK: Optimization for DiRT 4 (2017)
• TWEAK: Optimization for DiRT Rally 2.0 (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for DiRT Showdown (2012)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID Autosport (2014)
• TWEAK: Optimization for Mafia 3 (2016)
• TWEAK: Optimization for Mafia 3: Definitive Edition (2020)
• UPDATE: Game detection for American Truck Simulator (2016)
• UPDATE: Game detection for DiRT Showdown (2012)
• UPDATE: Game detection for Euro Truck Simulator 2 (2012)
• UPDATE: Game detection for Watch Dogs 2 (2016)

Low Specs Experience v12.4.8 - 2025-03-13
• BACK-END: Optimization API refinements (api_v4.10)
• ADD: Optimization support for Mafia 3 (2016)
• TWEAK: Optimization for DiRT 2 (2009)
• TWEAK: Optimization for DiRT 3 (2011)
• TWEAK: Optimization for DiRT Rally 2.0 (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID aka Race Driver: Grid (2008)
• TWEAK: Optimization for GRID Autosport (2014)
• UPDATE: Game detection for DiRT 2 (2009)
• UPDATE: Game detection for DiRT 3 (2011)
• UPDATE: Game detection for Mafia 3: Definitive Edition (2020)

Low Specs Experience v12.4.7 - 2025-03-11
• ADD: Optimization support for eFootball (2021)
• ADD: Optimization support for GRID aka Race Driver: Grid (2008)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Control Ultimate Edition (2020)
• TWEAK: Optimization for eFootball (2021)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID Autosport (2014)
• UPDATE: Game detection for Alan Wake 2 (2023)
• UPDATE: Game detection for GRID 2 (2013)
• UPDATE: Game detection for GRID Autosport (2014)

Low Specs Experience v12.4.6 - 2025-03-10
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Indiana Jones and the Great Circle (2024)
• TWEAK: Optimization for Resident Evil 5 (2009)
• TWEAK: Optimization for Resident Evil 6 (2012)
• TWEAK: Optimization for Resident Evil HD Remaster (2015)
• TWEAK: Optimization for Resident Evil Zero HD Remaster (2016)
• TWEAK: Optimization for Resident Evil: Revelations 2 (2015)
• TWEAK: Optimization for Resident Evil: Revelations (2012)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)

Low Specs Experience v12.4.5 - 2025-03-07
• BACK-END: Optimization API refinements (api_v4.09)
• ADD: Optimization support for Split Fiction (2025)
• UPDATE: Game detection for Avowed (2025)

Low Specs Experience v12.4.4 - 2025-03-05
• ADD: Optimization support for Grand Theft Auto 5 Enhanced (2025)
• TWEAK: Optimization for GRID 2 (2013)

Low Specs Experience v12.4.3 - 2025-03-03
• TWEAK: Optimization for DiRT Rally 2.0 (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for GRID 2 (2013)
• TWEAK: Optimization for GRID Autosport (2014)
• TWEAK: Optimization for Marvel Rivals (2024)
• UPDATE: Game detection for Gas Station Simulator (2021)

Low Specs Experience v12.4.2 - 2025-02-25
• ADD: Optimization support for Avowed (2025)
• TWEAK: Optimization for Deliver Us Mars (2023)

Low Specs Experience v12.4.1 - 2025-02-21
• UI-UX: User interface refinements (ui_v12.17)

Low Specs Experience v12.4.0 - 2025-02-20
• TWEAK: Optimization for Kingdom Come: Deliverance 2 (2025)

Low Specs Experience v12.3.9 - 2025-02-20
• ADD: Optimization support for Kingdom Come: Deliverance 2 (2025)
• ADD: Optimization support for Kingdom Come: Deliverance (2018)

Low Specs Experience v12.3.8 - 2025-02-18
• ADD: Optimization support for Deliver Us Mars (2023)
• TWEAK: Optimization for Alone in the Dark (2024)
• UPDATE: Game detection for Alone in the Dark (2024)

Low Specs Experience v12.3.7 - 2025-02-14
• UPDATE: Game detection for F1 Manager 2022 (2022)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for F1 Manager 2024 (2024)

Low Specs Experience v12.3.6 - 2025-02-14
• UI-UX: User interface refinements (ui_v12.16)
• ADD: Optimization support for Alone in the Dark (2024)
• ADD: Optimization support for F1 Manager 2024 (2024)
• ADD: Optimization support for Metro 2033 (2010)
• ADD: Optimization support for Metro: Last Light (2013)
• TWEAK: Optimization for MechWarrior 5: Clans (2024)
• TWEAK: Optimization for Metro 2033 Redux (2014)
• TWEAK: Optimization for Metro: Last Light Redux (2014)

Low Specs Experience v12.3.5 - 2025-02-04
• ADD: Optimization support for Marvel's Spider-Man 2 (2025)
• ADD: Optimization support for Sniper Elite: Resistance (2025)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for Marvel's Spider-Man Remastered (2022)
• TWEAK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• TWEAK: Optimization for Ratchet and Clank: Rift Apart (2023)
• TWEAK: Optimization for Sniper Elite 5 (2022)

Low Specs Experience v12.3.4 - 2025-02-03
• UPDATE: Game detection for Call of Duty: Black Ops 6 (2024)

Low Specs Experience v12.3.3 - 2025-01-30
• TWEAK: Optimization for Metro 2033 Redux (2014)
• TWEAK: Optimization for Metro Exodus (2019)
• TWEAK: Optimization for Metro Exodus Enhanced Edition (2021)
• TWEAK: Optimization for Metro: Last Light Redux (2014)
• UPDATE: Game detection for Metro 2033 Redux (2014)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for Metro: Last Light Redux (2014)

Low Specs Experience v12.3.2 - 2025-01-28
• BACK-END: Optimization API refinements (api_v4.08)
• UI-UX: User interface refinements (ui_v12.15)
• TWEAK: Optimization for Hellblade: Senua's Sacrifice (2017)

Low Specs Experience v12.3.1 - 2025-01-26
• TWEAK: Optimization for Dynasty Warriors: Origins (2025)
• TWEAK: Optimization for Hellblade: Senua's Sacrifice (2017)

Low Specs Experience v12.3.0 - 2025-01-22
• UI-UX: User interface refinements (ui_v12.14)
• ADD: Optimization support for Dynasty Warriors: Origins (2025)
• TWEAK: Optimization for F1 2017 (2017)

Low Specs Experience v12.2.9 - 2025-01-21
• BACK-END: Optimization API refinements (api_v4.07)
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Death Stranding (2020)
• UPDATE: Game detection for Bus Simulator 18 (2018)
• UPDATE: Game detection for Death Stranding (2020)

Low Specs Experience v12.2.8 - 2025-01-17
• ADD: Optimization support for Death Stranding (2020)
• ADD: Optimization support for Grand Theft Auto 5 Legacy (FiveM) (2015)
• ADD: Optimization support for Red Dead Redemption 2 (RedM) (2019)
• TWEAK: Optimization for Death Stranding Director's Cut (2022)
• TWEAK: Optimization for Sniper: Ghost Warrior (2010)
• UPDATE: Game detection for Aliens: Fireteam Elite (2021)
• UPDATE: Game detection for Armored Core 6: Fires of Rubicon (2023)
• UPDATE: Game detection for Battlefield: Bad Company 2 (2010)
• UPDATE: Game detection for Code Vein (2019)
• UPDATE: Game detection for Death Stranding Director's Cut (2022)
• UPDATE: Game detection for Far Cry 2 (2008)
• UPDATE: Game detection for Far Cry 3 (2012)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Far Cry 5 (2018)
• UPDATE: Game detection for Far Cry 6 (2021)
• UPDATE: Game detection for Far Cry New Dawn (2019)
• UPDATE: Game detection for Grand Theft Auto 5 Legacy (2015)
• UPDATE: Game detection for Metro 2033 Redux (2014)
• UPDATE: Game detection for Metro: Last Light Redux (2014)
• UPDATE: Game detection for Red Dead Redemption 2 (2019)
• UPDATE: Game detection for Watch Dogs 2 (2016)
• UPDATE: Game detection for Watch Dogs (2014)
• UPDATE: Game detection for Watch Dogs: Legion (2020)

Low Specs Experience v12.2.7 - 2025-01-14
• UI-UX: User interface refinements (ui_v12.13)

Low Specs Experience v12.2.6 - 2025-01-04
• UI-UX: User interface refinements (ui_v12.12)

Low Specs Experience v12.2.5 - 2025-01-03
• UI-UX: User interface refinements (ui_v12.11)

Low Specs Experience v12.2.4 - 2025-01-02
• UI-UX: User interface refinements (ui_v12.10)

Low Specs Experience v12.2.3 - 2024-12-30
• TWEAK: Optimization for Overwatch (2023) (a.k.a. Overwatch 2)
• UPDATE: Game detection for A Plague Tale: Requiem (2022)
• UPDATE: Game detection for Abzu (2016)
• UPDATE: Game detection for ARK: Survival Evolved (2017)
• UPDATE: Game detection for Astroneer (2016)
• UPDATE: Game detection for Blair Witch (2019)
• UPDATE: Game detection for Bloodstained: Ritual of the Night (2019)
• UPDATE: Game detection for Conan Exiles (2018)
• UPDATE: Game detection for Darksiders 3 (2018)
• UPDATE: Game detection for Darksiders Genesis (2019)
• UPDATE: Game detection for Mortal Kombat 1 (2023)

Low Specs Experience v12.2.2 - 2024-12-20
• ADD: Optimization support for Goat Simulator 3 (2022)
• ADD: Optimization support for Goat Simulator (2014)
• ADD: Optimization support for Goat Simulator: Remastered (2024)
• ADD: Optimization support for Indiana Jones and the Great Circle (2024)
• ADD: Optimization support for Marvel Rivals (2024)

Low Specs Experience v12.2.1 - 2024-12-05
• UI-UX: User interface refinements (ui_v12.09)
• ADD: Optimization support for LEGO Horizon Adventures (2024)
• ADD: Optimization support for Unknown 9: Awakening (2024)
• UPDATE: Game detection for Empire of the Ants (2024)

Low Specs Experience v12.2.0 - 2024-11-30
• UPDATE: Game detection for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)

Low Specs Experience v12.1.9 - 2024-11-29
• UI-UX: User interface refinements (ui_v12.08)
• ADD: Optimization support for Empire of the Ants (2024)
• ADD: Optimization support for S.T.A.L.K.E.R. 2: Heart of Chornobyl (2024)
• TWEAK: Optimization for Need for Speed Rivals (2013)

Low Specs Experience v12.1.8 - 2024-11-14
• UI-UX: User interface refinements (ui_v12.07)
• ADD: Optimization support for Call of Duty: Black Ops 6 (2024)
• ADD: Optimization support for Dead Rising Deluxe Remaster (2024)

Low Specs Experience v12.1.7 - 2024-11-10
• UI-UX: User interface refinements (ui_v12.06)

Low Specs Experience v12.1.6 - 2024-11-08
• UI-UX: User interface refinements (ui_v12.05)
• UPDATE: Game detection for MechWarrior 5: Clans (2024)

Low Specs Experience v12.1.5 - 2024-11-07
• TWEAK: Optimization for Dragon Age: The Veilguard (2024)

Low Specs Experience v12.1.4 - 2024-11-06
• BACK-END: Optimization API refinements (api_v4.06)
• ADD: Optimization support for Dragon Age: The Veilguard (2024)

Low Specs Experience v12.1.3 - 2024-11-05
• BACK-END: Optimization API refinements (api_v4.05)
• ADD: Optimization support for Horizon Zero Dawn Remastered (2024)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for Horizon Zero Dawn (2020)

Low Specs Experience v12.1.2 - 2024-11-04
• TWEAK: Optimization for Horizon Forbidden West (2024)

Low Specs Experience v12.1.1 - 2024-11-01
• UPDATE: Game detection for Red Dead Redemption (2024)

Low Specs Experience v12.1.0 - 2024-11-01
• BACK-END: Optimization API refinements (api_v4.04)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield 2042 (2021)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for Mirror's Edge Catalyst (2016)
• TWEAK: Optimization for Need for Speed (2016)
• TWEAK: Optimization for Need for Speed Heat (2019)
• TWEAK: Optimization for Need for Speed Payback (2017)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Red Dead Redemption (2024)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)
• TWEAK: Optimization for Star Wars: Squadrons (2020)
• UPDATE: Game detection for Red Dead Redemption (2024)

Low Specs Experience v12.0.9 - 2024-10-31
• BACK-END: Optimization API refinements (api_v4.03)
• ADD: Optimization support for Detroit: Become Human (2020)
• ADD: Optimization support for MechWarrior 5: Clans (2024)
• ADD: Optimization support for Red Dead Redemption (2024)

Low Specs Experience v12.0.8 - 2024-10-25
• UI-UX: User interface refinements (ui_v12.04)

Low Specs Experience v12.0.7 - 2024-10-25
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Anthem (2019)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield 2042 (2021)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for Dragon Age: Inquisition (2014)
• TWEAK: Optimization for F1 2010 (2010)
• TWEAK: Optimization for F1 2011 (2011)
• TWEAK: Optimization for F1 2012 (2012)
• TWEAK: Optimization for F1 2013 (2013)
• TWEAK: Optimization for F1 2014 (2014)
• TWEAK: Optimization for F1 2015 (2015)
• TWEAK: Optimization for F1 2016 (2016)
• TWEAK: Optimization for F1 2017 (2017)
• TWEAK: Optimization for F1 2018 (2018)
• TWEAK: Optimization for F1 2019 (2019)
• TWEAK: Optimization for Need for Speed (2016)
• TWEAK: Optimization for Need for Speed Heat (2019)
• TWEAK: Optimization for Need for Speed Payback (2017)
• TWEAK: Optimization for Need for Speed Rivals (2013)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• TWEAK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• TWEAK: Optimization for Star Wars Battlefront 2 (2017)
• TWEAK: Optimization for Star Wars Battlefront (2015)

Low Specs Experience v12.0.6 - 2024-10-23
• UI-UX: User interface refinements (ui_v12.03)
• TWEAK: Optimization for F1 2010 (2010)
• TWEAK: Optimization for F1 2011 (2011)
• TWEAK: Optimization for F1 2012 (2012)
• TWEAK: Optimization for F1 2013 (2013)
• TWEAK: Optimization for F1 2014 (2014)
• TWEAK: Optimization for F1 2015 (2015)
• TWEAK: Optimization for F1 2016 (2016)
• TWEAK: Optimization for F1 2017 (2017)
• TWEAK: Optimization for F1 2018 (2018)
• TWEAK: Optimization for F1 2019 (2019)
• TWEAK: Optimization for Silent Hill 2 (2024)
• TWEAK: Optimization for Until Dawn (2024)
• UPDATE: Game detection for F1 2010 (2010)
• UPDATE: Game detection for F1 2011 (2011)
• UPDATE: Game detection for F1 2012 (2012)
• UPDATE: Game detection for F1 2013 (2013)
• UPDATE: Game detection for F1 2014 (2014)
• UPDATE: Game detection for Silent Hill 2 (2024)
• UPDATE: Game detection for Until Dawn (2024)

Low Specs Experience v12.0.5 - 2024-10-21
• UI-UX: User interface refinements (ui_v12.02)

Low Specs Experience v12.0.4 - 2024-10-17
• TWEAK: Optimization for Fortnite (2017)
• UPDATE: Game detection for Fortnite (2017)

Low Specs Experience v12.0.3 - 2024-10-15
• ADD: Optimization support for Dragon Ball: Sparking! Zero (2024)
• ADD: Optimization support for EA Sports FC 25 (2024)
• ADD: Optimization support for Fortnite (2017)
• TWEAK: Optimization for EA Sports FC 24 (2023)
• TWEAK: Optimization for Silent Hill 2 (2024)
• TWEAK: Optimization for Until Dawn (2024)

Low Specs Experience v12.0.2 - 2024-10-10
• ADD: Optimization support for Silent Hill 2 (2024)
• ADD: Optimization support for Train Sim World 5 (2024)
• ADD: Optimization support for Until Dawn (2024)
• BACK-END: App installation system refinements (in_v4.02)
• BACK-END: Optimization API refinements (api_v4.02)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• UPDATE: Game detection for The Texas Chain Saw Massacre (2023)

Low Specs Experience v12.0.1 - 2024-10-02
• BACK-END: Optimization API refinements (api_v4.01)
• UI-UX: User interface refinements (ui_v12.01)

Low Specs Experience v12.0.0 - 2024-09-30
• BACK-END: App update system refinements (up_v3.00)
• BACK-END: Optimization API refinements (api_v4.00)
• BACK-END: ReSwitch add-on refinements (rw_v4.00)
• UI-UX: User interface refinements (ui_v12.00)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• TWEAK: Optimization for Call of Duty: Warzone (2023)
• TWEAK: Optimization for Cyberpunk 2077 (2020)
• TWEAK: Optimization for Forza Horizon 5 (2021)
• TWEAK: Optimization for Ghost of Tsushima Director's Cut (2024)
• TWEAK: Optimization for Hitman 2 (2016)
• TWEAK: Optimization for Hitman (2016)
• TWEAK: Optimization for Hitman World of Assassination (2023)
• TWEAK: Optimization for Hogwarts Legacy (2023)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for Marvel's Spider-Man Remastered (2022)
• TWEAK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• TWEAK: Optimization for Need for Speed Unbound (2022)
• TWEAK: Optimization for Ratchet and Clank: Rift Apart (2023)
• TWEAK: Optimization for Rise of the Tomb Raider (2016)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Shadow of the Tomb Raider (2018)
• TWEAK: Optimization for Star Wars Jedi: Survivor (2023)
• TWEAK: Optimization for The Finals (2023)
• TWEAK: Optimization for The Forest (2018)
• TWEAK: Optimization for The Last of Us Part 1 (2023)
• TWEAK: Optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• TWEAK: Optimization for Tomb Raider (2013)
• TWEAK: Optimization for Tomb Raider: Definitive Edition (2024)

Low Specs Experience v11.10.6 - 2026-06-10
• UI-UX: User interface refinements (ui_v11.16)

Low Specs Experience v11.10.5 - 2025-10-01
• TWEAK: Optimization for eFootball (2021)

Low Specs Experience v11.10.4 - 2025-09-29
• TWEAK: Optimization for Anno 1800 (2019)
• TWEAK: Optimization for Anno 2205 (2015)
• TWEAK: Optimization for RoboCop: Rogue City (2023)

Low Specs Experience v11.10.3 - 2025-09-28
• UI-UX: User interface refinements (ui_v11.15)

Low Specs Experience v11.10.2 - 2025-09-23
• BACK-END: Optimization API refinements (api_v3.61)
• BACK-END: ReSwitch add-on refinements (rw_v3.00)
• UI-UX: User interface refinements (ui_v11.14)
• DEPRECATE: Support for Call of Duty: Warzone (2023)
• DEPRECATE: Support for Dauntless (2019)
• DEPRECATE: Support for eFootball 2022 (2021)
• DEPRECATE: Support for eFootball 2023 (2021)
• DEPRECATE: Support for eFootball 2024 (2021)
• DEPRECATE: Support for Mass Effect Legendary Edition (2021)
• DEPRECATE: Support for Resident Evil Re:Verse (2022)
• REWORK: Optimization for A Plague Tale: Innocence (2019)
• REWORK: Optimization for A Plague Tale: Requiem (2022)
• REWORK: Optimization for A Way Out (2018)
• REWORK: Optimization for Abzu (2016)
• REWORK: Optimization for Accident (2021)
• REWORK: Optimization for Ace Combat 7: Skies Unknown (2019)
• REWORK: Optimization for Aegis Descent (2023)
• REWORK: Optimization for Age of Empires 3: Definitive Edition (2020)
• REWORK: Optimization for Agents of Mayhem (2017)
• REWORK: Optimization for Agony (2018)
• REWORK: Optimization for Agony Unrated (2018)
• REWORK: Optimization for Alan Wake 2 (2023)
• REWORK: Optimization for Alan Wake Remastered (2021)
• REWORK: Optimization for Alien: Isolation (2014)
• REWORK: Optimization for Aliens: Fireteam Elite (2021)
• REWORK: Optimization for American Truck Simulator (2016)
• REWORK: Optimization for Ancestors: The Humankind Odyssey (2019)
• REWORK: Optimization for Anno 1800 (2019)
• REWORK: Optimization for Anno 2070 (2011)
• REWORK: Optimization for Anno 2205 (2015)
• REWORK: Optimization for Anthem (2019)
• REWORK: Optimization for Apex Legends (2019)
• REWORK: Optimization for ARK: Survival Evolved (2017)
• REWORK: Optimization for Arma 3 (2013)
• REWORK: Optimization for Armored Core 6: Fires of Rubicon (2023)
• REWORK: Optimization for Ashes of Oahu (2019)
• REWORK: Optimization for Assassin's Creed 2 (2010)
• REWORK: Optimization for Assassin's Creed 3 (2012)
• REWORK: Optimization for Assassin's Creed 3 Remastered (2019)
• REWORK: Optimization for Assassin's Creed 3: Liberation Remastered (2019)
• REWORK: Optimization for Assassin's Creed 4: Black Flag (2013)
• REWORK: Optimization for Assassin's Creed Mirage (2023)
• REWORK: Optimization for Assassin's Creed Odyssey (2018)
• REWORK: Optimization for Assassin's Creed Origins (2017)
• REWORK: Optimization for Assassin's Creed Rogue (2015)
• REWORK: Optimization for Assassin's Creed Syndicate (2015)
• REWORK: Optimization for Assassin's Creed Unity (2014)
• REWORK: Optimization for Assassin's Creed Valhalla (2020)
• REWORK: Optimization for Assassin's Creed: Brotherhood (2010)
• REWORK: Optimization for Assassin's Creed: Director's Cut (2008)
• REWORK: Optimization for Assassin's Creed: Freedom Cry (2014)
• REWORK: Optimization for Assassin's Creed: Liberation HD (2014)
• REWORK: Optimization for Assassin's Creed: Revelations (2011)
• REWORK: Optimization for Assetto Corsa (2014)
• REWORK: Optimization for Assetto Corsa Competizione (2019)
• REWORK: Optimization for Astroneer (2016)
• REWORK: Optimization for Atlas Fallen (2023)
• REWORK: Optimization for Atomic Heart (2023)
• REWORK: Optimization for Back 4 Blood (2021)
• REWORK: Optimization for Bakery Simulator (2022)
• REWORK: Optimization for Baldur's Gate 3 (2023)
• REWORK: Optimization for Batman: Arkham Asylum - Game of the Year Edition (2009)
• REWORK: Optimization for Batman: Arkham City - Game of the Year Edition (2012)
• REWORK: Optimization for Batman: Arkham Knight (2015)
• REWORK: Optimization for Batman: Arkham Origins (2013)
• REWORK: Optimization for Batman: Arkham Origins Blackgate (2013)
• REWORK: Optimization for Battlefield 1 (2016)
• REWORK: Optimization for Battlefield 3 (2011)
• REWORK: Optimization for Battlefield 4 (2013)
• REWORK: Optimization for Battlefield 5 (2018)
• REWORK: Optimization for Battlefield 2042 (2021)
• REWORK: Optimization for Battlefield Hardline (2015)
• REWORK: Optimization for Battlefield: Bad Company 2 (2010)
• REWORK: Optimization for Big Earth (2022)
• REWORK: Optimization for Biomutant (2021)
• REWORK: Optimization for BioShock 2 (2010)
• REWORK: Optimization for BioShock 2 Remastered (2016)
• REWORK: Optimization for BioShock (2007)
• REWORK: Optimization for BioShock Infinite (2013)
• REWORK: Optimization for BioShock Remastered (2016)
• REWORK: Optimization for Blair Witch (2019)
• REWORK: Optimization for Bloodstained: Ritual of the Night (2019)
• REWORK: Optimization for Borderlands 2 (2012)
• REWORK: Optimization for Borderlands 3 (2019)
• REWORK: Optimization for Borderlands (2009)
• REWORK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• REWORK: Optimization for Borderlands: The Pre-Sequel (2014)
• REWORK: Optimization for Bright Memory (2020)
• REWORK: Optimization for Bright Memory: Infinite (2021)
• REWORK: Optimization for Bulletstorm: Full Clip Edition (2017)
• REWORK: Optimization for Bus Simulator 18 (2018)
• REWORK: Optimization for Bus Simulator 21 (2021)
• REWORK: Optimization for Call of Cthulhu (2018)
• REWORK: Optimization for Call of Duty 4: Modern Warfare (2007)
• REWORK: Optimization for Call of Duty: Advanced Warfare (2014)
• REWORK: Optimization for Call of Duty: Black Ops 2 (2012)
• REWORK: Optimization for Call of Duty: Black Ops 3 (2015)
• REWORK: Optimization for Call of Duty: Black Ops 4 (2018)
• REWORK: Optimization for Call of Duty: Black Ops 6 (2024)
• REWORK: Optimization for Call of Duty: Black Ops (2010)
• REWORK: Optimization for Call of Duty: Black Ops Cold War (2020)
• REWORK: Optimization for Call of Duty: Ghosts (2013)
• REWORK: Optimization for Call of Duty: Infinite Warfare (2016)
• REWORK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• REWORK: Optimization for Call of Duty: Modern Warfare 2 (2022)
• REWORK: Optimization for Call of Duty: Modern Warfare 2 Campaign Remastered (2020)
• REWORK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• REWORK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• REWORK: Optimization for Call of Duty: Modern Warfare (2019)
• REWORK: Optimization for Call of Duty: Modern Warfare Remastered (2016)
• REWORK: Optimization for Call of Duty: Vanguard (2021)
• REWORK: Optimization for Call of Duty: Warzone (2025)
• REWORK: Optimization for Call of Duty: World at War (2008)
• REWORK: Optimization for Call of Duty: World War 2 (2017)
• REWORK: Optimization for Call of Juarez: Bound in Blood (2009)
• REWORK: Optimization for Call of Juarez: Gunslinger (2013)
• REWORK: Optimization for Call of Juarez: The Cartel (2011)
• REWORK: Optimization for Chernobylite (2021)
• REWORK: Optimization for Chivalry 2 (2021)
• REWORK: Optimization for Civilization 5 (2010)
• REWORK: Optimization for Civilization 6 (2016)
• REWORK: Optimization for Civilization: Beyond Earth (2014)
• REWORK: Optimization for Close to the Sun (2019)
• REWORK: Optimization for Code Vein (2019)
• REWORK: Optimization for Cold House (2022)
• REWORK: Optimization for Company of Heroes 2 (2013)
• REWORK: Optimization for Company of Heroes 3 (2023)
• REWORK: Optimization for Conan Exiles (2018)
• REWORK: Optimization for Conqueror's Blade (2019)
• REWORK: Optimization for Control Ultimate Edition (2020)
• REWORK: Optimization for Counter-Strike 2 (2023)
• REWORK: Optimization for Crackdown 3 (2019)
• REWORK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• REWORK: Optimization for Crysis 2 (2011)
• REWORK: Optimization for Crysis 2 Remastered (2021)
• REWORK: Optimization for Crysis 3 (2013)
• REWORK: Optimization for Crysis 3 Remastered (2021)
• REWORK: Optimization for Crysis (2007)
• REWORK: Optimization for Crysis Remastered (2020)
• REWORK: Optimization for Crysis Warhead (2008)
• REWORK: Optimization for Cyberpunk 2077 (2020)
• REWORK: Optimization for Dark Souls 2 (2014)
• REWORK: Optimization for Dark Souls 2: Scholar of the First Sin (2015)
• REWORK: Optimization for Dark Souls 3 (2016)
• REWORK: Optimization for Dark Souls Remastered (2018)
• REWORK: Optimization for Dark Souls: Prepare to Die Edition (2012)
• REWORK: Optimization for Darksiders 2 (2012)
• REWORK: Optimization for Darksiders 2: Deathinitive Edition (2015)
• REWORK: Optimization for Darksiders 3 (2018)
• REWORK: Optimization for Darksiders (2010)
• REWORK: Optimization for Darksiders Genesis (2019)
• REWORK: Optimization for Darksiders Warmastered Edition (2016)
• REWORK: Optimization for Daylight (2014)
• REWORK: Optimization for Daymare: 1994 Sandcastle (2023)
• REWORK: Optimization for Daymare: 1998 (2019)
• REWORK: Optimization for Days Gone (2021)
• REWORK: Optimization for Dead by Daylight (2016)
• REWORK: Optimization for Dead Island Definitive Edition (2016)
• REWORK: Optimization for Dead Island: Riptide Definitive Edition (2016)
• REWORK: Optimization for Dead Man's Diary (2022)
• REWORK: Optimization for Dead Rising 2 (2010)
• REWORK: Optimization for Dead Rising 2: Off the Record (2011)
• REWORK: Optimization for Dead Rising 3 (2014)
• REWORK: Optimization for Dead Rising 4 (2016)
• REWORK: Optimization for Dead Rising (2016)
• REWORK: Optimization for Dead Space 2 (2011)
• REWORK: Optimization for Dead Space 3 (2013)
• REWORK: Optimization for Dead Space (2008)
• REWORK: Optimization for Dead Space (2023)
• REWORK: Optimization for Death Stranding Director's Cut (2022)
• REWORK: Optimization for Deathloop (2021)
• REWORK: Optimization for Deceit (2016)
• REWORK: Optimization for Deliver Us The Moon (2019)
• REWORK: Optimization for Destiny 2 (2017)
• REWORK: Optimization for Devil May Cry 5 (2019)
• REWORK: Optimization for Devil's Hunt (2019)
• REWORK: Optimization for DiRT 2 (2009)
• REWORK: Optimization for DiRT 3 (2011)
• REWORK: Optimization for DiRT 4 (2017)
• REWORK: Optimization for DiRT Rally 2.0 (2019)
• REWORK: Optimization for DiRT Rally (2015)
• REWORK: Optimization for DiRT Showdown (2012)
• REWORK: Optimization for Dishonored 2 (2016)
• REWORK: Optimization for Dishonored (2012)
• REWORK: Optimization for Dishonored: Death of the Outsider (2017)
• REWORK: Optimization for Divinity: Original Sin 2 (2017)
• REWORK: Optimization for Divinity: Original Sin 2 - Definitive Edition (2018)
• REWORK: Optimization for Dragon Age: Inquisition (2014)
• REWORK: Optimization for Dragon Ball Xenoverse 2 (2016)
• REWORK: Optimization for Dragon Ball Xenoverse (2015)
• REWORK: Optimization for Dragon Ball Z: Kakarot (2020)
• REWORK: Optimization for Dying Light 2 Stay Human (2022)
• REWORK: Optimization for Dying Light (2015)
• REWORK: Optimization for EA Sports FC 24 (2023)
• REWORK: Optimization for Effie (2020)
• REWORK: Optimization for eFootball (2021)
• REWORK: Optimization for eFootball PES 2020 (2019)
• REWORK: Optimization for eFootball PES 2021 Season Update (2020)
• REWORK: Optimization for Esse Proxy (2022)
• REWORK: Optimization for Euro Truck Simulator 2 (2012)
• REWORK: Optimization for Evil West (2022)
• REWORK: Optimization for F1 22 (2022)
• REWORK: Optimization for F1 23 (2023)
• REWORK: Optimization for F1 24 (2024)
• REWORK: Optimization for F1 2010 (2010)
• REWORK: Optimization for F1 2011 (2011)
• REWORK: Optimization for F1 2012 (2012)
• REWORK: Optimization for F1 2013 (2013)
• REWORK: Optimization for F1 2014 (2014)
• REWORK: Optimization for F1 2015 (2015)
• REWORK: Optimization for F1 2016 (2016)
• REWORK: Optimization for F1 2017 (2017)
• REWORK: Optimization for F1 2018 (2018)
• REWORK: Optimization for F1 2019 (2019)
• REWORK: Optimization for F1 2020 (2020)
• REWORK: Optimization for F1 2021 (2021)
• REWORK: Optimization for F1 Manager 2022 (2022)
• REWORK: Optimization for F1 Manager 2023 (2023)
• REWORK: Optimization for Fade to Silence (2019)
• REWORK: Optimization for Fallout 3 (2008)
• REWORK: Optimization for Fallout 4 (2015)
• REWORK: Optimization for Fallout 76 (2018)
• REWORK: Optimization for Fallout: New Vegas (2010)
• REWORK: Optimization for Far Cry 2 (2008)
• REWORK: Optimization for Far Cry 3 (2012)
• REWORK: Optimization for Far Cry 3: Blood Dragon (2013)
• REWORK: Optimization for Far Cry 4 (2014)
• REWORK: Optimization for Far Cry 5 (2018)
• REWORK: Optimization for Far Cry 6 (2021)
• REWORK: Optimization for Far Cry New Dawn (2019)
• REWORK: Optimization for Far Cry Primal (2016)
• REWORK: Optimization for Fast and Furious Crossroads (2020)
• REWORK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• REWORK: Optimization for FIFA 11 (2010)
• REWORK: Optimization for FIFA 12 (2011)
• REWORK: Optimization for FIFA 13 (2012)
• REWORK: Optimization for FIFA 14 (2013)
• REWORK: Optimization for FIFA 15 (2014)
• REWORK: Optimization for FIFA 16 (2015)
• REWORK: Optimization for FIFA 17 (2016)
• REWORK: Optimization for FIFA 18 (2017)
• REWORK: Optimization for FIFA 19 (2018)
• REWORK: Optimization for FIFA 20 (2019)
• REWORK: Optimization for FIFA 21 (2020)
• REWORK: Optimization for FIFA 22 (2021)
• REWORK: Optimization for FIFA 23 (2022)
• REWORK: Optimization for Final Fantasy XV (2018) (a.k.a. Final Fantasy 15)
• REWORK: Optimization for Food Truck Simulator (2022)
• REWORK: Optimization for For Honor (2017)
• REWORK: Optimization for Forza Horizon 3 (2016)
• REWORK: Optimization for Forza Horizon 4 (2018)
• REWORK: Optimization for Forza Horizon 5 (2021)
• REWORK: Optimization for Forza Motorsport (2023)
• REWORK: Optimization for Friday the 13th: The Game (2017)
• REWORK: Optimization for Gas Station Simulator (2021)
• REWORK: Optimization for Gears 5 (2019)
• REWORK: Optimization for Gears of War 4 (2016)
• REWORK: Optimization for Gears Tactics (2020)
• REWORK: Optimization for Ghost of Tsushima Director's Cut (2024)
• REWORK: Optimization for Ghostrunner 2 (2023)
• REWORK: Optimization for Ghostrunner (2020)
• REWORK: Optimization for Ghostwire: Tokyo (2022)
• REWORK: Optimization for God of War (2022) (a.k.a. God of War 2018)
• REWORK: Optimization for God of War Ragnarok (2024)
• REWORK: Optimization for Gotham Knights (2022)
• REWORK: Optimization for Grand Theft Auto 3 - The Definitive Edition (2021)
• REWORK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• REWORK: Optimization for Grand Theft Auto 5 Legacy (2015)
• REWORK: Optimization for Grand Theft Auto: San Andreas - The Definitive Edition (2021)
• REWORK: Optimization for Grand Theft Auto: Vice City - The Definitive Edition (2021)
• REWORK: Optimization for GreedFall (2019)
• REWORK: Optimization for GRID 2 (2013)
• REWORK: Optimization for GRID (2019)
• REWORK: Optimization for GRID Autosport (2014)
• REWORK: Optimization for GRID Legends (2022)
• REWORK: Optimization for Grounded (2022)
• REWORK: Optimization for Guilty Gear Strive (2021)
• REWORK: Optimization for Halo: The Master Chief Collection (2019)
• REWORK: Optimization for Heavy Rain (2019)
• REWORK: Optimization for Hellblade: Senua's Sacrifice (2017)
• REWORK: Optimization for Heroes of the Storm (2015)
• REWORK: Optimization for High on Life (2022)
• REWORK: Optimization for Hitman 2 (2016)
• REWORK: Optimization for Hitman (2016)
• REWORK: Optimization for Hitman World of Assassination (2023)
• REWORK: Optimization for Hogwarts Legacy (2023)
• REWORK: Optimization for Homefront (2011)
• REWORK: Optimization for Homefront: The Revolution (2016)
• REWORK: Optimization for Horizon Forbidden West (2024)
• REWORK: Optimization for Horizon Zero Dawn (2020)
• REWORK: Optimization for Hunt: Showdown 1896 (2019)
• REWORK: Optimization for I Am Alive (2012)
• REWORK: Optimization for It Takes Two (2021)
• REWORK: Optimization for Jagged Alliance 3 (2023)
• REWORK: Optimization for Journey to the Savage Planet (2020)
• REWORK: Optimization for Jump Force (2019)
• REWORK: Optimization for Just Cause 2 (2010)
• REWORK: Optimization for Just Cause 3 (2015)
• REWORK: Optimization for Just Cause 4 (2018)
• REWORK: Optimization for Kena: Bridge of Spirits (2021)
• REWORK: Optimization for King of Retail (2022)
• REWORK: Optimization for League of Legends (2009)
• REWORK: Optimization for LEGO City Undercover (2017)
• REWORK: Optimization for LEGO DC Super-Villains (2018)
• REWORK: Optimization for LEGO Jurassic World (2015)
• REWORK: Optimization for LEGO Marvel Super Heroes 2 (2017)
• REWORK: Optimization for LEGO Marvel Super Heroes (2013)
• REWORK: Optimization for LEGO Marvel's Avengers (2016)
• REWORK: Optimization for LEGO Pirates of the Caribbean: The Video Game (2011)
• REWORK: Optimization for LEGO Star Wars: The Force Awakens (2016)
• REWORK: Optimization for LEGO Star Wars: The Skywalker Saga (2022)
• REWORK: Optimization for LEGO The Hobbit (2014)
• REWORK: Optimization for LEGO The Incredibles (2018)
• REWORK: Optimization for LEGO The Lord of the Rings (2012)
• REWORK: Optimization for LEGO Worlds (2017)
• REWORK: Optimization for Lies of P (2023)
• REWORK: Optimization for Life is Strange 2 (2018)
• REWORK: Optimization for Life is Strange Remastered (2022)
• REWORK: Optimization for Life is Strange: True Colors (2021)
• REWORK: Optimization for Little Nightmares 2 (2021)
• REWORK: Optimization for Little Nightmares (2017)
• REWORK: Optimization for Lords of the Fallen (2023)
• REWORK: Optimization for Mad Max (2015)
• REWORK: Optimization for Mafia 2: Definitive Edition (2020)
• REWORK: Optimization for Mafia 3: Definitive Edition (2020)
• REWORK: Optimization for Mafia: Definitive Edition (2020)
• REWORK: Optimization for Martha is Dead (2022)
• REWORK: Optimization for Marvel's Midnight Suns (2022)
• REWORK: Optimization for Marvel's Spider-Man Remastered (2022)
• REWORK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• REWORK: Optimization for Mass Effect Legendary Edition (2021)
• REWORK: Optimization for Mass Effect: Andromeda (2017)
• REWORK: Optimization for Max Payne 3 (2012)
• REWORK: Optimization for MechWarrior 5: Mercenaries (2019)
• REWORK: Optimization for Medal of Honor (2010)
• REWORK: Optimization for Medal of Honor: Warfighter (2012)
• REWORK: Optimization for Mega Man 11 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection 2 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection (2018)
• REWORK: Optimization for Metro 2033 Redux (2014)
• REWORK: Optimization for Metro Exodus (2019)
• REWORK: Optimization for Metro Exodus Enhanced Edition (2021)
• REWORK: Optimization for Metro: Last Light Redux (2014)
• REWORK: Optimization for Middle-earth: Shadow of Mordor (2014)
• REWORK: Optimization for Middle-earth: Shadow of War (2017)
• REWORK: Optimization for Mirror's Edge (2009)
• REWORK: Optimization for Mirror's Edge Catalyst (2016)
• REWORK: Optimization for Monster Hunter: World (2018)
• REWORK: Optimization for Moons of Madness (2019)
• REWORK: Optimization for Mordhau (2019)
• REWORK: Optimization for Mortal Kombat 1 (2023)
• REWORK: Optimization for Mortal Kombat 11 (2019)
• REWORK: Optimization for Mortal Kombat X (2015)
• REWORK: Optimization for Mortal Kombat XL (2016)
• REWORK: Optimization for Murdered: Soul Suspect (2014)
• REWORK: Optimization for MX vs. ATV Legends (2021)
• REWORK: Optimization for Need for Speed (2016)
• REWORK: Optimization for Need for Speed Heat (2019)
• REWORK: Optimization for Need for Speed Payback (2017)
• REWORK: Optimization for Need for Speed Rivals (2013)
• REWORK: Optimization for Need for Speed Unbound (2022)
• REWORK: Optimization for Need for Speed: Hot Pursuit Remastered (2020)
• REWORK: Optimization for Need for Speed: Most Wanted (2012)
• REWORK: Optimization for Need for Speed: Shift 2 Unleashed (2011)
• REWORK: Optimization for Need for Speed: Shift (2009)
• REWORK: Optimization for Nioh 2: The Complete Edition (2021)
• REWORK: Optimization for Nioh: Complete Edition (2017)
• REWORK: Optimization for No Man's Sky (2016)
• REWORK: Optimization for One Piece Odyssey (2022)
• REWORK: Optimization for Outlast 2 (2017)
• REWORK: Optimization for Outlast (2013)
• REWORK: Optimization for Outriders (2021)
• REWORK: Optimization for OVERKILL's The Walking Dead (2018)
• REWORK: Optimization for Overwatch (2023) (a.k.a. Overwatch 2)
• REWORK: Optimization for Partisans 1941 (2020)
• REWORK: Optimization for Payday 2 (2013)
• REWORK: Optimization for Payday 3 (2023)
• REWORK: Optimization for Payday: The Heist (2011)
• REWORK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• REWORK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• REWORK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• REWORK: Optimization for Prey (2017)
• REWORK: Optimization for Pro Evolution Soccer 2010 (2009)
• REWORK: Optimization for Pro Evolution Soccer 2011 (2010)
• REWORK: Optimization for Pro Evolution Soccer 2012 (2011)
• REWORK: Optimization for Pro Evolution Soccer 2013 (2012)
• REWORK: Optimization for Pro Evolution Soccer 2014 (2013)
• REWORK: Optimization for Pro Evolution Soccer 2015 (2014)
• REWORK: Optimization for Pro Evolution Soccer 2016 (2015)
• REWORK: Optimization for Pro Evolution Soccer 2017 (2016)
• REWORK: Optimization for Pro Evolution Soccer 2018 (2017)
• REWORK: Optimization for Pro Evolution Soccer 2019 (2018)
• REWORK: Optimization for Project CARS 2 (2017)
• REWORK: Optimization for Project CARS 3 (2020)
• REWORK: Optimization for Project CARS (2015)
• REWORK: Optimization for Psychonauts 2 (2021)
• REWORK: Optimization for PUBG: Battlegrounds (2017)
• REWORK: Optimization for Quantum Break (2016)
• REWORK: Optimization for Rage 2 (2019)
• REWORK: Optimization for Rage (2011)
• REWORK: Optimization for Ratchet and Clank: Rift Apart (2023)
• REWORK: Optimization for ReCore: Definitive Edition (2016)
• REWORK: Optimization for Red Dead Redemption 2 (2019)
• REWORK: Optimization for Redeemer: Enhanced Edition (2017)
• REWORK: Optimization for Redfall (2023)
• REWORK: Optimization for Remember Me (2013)
• REWORK: Optimization for Remnant 2 (2023)
• REWORK: Optimization for Remnant: From the Ashes (2019)
• REWORK: Optimization for Resident Evil 2 (2019)
• REWORK: Optimization for Resident Evil 3 (2020)
• REWORK: Optimization for Resident Evil 4 (2023)
• REWORK: Optimization for Resident Evil 4 Ultimate HD Edition (2014)
• REWORK: Optimization for Resident Evil 5 (2009)
• REWORK: Optimization for Resident Evil 6 (2012)
• REWORK: Optimization for Resident Evil 7: Biohazard (2017)
• REWORK: Optimization for Resident Evil HD Remaster (2015)
• REWORK: Optimization for Resident Evil Resistance (2020)
• REWORK: Optimization for Resident Evil Village (2021)
• REWORK: Optimization for Resident Evil Zero HD Remaster (2016)
• REWORK: Optimization for Resident Evil: Revelations 2 (2015)
• REWORK: Optimization for Resident Evil: Revelations (2012)
• REWORK: Optimization for Returnal (2023)
• REWORK: Optimization for Riders Republic (2021)
• REWORK: Optimization for Rise of the Tomb Raider (2016)
• REWORK: Optimization for RoboCop: Rogue City (2023)
• REWORK: Optimization for Rocket League (2015)
• REWORK: Optimization for Rune 2 (2019)
• REWORK: Optimization for Ryse: Son of Rome (2014)
• REWORK: Optimization for Sackboy: A Big Adventure (2022)
• REWORK: Optimization for Saint Seiya: Soldiers' Soul (2015)
• REWORK: Optimization for Saints Row 4 (2013)
• REWORK: Optimization for Saints Row: Gat out of Hell (2015)
• REWORK: Optimization for Saints Row: The Third (2011)
• REWORK: Optimization for Saints Row: The Third Remastered (2020)
• REWORK: Optimization for Scorn (2022)
• REWORK: Optimization for Scum (2025)
• REWORK: Optimization for Sea of Solitude (2019)
• REWORK: Optimization for Sea of Thieves (2018)
• REWORK: Optimization for Sekiro: Shadows Die Twice (2019)
• REWORK: Optimization for Senua's Saga: Hellblade 2 (2024)
• REWORK: Optimization for Shadow of the Tomb Raider (2018)
• REWORK: Optimization for Shadow Warrior 2 (2016)
• REWORK: Optimization for Shadow Warrior 3 (2022)
• REWORK: Optimization for Shenmue 3 (2019)
• REWORK: Optimization for Sherlock Holmes: Chapter One (2021)
• REWORK: Optimization for Sifu (2022)
• REWORK: Optimization for Sleeping Dogs: Definitive Edition (2014)
• REWORK: Optimization for Sniper Elite 3 (2014)
• REWORK: Optimization for Sniper Elite 4 (2017)
• REWORK: Optimization for Sniper Elite 5 (2022)
• REWORK: Optimization for Sniper Elite V2 (2012)
• REWORK: Optimization for Sniper Elite V2 Remastered (2019)
• REWORK: Optimization for Sniper Elite: Nazi Zombie Army 2 (2013)
• REWORK: Optimization for Sniper Elite: Nazi Zombie Army (2013)
• REWORK: Optimization for Sniper: Ghost Warrior 2 (2013)
• REWORK: Optimization for Sniper: Ghost Warrior 3 (2017)
• REWORK: Optimization for Sniper: Ghost Warrior (2010)
• REWORK: Optimization for Sniper: Ghost Warrior Contracts 2 (2021)
• REWORK: Optimization for Sniper: Ghost Warrior Contracts (2019)
• REWORK: Optimization for Sons of The Forest (2024)
• REWORK: Optimization for Soulcalibur 6 (2018)
• REWORK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• REWORK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• REWORK: Optimization for Spyro Reignited Trilogy (2019)
• REWORK: Optimization for Star Trek Prodigy: Supernova (2022)
• REWORK: Optimization for Star Wars Battlefront 2 (2017)
• REWORK: Optimization for Star Wars Battlefront (2015)
• REWORK: Optimization for Star Wars Jedi: Fallen Order (2019)
• REWORK: Optimization for Star Wars Jedi: Survivor (2023)
• REWORK: Optimization for Star Wars: Squadrons (2020)
• REWORK: Optimization for Starfield (2023)
• REWORK: Optimization for State of Decay 2: Juggernaut Edition (2020)
• REWORK: Optimization for State of Decay (2013)
• REWORK: Optimization for State of Decay: Year-One Survival Edition (2015)
• REWORK: Optimization for Steep (2016)
• REWORK: Optimization for Stranded Deep (2022)
• REWORK: Optimization for Stray (2022)
• REWORK: Optimization for Submerged (2015)
• REWORK: Optimization for Submerged: Hidden Depths (2022)
• REWORK: Optimization for Sunset Overdrive (2018)
• REWORK: Optimization for Sword and Fairy 7 (2021)
• REWORK: Optimization for Tales of Arise (2021)
• REWORK: Optimization for Tekken 7 (2017)
• REWORK: Optimization for Tell Me Why (2020)
• REWORK: Optimization for Terminator: Resistance (2019)
• REWORK: Optimization for The Awesome Adventures of Captain Spirit (2018)
• REWORK: Optimization for The Beast Inside (2019)
• REWORK: Optimization for The Bureau: XCOM Declassified (2013)
• REWORK: Optimization for The Callisto Protocol (2022)
• REWORK: Optimization for The Crew 2 (2018)
• REWORK: Optimization for The Crew Motorfest (2023)
• REWORK: Optimization for The Dark Pictures Anthology: House of Ashes (2021)
• REWORK: Optimization for The Dark Pictures Anthology: Little Hope (2020)
• REWORK: Optimization for The Dark Pictures Anthology: Man of Medan (2019)
• REWORK: Optimization for The Dark Pictures Anthology: The Devil in Me (2022)
• REWORK: Optimization for The Elder Scrolls 5: Skyrim Special Edition (2016)
• REWORK: Optimization for The Evil Within 2 (2017)
• REWORK: Optimization for The Evil Within (2014)
• REWORK: Optimization for The Finals (2023)
• REWORK: Optimization for The Forest (2018)
• REWORK: Optimization for The Last of Us Part 1 (2023)
• REWORK: Optimization for The Last Oricru (2022)
• REWORK: Optimization for The LEGO Movie Videogame 2 (2019)
• REWORK: Optimization for The LEGO Movie Videogame (2014)
• REWORK: Optimization for The LEGO Ninjago Movie Video Game (2017)
• REWORK: Optimization for The Medium (2021)
• REWORK: Optimization for The Outer Worlds (2019)
• REWORK: Optimization for The Outer Worlds: Spacer's Choice Edition (2023)
• REWORK: Optimization for The Quarry (2022)
• REWORK: Optimization for The Redress of Mira (2022)
• REWORK: Optimization for The Sims 3 (2009)
• REWORK: Optimization for The Sims 4 (2014)
• REWORK: Optimization for The Sinking City (2019)
• REWORK: Optimization for The Surge 2 (2019)
• REWORK: Optimization for The Surge (2017)
• REWORK: Optimization for The Talos Principle 2 (2023)
• REWORK: Optimization for The Texas Chain Saw Massacre (2023)
• REWORK: Optimization for The Waylanders (2022)
• REWORK: Optimization for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• REWORK: Optimization for The Witcher 3: Wild Hunt Classic (2015)
• REWORK: Optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• REWORK: Optimization for theHunter Classic (2009)
• REWORK: Optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• REWORK: Optimization for Tiny Tina's Wonderlands (2022)
• REWORK: Optimization for Titanfall 2 (2016)
• REWORK: Optimization for Tom Clancy's Ghost Recon Breakpoint (2019)
• REWORK: Optimization for Tom Clancy's Ghost Recon Wildlands (2017)
• REWORK: Optimization for Tom Clancy's Ghost Recon: Future Soldier (2012)
• REWORK: Optimization for Tom Clancy's Rainbow Six Siege (2015)
• REWORK: Optimization for Tom Clancy's Splinter Cell: Blacklist (2013)
• REWORK: Optimization for Tom Clancy's Splinter Cell: Conviction (2010)
• REWORK: Optimization for Tom Clancy's The Division 2 (2019)
• REWORK: Optimization for Tom Clancy's The Division (2016)
• REWORK: Optimization for Tomb Raider (2013)
• REWORK: Optimization for Tomb Raider: Definitive Edition (2024)
• REWORK: Optimization for Tony Hawk's Pro Skater 1 + 2 (2020)
• REWORK: Optimization for Train Sim World 2 (2020)
• REWORK: Optimization for Train Sim World 3 (2022)
• REWORK: Optimization for Train Sim World 4 (2023)
• REWORK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• REWORK: Optimization for Treasure Hunter Simulator (2018)
• REWORK: Optimization for Tree of Savior (2016)
• REWORK: Optimization for Trek to Yomi (2022)
• REWORK: Optimization for Trials Rising (2019)
• REWORK: Optimization for Twin Mirror (2020)
• REWORK: Optimization for Uncharted: Legacy of Thieves Collection
• REWORK: Optimization for Valorant (2020)
• REWORK: Optimization for Vampire: The Masquerade - Bloodhunt (2022)
• REWORK: Optimization for Vampire: The Masquerade - Swansong (2022)
• REWORK: Optimization for Vampyr (2018)
• REWORK: Optimization for Visage (2020)
• REWORK: Optimization for Watch Dogs 2 (2016)
• REWORK: Optimization for Watch Dogs (2014)
• REWORK: Optimization for Watch Dogs: Legion (2020)
• REWORK: Optimization for We Happy Few (2018)
• REWORK: Optimization for Wo Long: Fallen Dynasty (2023)
• REWORK: Optimization for Wolfenstein 2: The New Colossus (2017)
• REWORK: Optimization for Wolfenstein: The New Order (2014)
• REWORK: Optimization for Wolfenstein: The Old Blood (2015)
• REWORK: Optimization for Wolfenstein: Youngblood (2019)
• REWORK: Optimization for World of Warcraft (2004)
• REWORK: Optimization for World War Z (2019)
• REWORK: Optimization for Zombie Army 4: Dead War (2020)
• REWORK: Optimization for Zombie Army Trilogy (2015)

Low Specs Experience v11.10.1 - 2024-12-30
• UI-UX: User interface refinements (ui_v11.13)

Low Specs Experience v11.10.0 - 2024-10-02
• UI-UX: User interface refinements (ui_v11.12)

Low Specs Experience v11.9.9 - 2024-09-30
• REWORK: Optimization for God of War Ragnarok (2024)

Low Specs Experience v11.9.8 - 2024-09-25
• UI-UX: User interface refinements (ui_v11.11)
• REWORK: Optimization for Wolfenstein: The New Order (2014)
• REWORK: Optimization for Wolfenstein: The Old Blood (2015)
• TWEAK: Optimization for A Plague Tale: Requiem (2022)
• TWEAK: Optimization for Dead Man's Diary (2022)
• TWEAK: Optimization for Halo: The Master Chief Collection (2019)
• TWEAK: Optimization for Mega Man 11 (2018)
• TWEAK: Optimization for Mega Man X Legacy Collection 2 (2018)
• TWEAK: Optimization for Mega Man X Legacy Collection (2018)
• TWEAK: Optimization for Titanfall 2 (2016)
• TWEAK: Optimization for Valorant (2020)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)

Low Specs Experience v11.9.7 - 2024-09-20
• UI-UX: User interface refinements (ui_v11.10)
• TWEAK: Optimization for The Crew Motorfest (2023)

Low Specs Experience v11.9.6 - 2024-09-18
• TWEAK: Optimization for A Way Out (2018)
• TWEAK: Optimization for Aegis Descent (2023)
• TWEAK: Optimization for Aliens: Fireteam Elite (2021)
• TWEAK: Optimization for Assetto Corsa Competizione (2019)
• TWEAK: Optimization for Astroneer (2016)
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Biomutant (2021)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Borderlands 3 (2019)
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Bus Simulator 21 (2021)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Chernobylite (2021)
• TWEAK: Optimization for Chivalry 2 (2021)
• TWEAK: Optimization for Cold House (2022)
• TWEAK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• TWEAK: Optimization for Darksiders 3 (2018)
• TWEAK: Optimization for Darksiders Genesis (2019)
• TWEAK: Optimization for Dauntless (2019)
• TWEAK: Optimization for Dead Man's Diary (2022)
• TWEAK: Optimization for Deliver Us The Moon (2019)
• TWEAK: Optimization for Dragon Ball Z: Kakarot (2020)
• TWEAK: Optimization for Esse Proxy (2022)
• TWEAK: Optimization for Evil West (2022)
• TWEAK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• TWEAK: Optimization for Gas Station Simulator (2021)
• TWEAK: Optimization for Gears 5 (2019)
• TWEAK: Optimization for Gears Tactics (2020)
• TWEAK: Optimization for Ghostrunner 2 (2023)
• TWEAK: Optimization for Ghostrunner (2020)
• TWEAK: Optimization for Grounded (2022)
• TWEAK: Optimization for Hellblade: Senua's Sacrifice (2017)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for It Takes Two (2021)
• TWEAK: Optimization for Journey to the Savage Planet (2020)
• TWEAK: Optimization for Jump Force (2019)
• TWEAK: Optimization for Kena: Bridge of Spirits (2021)
• TWEAK: Optimization for King of Retail (2022)
• TWEAK: Optimization for Life is Strange Remastered (2022)
• TWEAK: Optimization for Life is Strange: True Colors (2021)
• TWEAK: Optimization for Little Nightmares 2 (2021)
• TWEAK: Optimization for MechWarrior 5: Mercenaries (2019)
• TWEAK: Optimization for Mordhau (2019)
• TWEAK: Optimization for Mortal Kombat 1 (2023)
• TWEAK: Optimization for MX vs. ATV Legends (2021)
• TWEAK: Optimization for One Piece Odyssey (2022)
• TWEAK: Optimization for Outriders (2021)
• TWEAK: Optimization for Payday 3 (2023)
• TWEAK: Optimization for Psychonauts 2 (2021)
• TWEAK: Optimization for Redfall (2023)
• TWEAK: Optimization for Remnant: From the Ashes (2019)
• TWEAK: Optimization for Scum (2025)
• TWEAK: Optimization for Shenmue 3 (2019)
• TWEAK: Optimization for Sherlock Holmes: Chapter One (2021)
• TWEAK: Optimization for Sifu (2022)
• TWEAK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• TWEAK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• TWEAK: Optimization for Spyro Reignited Trilogy (2019)
• TWEAK: Optimization for Star Trek Prodigy: Supernova (2022)
• TWEAK: Optimization for Stray (2022)
• TWEAK: Optimization for Sword and Fairy 7 (2021)
• TWEAK: Optimization for Terminator: Resistance (2019)
• TWEAK: Optimization for The Beast Inside (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: House of Ashes (2021)
• TWEAK: Optimization for The Dark Pictures Anthology: Little Hope (2020)
• TWEAK: Optimization for The Dark Pictures Anthology: Man of Medan (2019)
• TWEAK: Optimization for The Dark Pictures Anthology: The Devil in Me (2022)
• TWEAK: Optimization for The Medium (2021)
• TWEAK: Optimization for The Outer Worlds (2019)
• TWEAK: Optimization for The Outer Worlds: Spacer's Choice Edition (2023)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for The Redress of Mira (2022)
• TWEAK: Optimization for The Sinking City (2019)
• TWEAK: Optimization for The Texas Chain Saw Massacre (2023)
• TWEAK: Optimization for The Waylanders (2022)
• TWEAK: Optimization for Tiny Tina's Wonderlands (2022)
• TWEAK: Optimization for Train Sim World 2 (2020)
• TWEAK: Optimization for Train Sim World 3 (2022)
• TWEAK: Optimization for Train Sim World 4 (2023)
• TWEAK: Optimization for Train Sim World (2018) (a.k.a. Train Sim World 2020)
• TWEAK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Twin Mirror (2020)
• TWEAK: Optimization for Vampire: The Masquerade - Swansong (2022)

Low Specs Experience v11.9.5 - 2024-09-17
• REWORK: Optimization for Alan Wake Remastered (2021)
• REWORK: Optimization for Cyberpunk 2077 (2020)
• TWEAK: Optimization for Alan Wake 2 (2023)
• TWEAK: Optimization for Alien: Isolation (2014)
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Bakery Simulator (2022)
• TWEAK: Optimization for Big Earth (2022)
• TWEAK: Optimization for Bloodstained: Ritual of the Night (2019)
• TWEAK: Optimization for Bright Memory (2020)
• TWEAK: Optimization for Bright Memory: Infinite (2021)
• TWEAK: Optimization for Call of Cthulhu (2018)
• TWEAK: Optimization for Call of Duty: Black Ops 2 (2012)
• TWEAK: Optimization for Darksiders (2010)
• TWEAK: Optimization for Daymare: 1994 Sandcastle (2023)
• TWEAK: Optimization for Daymare: 1998 (2019)
• TWEAK: Optimization for Devil May Cry 5 (2019)
• TWEAK: Optimization for Effie (2020)
• TWEAK: Optimization for eFootball 2022 (2021)
• TWEAK: Optimization for eFootball 2023 (2021)
• TWEAK: Optimization for eFootball 2024 (2021)
• TWEAK: Optimization for eFootball PES 2020 (2019)
• TWEAK: Optimization for eFootball PES 2021 Season Update (2020)
• TWEAK: Optimization for F1 Manager 2022 (2022)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for Fade to Silence (2019)
• TWEAK: Optimization for Food Truck Simulator (2022)
• TWEAK: Optimization for Grand Theft Auto 4: The Complete Edition (2020)
• TWEAK: Optimization for Guilty Gear Strive (2021)
• TWEAK: Optimization for High on Life (2022)
• TWEAK: Optimization for Martha is Dead (2022)
• TWEAK: Optimization for Moons of Madness (2019)
• TWEAK: Optimization for Redeemer: Enhanced Edition (2017)
• TWEAK: Optimization for Rune 2 (2019)
• TWEAK: Optimization for Ryse: Son of Rome (2014)
• TWEAK: Optimization for Sackboy: A Big Adventure (2022)
• TWEAK: Optimization for Scorn (2022)
• TWEAK: Optimization for Sea of Solitude (2019)
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• TWEAK: Optimization for Star Wars Jedi: Fallen Order (2019)
• TWEAK: Optimization for State of Decay (2013)
• TWEAK: Optimization for State of Decay: Year-One Survival Edition (2015)
• TWEAK: Optimization for Submerged (2015)
• TWEAK: Optimization for Submerged: Hidden Depths (2022)
• TWEAK: Optimization for Tell Me Why (2020)
• TWEAK: Optimization for The Callisto Protocol (2022)
• TWEAK: Optimization for The Evil Within 2 (2017)
• TWEAK: Optimization for The Last Oricru (2022)
• TWEAK: Optimization for The Quarry (2022)
• TWEAK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Trek to Yomi (2022)
• TWEAK: Optimization for Visage (2020)
• UPDATE: Game detection for Alan Wake 2 (2023)
• UPDATE: Game detection for Bright Memory (2020)
• UPDATE: Game detection for Bright Memory: Infinite (2021)
• UPDATE: Game detection for eFootball 2022 (2021)
• UPDATE: Game detection for eFootball 2023 (2021)
• UPDATE: Game detection for eFootball 2024 (2021)
• UPDATE: Game detection for eFootball PES 2020 (2019)
• UPDATE: Game detection for eFootball PES 2021 Season Update (2020)
• UPDATE: Game detection for Grand Theft Auto 4: The Complete Edition (2020)
• UPDATE: Game detection for Pro Evolution Soccer 2018 (2017)
• UPDATE: Game detection for Pro Evolution Soccer 2019 (2018)

Low Specs Experience v11.9.4 - 2024-09-07
• DEPRECATE: Support for New World (2021)
• REWORK: Optimization for Anno 1800 (2019)
• REWORK: Optimization for League of Legends (2009)
• REWORK: Optimization for Mega Man 11 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection 2 (2018)
• REWORK: Optimization for Mega Man X Legacy Collection (2018)
• REWORK: Optimization for Tekken 7 (2017)
• REWORK: Optimization for Titanfall 2 (2016)
• REWORK: Optimization for Valorant (2020)
• REWORK: Optimization for Wolfenstein: The New Order (2014)
• REWORK: Optimization for Wolfenstein: The Old Blood (2015)
• TWEAK: Optimization for Assassin's Creed 2 (2010)
• TWEAK: Optimization for Assassin's Creed 3 (2012)
• TWEAK: Optimization for Assassin's Creed 3 Remastered (2019)
• TWEAK: Optimization for Assassin's Creed 3: Liberation Remastered (2019)
• TWEAK: Optimization for Assassin's Creed 4: Black Flag (2013)
• TWEAK: Optimization for Assassin's Creed Rogue (2015)
• TWEAK: Optimization for Assassin's Creed Syndicate (2015)
• TWEAK: Optimization for Assassin's Creed Unity (2014)
• TWEAK: Optimization for Assassin's Creed: Brotherhood (2010)
• TWEAK: Optimization for Assassin's Creed: Director's Cut (2008)
• TWEAK: Optimization for Assassin's Creed: Freedom Cry (2014)
• TWEAK: Optimization for Assassin's Creed: Liberation HD (2014)
• TWEAK: Optimization for Assassin's Creed: Revelations (2011)
• TWEAK: Optimization for Battlefield 1 (2016)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Battlefield 4 (2013)
• TWEAK: Optimization for Battlefield 5 (2018)
• TWEAK: Optimization for Battlefield Hardline (2015)
• TWEAK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• TWEAK: Optimization for Call of Duty 4: Modern Warfare (2007)
• TWEAK: Optimization for Call of Duty: Black Ops (2010)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• TWEAK: Optimization for Call of Duty: World at War (2008)
• TWEAK: Optimization for Civilization 5 (2010)
• TWEAK: Optimization for Civilization: Beyond Earth (2014)
• TWEAK: Optimization for The Callisto Protocol (2022)
• UPDATE: Game detection for Anno 1800 (2019)
• UPDATE: Game detection for Civilization 5 (2010)
• UPDATE: Game detection for Civilization: Beyond Earth (2014)
• UPDATE: Game detection for Mega Man 11 (2018)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts 2 (2021)
• UPDATE: Game detection for Sniper: Ghost Warrior Contracts (2019)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)

Low Specs Experience v11.9.3 - 2024-08-23
• REWORK: Optimization for Anno 2070 (2011)
• REWORK: Optimization for Anno 2205 (2015)
• REWORK: Optimization for Anthem (2019)
• REWORK: Optimization for Civilization 5 (2010)
• REWORK: Optimization for Civilization 6 (2016)
• REWORK: Optimization for Civilization: Beyond Earth (2014)
• REWORK: Optimization for GRID 2 (2013)
• REWORK: Optimization for GRID (2019)
• REWORK: Optimization for GRID Autosport (2014)
• REWORK: Optimization for GRID Legends (2022)
• REWORK: Optimization for Heroes of the Storm (2015)
• REWORK: Optimization for Hunt: Showdown 1896 (2019)
• REWORK: Optimization for Marvel's Midnight Suns (2022)
• REWORK: Optimization for Mass Effect Legendary Edition (2021)
• REWORK: Optimization for Mortal Kombat 11 (2019)
• REWORK: Optimization for Payday 2 (2013)
• REWORK: Optimization for Payday: The Heist (2011)
• REWORK: Optimization for Plants vs. Zombies: Garden Warfare 2 (2016)
• REWORK: Optimization for Plants vs. Zombies: Garden Warfare (2014)
• REWORK: Optimization for PUBG: Battlegrounds (2017)
• REWORK: Optimization for Tom Clancy's Rainbow Six Siege (2015)
• REWORK: Optimization for Tree of Savior (2016)
• REWORK: Optimization for World of Warcraft (2004)
• TWEAK: Optimization for Halo: The Master Chief Collection (2019)
• TWEAK: Optimization for Plants vs. Zombies: Battle for Neighborville (2019)
• TWEAK: Optimization for Tom Clancy's Splinter Cell: Blacklist (2013)
• UPDATE: Game detection for Anno 2205 (2015)
• UPDATE: Game detection for Civilization 6 (2016)
• UPDATE: Game detection for GRID 2 (2013)
• UPDATE: Game detection for GRID (2019)
• UPDATE: Game detection for GRID Autosport (2014)
• UPDATE: Game detection for GRID Legends (2022)
• UPDATE: Game detection for Halo: The Master Chief Collection (2019)
• UPDATE: Game detection for Mafia: Definitive Edition (2020)
• UPDATE: Game detection for Mortal Kombat 11 (2019)
• UPDATE: Game detection for Payday 2 (2013)
• UPDATE: Game detection for Payday: The Heist (2011)
• UPDATE: Game detection for Sea of Thieves (2018)
• UPDATE: Game detection for Tree of Savior (2016)

Low Specs Experience v11.9.2 - 2024-08-09
• BACK-END: Optimization API refinements (api_v3.60)
• REWORK: Optimization for Marvel's Spider-Man Remastered (2022)
• REWORK: Optimization for Marvel's Spider-Man: Miles Morales (2022)
• REWORK: Optimization for Middle-earth: Shadow of Mordor (2014)
• REWORK: Optimization for Middle-earth: Shadow of War (2017)
• REWORK: Optimization for Monster Hunter: World (2018)
• REWORK: Optimization for Overwatch (2023) (a.k.a. Overwatch 2)
• REWORK: Optimization for Sea of Thieves (2018)
• REWORK: Optimization for Shadow Warrior 2 (2016)
• REWORK: Optimization for Shadow Warrior 3 (2022)
• REWORK: Optimization for Soulcalibur 6 (2018)
• REWORK: Optimization for Stranded Deep (2022)
• REWORK: Optimization for theHunter Classic (2009)
• REWORK: Optimization for Tom Clancy's Splinter Cell: Blacklist (2013)
• REWORK: Optimization for Tom Clancy's Splinter Cell: Conviction (2010)
• REWORK: Optimization for Trek to Yomi (2022)
• REWORK: Optimization for Trials Rising (2019)
• REWORK: Optimization for Vampire: The Masquerade - Bloodhunt (2022)
• UPDATE: Game detection for Evil West (2022)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for Middle-earth: Shadow of Mordor (2014)
• UPDATE: Game detection for Middle-earth: Shadow of War (2017)
• UPDATE: Game detection for Shadow Warrior 3 (2022)
• UPDATE: Game detection for Stranded Deep (2022)
• UPDATE: Game detection for Tom Clancy's Splinter Cell: Blacklist (2013)
• UPDATE: Game detection for Trek to Yomi (2022)

Low Specs Experience v11.9.1 - 2024-07-26
• BACK-END: Optimization API refinements (api_v3.59)
• UI-UX: User interface refinements (ui_v11.09)
• REWORK: Optimization for Devil's Hunt (2019)
• REWORK: Optimization for F1 Manager 2022 (2022)
• REWORK: Optimization for Fallout 3 (2008)
• REWORK: Optimization for Fallout 4 (2015)
• REWORK: Optimization for Fallout 76 (2018)
• REWORK: Optimization for Fallout: New Vegas (2010)
• REWORK: Optimization for Halo: The Master Chief Collection (2019)
• REWORK: Optimization for Medal of Honor (2010)
• REWORK: Optimization for Medal of Honor: Warfighter (2012)
• REWORK: Optimization for Partisans 1941 (2020)
• REWORK: Optimization for Returnal (2023)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2022)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• TWEAK: Optimization for Call of Duty: Warzone (2023)
• TWEAK: Optimization for Counter-Strike 2 (2023)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for No Man's Sky (2016)
• UPDATE: Game detection for Counter-Strike 2 (2023)
• UPDATE: Game detection for Devil's Hunt (2019)
• UPDATE: Game detection for F1 Manager 2022 (2022)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for Fallout 4 (2015)
• UPDATE: Game detection for Fallout 76 (2018)
• UPDATE: Game detection for Halo: The Master Chief Collection (2019)
• UPDATE: Game detection for Lies of P (2023)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for Partisans 1941 (2020)
• UPDATE: Game detection for Returnal (2023)

Low Specs Experience v11.9.0 - 2024-07-11
• UI-UX: User interface refinements (ui_v11.08)
• REWORK: Optimization for Divinity: Original Sin 2 (2017)
• REWORK: Optimization for Divinity: Original Sin 2 - Definitive Edition (2018)
• REWORK: Optimization for High on Life (2022)
• REWORK: Optimization for MechWarrior 5: Mercenaries (2019)
• REWORK: Optimization for Sons of The Forest (2024)
• TWEAK: Optimization for Ace Combat 7: Skies Unknown (2019)
• TWEAK: Optimization for Baldur's Gate 3 (2023)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for MechWarrior 5: Mercenaries (2019)
• TWEAK: Optimization for Sons of The Forest (2024)
• UPDATE: Game detection for Divinity: Original Sin 2 - Definitive Edition (2018)
• UPDATE: Game detection for High on Life (2022)
• UPDATE: Game detection for Hitman 2 (2016)
• UPDATE: Game detection for Hitman (2016)
• UPDATE: Game detection for Hitman World of Assassination (2023)
• UPDATE: Game detection for Sons of The Forest (2024)

Low Specs Experience v11.8.9 - 2024-07-08
• UI-UX: User interface refinements (ui_v11.07)
• REWORK: Optimization for Hitman 2 (2016)
• REWORK: Optimization for Hitman (2016)
• REWORK: Optimization for Hitman World of Assassination (2023)

Low Specs Experience v11.8.8 - 2024-06-27
• REWORK: Optimization for Ace Combat 7: Skies Unknown (2019)
• REWORK: Optimization for Kena: Bridge of Spirits (2021)
• REWORK: Optimization for Riders Republic (2021)
• REWORK: Optimization for Sackboy: A Big Adventure (2022)
• REWORK: Optimization for Steep (2016)
• REWORK: Optimization for The Crew 2 (2018)
• REWORK: Optimization for The Sims 4 (2014)
• REWORK: Optimization for Tom Clancy's The Division 2 (2019)
• REWORK: Optimization for Tom Clancy's The Division (2016)
• UPDATE: Game detection for Destiny 2 (2017)
• UPDATE: Game detection for Kena: Bridge of Spirits (2021)
• UPDATE: Game detection for Sackboy: A Big Adventure (2022)
• UPDATE: Game detection for Tom Clancy's The Division 2 (2019)
• UPDATE: Game detection for Tom Clancy's The Division (2016)

Low Specs Experience v11.8.7 - 2024-06-24
• REWORK: Optimization for Conqueror's Blade (2019)
• REWORK: Optimization for Dauntless (2019)
• REWORK: Optimization for Rocket League (2015)
• TWEAK: Optimization for Terminator: Resistance (2019)
• UPDATE: Game detection for Forza Motorsport (2023)
• UPDATE: Game detection for Terminator: Resistance (2019)

Low Specs Experience v11.8.6 - 2024-06-21
• REWORK: Optimization for Mordhau (2019)
• REWORK: Optimization for Terminator: Resistance (2019)
• REWORK: Optimization for Tom Clancy's Ghost Recon Breakpoint (2019)
• REWORK: Optimization for Tom Clancy's Ghost Recon Wildlands (2017)
• REWORK: Optimization for Tom Clancy's Ghost Recon: Future Soldier (2012)

Low Specs Experience v11.8.5 - 2024-06-20
• REWORK: Optimization for LEGO City Undercover (2017)
• REWORK: Optimization for LEGO DC Super-Villains (2018)
• REWORK: Optimization for LEGO Jurassic World (2015)
• REWORK: Optimization for LEGO Marvel Super Heroes 2 (2017)
• REWORK: Optimization for LEGO Marvel Super Heroes (2013)
• REWORK: Optimization for LEGO Marvel's Avengers (2016)
• REWORK: Optimization for LEGO Pirates of the Caribbean: The Video Game (2011)
• REWORK: Optimization for LEGO Star Wars: The Force Awakens (2016)
• REWORK: Optimization for LEGO Star Wars: The Skywalker Saga (2022)
• REWORK: Optimization for LEGO The Hobbit (2014)
• REWORK: Optimization for LEGO The Incredibles (2018)
• REWORK: Optimization for LEGO The Lord of the Rings (2012)
• REWORK: Optimization for LEGO Worlds (2017)
• REWORK: Optimization for Nioh 2: The Complete Edition (2021)
• REWORK: Optimization for One Piece Odyssey (2022)
• REWORK: Optimization for Sekiro: Shadows Die Twice (2019)
• REWORK: Optimization for Sword and Fairy 7 (2021)
• REWORK: Optimization for Tales of Arise (2021)
• REWORK: Optimization for The LEGO Movie Videogame 2 (2019)
• REWORK: Optimization for The LEGO Movie Videogame (2014)
• REWORK: Optimization for The LEGO Ninjago Movie Video Game (2017)
• TWEAK: Optimization for Sekiro: Shadows Die Twice (2019)
• UPDATE: Game detection for Sword and Fairy 7 (2021)
• UPDATE: Game detection for Tales of Arise (2021)

Low Specs Experience v11.8.4 - 2024-06-15
• UPDATE: Game detection for The Callisto Protocol (2022)

Low Specs Experience v11.8.3 - 2024-06-14
• BACK-END: Optimization API refinements (api_v3.58)
• REWORK: Optimization for Crackdown 3 (2019)
• REWORK: Optimization for Journey to the Savage Planet (2020)
• REWORK: Optimization for No Man's Sky (2016)
• REWORK: Optimization for Psychonauts 2 (2021)
• REWORK: Optimization for Scorn (2022)
• REWORK: Optimization for Treasure Hunter Simulator (2018)
• TWEAK: Optimization for Call of Duty 4: Modern Warfare (2007)
• TWEAK: Optimization for Call of Duty: Advanced Warfare (2014)
• TWEAK: Optimization for Call of Duty: Black Ops (2010)
• TWEAK: Optimization for Call of Duty: Ghosts (2013)
• TWEAK: Optimization for Call of Duty: Modern Warfare 2 (2009)
• TWEAK: Optimization for Call of Duty: Modern Warfare 3 (2011)
• TWEAK: Optimization for Call of Duty: World at War (2008)
• TWEAK: Optimization for Guilty Gear Strive (2021)
• TWEAK: Optimization for Tales of Arise (2021)
• UPDATE: Game detection for Atomic Heart (2023)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for Journey to the Savage Planet (2020)
• UPDATE: Game detection for No Man's Sky (2016)
• UPDATE: Game detection for Rise of the Tomb Raider (2016)
• UPDATE: Game detection for Scorn (2022)
• UPDATE: Game detection for Senua's Saga: Hellblade 2 (2024)
• UPDATE: Game detection for Tales of Arise (2021)
• UPDATE: Game detection for Treasure Hunter Simulator (2018)

Low Specs Experience v11.8.2 - 2024-06-12
• REWORK: Optimization for Tomb Raider: Definitive Edition (2024)
• TWEAK: Optimization for Atomic Heart (2023)
• TWEAK: Optimization for Guilty Gear Strive (2021)
• TWEAK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• TWEAK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• TWEAK: Optimization for Tomb Raider (2013)
• UPDATE: Game detection for Atomic Heart (2023)

Low Specs Experience v11.8.1 - 2024-06-11
• TWEAK: Optimization for Rise of the Tomb Raider (2016)
• UPDATE: Game detection for Rise of the Tomb Raider (2016)

Low Specs Experience v11.8.0 - 2024-06-10
• TWEAK: Optimization for Bus Simulator 18 (2018)
• TWEAK: Optimization for Bus Simulator 21 (2021)
• TWEAK: Optimization for F1 Manager 2023 (2023)
• TWEAK: Optimization for Fade to Silence (2019)
• TWEAK: Optimization for Rune 2 (2019)
• UPDATE: Game detection for F1 Manager 2023 (2023)
• UPDATE: Game detection for Fade to Silence (2019)
• UPDATE: Game detection for Rune 2 (2019)

Low Specs Experience v11.7.9 - 2024-06-10
• UPDATE: Game detection for Hellblade: Senua's Sacrifice (2017)

Low Specs Experience v11.7.8 - 2024-06-07
• TWEAK: Optimization for Ancestors: The Humankind Odyssey (2019)
• TWEAK: Optimization for Ashes of Oahu (2019)
• TWEAK: Optimization for Bright Memory (2020)
• TWEAK: Optimization for Bright Memory: Infinite (2021)
• TWEAK: Optimization for Code Vein (2019)
• TWEAK: Optimization for Deliver Us The Moon (2019)
• TWEAK: Optimization for DiRT Rally (2015)
• TWEAK: Optimization for F1 23 (2023)
• TWEAK: Optimization for F1 24 (2024)
• TWEAK: Optimization for Grounded (2022)
• TWEAK: Optimization for King of Retail (2022)
• TWEAK: Optimization for Moons of Madness (2019)
• TWEAK: Optimization for Rune 2 (2019)
• TWEAK: Optimization for Star Wars Jedi: Survivor (2023)
• TWEAK: Optimization for Vampire: The Masquerade - Swansong (2022)
• UPDATE: Game detection for Moons of Madness (2019)

Low Specs Experience v11.7.7 - 2024-06-04
• REWORK: Optimization for Aliens: Fireteam Elite (2021)
• REWORK: Optimization for Ancestors: The Humankind Odyssey (2019)
• REWORK: Optimization for Ashes of Oahu (2019)
• REWORK: Optimization for Bright Memory (2020)
• REWORK: Optimization for Bright Memory: Infinite (2021)
• REWORK: Optimization for Bus Simulator 18 (2018)
• REWORK: Optimization for Bus Simulator 21 (2021)
• REWORK: Optimization for Code Vein (2019)
• REWORK: Optimization for Crash Bandicoot 4: It's About Time (2021)
• REWORK: Optimization for Deliver Us The Moon (2019)
• REWORK: Optimization for Destiny 2 (2017)
• REWORK: Optimization for DiRT 2 (2009)
• REWORK: Optimization for DiRT 3 (2011)
• REWORK: Optimization for DiRT 4 (2017)
• REWORK: Optimization for DiRT Rally 2.0 (2019)
• REWORK: Optimization for DiRT Rally (2015)
• REWORK: Optimization for DiRT Showdown (2012)
• REWORK: Optimization for Evil West (2022)
• REWORK: Optimization for F1 24 (2024)
• REWORK: Optimization for Fade to Silence (2019)
• REWORK: Optimization for Forza Horizon 3 (2016)
• REWORK: Optimization for GreedFall (2019)
• REWORK: Optimization for Grounded (2022)
• REWORK: Optimization for Guilty Gear Strive (2021)
• REWORK: Optimization for Jump Force (2019)
• REWORK: Optimization for King of Retail (2022)
• REWORK: Optimization for Moons of Madness (2019)
• REWORK: Optimization for Rune 2 (2019)
• REWORK: Optimization for SpongeBob SquarePants: Battle for Bikini Bottom - Rehydrated (2020)
• REWORK: Optimization for SpongeBob SquarePants: The Cosmic Shake (2023)
• REWORK: Optimization for Star Wars Jedi: Survivor (2023)
• REWORK: Optimization for Stray (2022)
• REWORK: Optimization for Uncharted: Legacy of Thieves Collection
• REWORK: Optimization for Vampire: The Masquerade - Swansong (2022)
• REWORK: Optimization for Visage (2020)
• TWEAK: Optimization for F1 23 (2023)
• UPDATE: Game detection for Ancestors: The Humankind Odyssey (2019)
• UPDATE: Game detection for Bright Memory (2020)
• UPDATE: Game detection for Bright Memory: Infinite (2021)
• UPDATE: Game detection for DiRT 2 (2009)
• UPDATE: Game detection for DiRT 3 (2011)
• UPDATE: Game detection for DiRT 4 (2017)
• UPDATE: Game detection for DiRT Rally 2.0 (2019)
• UPDATE: Game detection for DiRT Rally (2015)
• UPDATE: Game detection for DiRT Showdown (2012)
• UPDATE: Game detection for F1 23 (2023)
• UPDATE: Game detection for Guilty Gear Strive (2021)

Low Specs Experience v11.7.6 - 2024-05-29
• TWEAK: Optimization for Psychonauts 2 (2021)
• UPDATE: Game detection for eFootball 2022 (2021)
• UPDATE: Game detection for eFootball 2023 (2021)
• UPDATE: Game detection for eFootball 2024 (2021)
• UPDATE: Game detection for Psychonauts 2 (2021)

Low Specs Experience v11.7.5 - 2024-05-23
• TWEAK: Optimization for Senua's Saga: Hellblade 2 (2024)
• UPDATE: Game detection for Dark Souls 3 (2016)
• UPDATE: Game detection for Senua's Saga: Hellblade 2 (2024)

Low Specs Experience v11.7.4 - 2024-05-22
• REWORK: Optimization for BioShock Infinite (2013)
• REWORK: Optimization for Borderlands 2 (2012)
• REWORK: Optimization for Borderlands (2009)
• REWORK: Optimization for Borderlands: Game of the Year Enhanced (2019)
• REWORK: Optimization for Borderlands: The Pre-Sequel (2014)
• REWORK: Optimization for Bulletstorm: Full Clip Edition (2017)
• REWORK: Optimization for Company of Heroes 2 (2013)
• REWORK: Optimization for Devil May Cry 5 (2019)
• REWORK: Optimization for Forza Horizon 4 (2018)
• REWORK: Optimization for Forza Horizon 5 (2021)
• REWORK: Optimization for Gears 5 (2019)
• REWORK: Optimization for Gears of War 4 (2016)
• REWORK: Optimization for Gears Tactics (2020)
• REWORK: Optimization for Ghost of Tsushima Director's Cut (2024)
• REWORK: Optimization for Murdered: Soul Suspect (2014)
• REWORK: Optimization for Senua's Saga: Hellblade 2 (2024)
• REWORK: Optimization for Tiny Tina's Assault on Dragon Keep: A Wonderlands One-Shot Adventure (2021)
• TWEAK: Optimization for Euro Truck Simulator 2 (2012)
• UPDATE: Game detection for Devil May Cry 5 (2019)
• UPDATE: Game detection for Far Cry 4 (2014)
• UPDATE: Game detection for Far Cry Primal (2016)
• UPDATE: Game detection for Gears 5 (2019)
• UPDATE: Game detection for Gears of War 4 (2016)
• UPDATE: Game detection for Gears Tactics (2020)
• UPDATE: Game detection for Rise of the Tomb Raider (2016)

Low Specs Experience v11.7.3 - 2024-05-15
• REWORK: Optimization for Aegis Descent (2023)
• REWORK: Optimization for Astroneer (2016)
• REWORK: Optimization for Atomic Heart (2023)
• REWORK: Optimization for BioShock 2 (2010)
• REWORK: Optimization for BioShock 2 Remastered (2016)
• REWORK: Optimization for BioShock (2007)
• REWORK: Optimization for BioShock Remastered (2016)
• REWORK: Optimization for Borderlands 3 (2019)
• REWORK: Optimization for Company of Heroes 3 (2023)
• REWORK: Optimization for Dragon Ball Z: Kakarot (2020)
• REWORK: Optimization for Martha is Dead (2022)
• REWORK: Optimization for Sea of Solitude (2019)
• REWORK: Optimization for Star Wars Battlefront 2 (2017)
• REWORK: Optimization for Star Wars Battlefront (2015)
• REWORK: Optimization for The Medium (2021)
• REWORK: Optimization for The Quarry (2022)
• REWORK: Optimization for Tiny Tina's Wonderlands (2022)
• TWEAK: Optimization for Close to the Sun (2019)
• UPDATE: Game detection for Atomic Heart (2023)
• UPDATE: Game detection for Dragon Ball Z: Kakarot (2020)
• UPDATE: Game detection for Martha is Dead (2022)
• UPDATE: Game detection for Sea of Solitude (2019)
• UPDATE: Game detection for The Medium (2021)
• UPDATE: Game detection for The Quarry (2022)

Low Specs Experience v11.7.2 - 2024-05-02
• DEPRECATE: Support for The Crew (2014)
• REWORK: Optimization for ARK: Survival Evolved (2017)
• REWORK: Optimization for Bakery Simulator (2022)
• REWORK: Optimization for Battlefield 1 (2016)
• REWORK: Optimization for Battlefield 4 (2013)
• REWORK: Optimization for Battlefield 5 (2018)
• REWORK: Optimization for Battlefield 2042 (2021)
• REWORK: Optimization for Battlefield Hardline (2015)
• REWORK: Optimization for Biomutant (2021)
• REWORK: Optimization for Blair Witch (2019)
• REWORK: Optimization for Bloodstained: Ritual of the Night (2019)
• REWORK: Optimization for Call of Duty: Modern Warfare 3 (2023)
• REWORK: Optimization for Call of Duty: Warzone (2023)
• REWORK: Optimization for Chernobylite (2021)
• REWORK: Optimization for Chivalry 2 (2021)
• REWORK: Optimization for Close to the Sun (2019)
• REWORK: Optimization for Conan Exiles (2018)
• REWORK: Optimization for Food Truck Simulator (2022)
• REWORK: Optimization for For Honor (2017)
• REWORK: Optimization for Rage (2011)
• REWORK: Optimization for Star Wars Jedi: Fallen Order (2019)
• REWORK: Optimization for Tell Me Why (2020)
• REWORK: Optimization for The Outer Worlds (2019)
• REWORK: Optimization for The Outer Worlds: Spacer's Choice Edition (2023)
• TWEAK: Optimization for The Last of Us Part 1 (2023)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Bakery Simulator (2022)
• UPDATE: Game detection for Blair Witch (2019)
• UPDATE: Game detection for Close to the Sun (2019)
• UPDATE: Game detection for Devil's Hunt (2019)
• UPDATE: Game detection for Rage (2011)
• UPDATE: Game detection for Returnal (2023)
• UPDATE: Game detection for Star Wars Jedi: Fallen Order (2019)
• UPDATE: Game detection for Starfield (2023)
• UPDATE: Game detection for Tell Me Why (2020)

Low Specs Experience v11.7.1 - 2024-04-15
• TWEAK: Optimization for Redeemer: Enhanced Edition (2017)
• TWEAK: Optimization for Shenmue 3 (2019)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Shenmue 3 (2019)

Low Specs Experience v11.7.0 - 2024-04-12
• UI-UX: User interface refinements (ui_v11.06)
• REWORK: Optimization for Alien: Isolation (2014)
• REWORK: Optimization for Assetto Corsa (2014)
• REWORK: Optimization for Assetto Corsa Competizione (2019)
• REWORK: Optimization for Dead Rising 2 (2010)
• REWORK: Optimization for Dead Rising 2: Off the Record (2011)
• REWORK: Optimization for Dead Rising 3 (2014)
• REWORK: Optimization for Dead Rising 4 (2016)
• REWORK: Optimization for Dead Rising (2016)
• REWORK: Optimization for Deathloop (2021)
• REWORK: Optimization for Dragon Age: Inquisition (2014)
• REWORK: Optimization for Fast and Furious Crossroads (2020)
• REWORK: Optimization for Gas Station Simulator (2021)
• REWORK: Optimization for God of War (2022) (a.k.a. God of War 2018)
• REWORK: Optimization for Metro Exodus (2019)
• REWORK: Optimization for Metro Exodus Enhanced Edition (2021)
• REWORK: Optimization for MX vs. ATV Legends (2021)
• REWORK: Optimization for Rage 2 (2019)
• REWORK: Optimization for Redeemer: Enhanced Edition (2017)
• REWORK: Optimization for Shenmue 3 (2019)
• REWORK: Optimization for The Evil Within 2 (2017)
• REWORK: Optimization for The Evil Within (2014)
• REWORK: Optimization for The Waylanders (2022)
• REWORK: Optimization for The Witcher 2: Assassins of Kings Enhanced Edition (2011)
• REWORK: Optimization for Twin Mirror (2020)
• REWORK: Optimization for We Happy Few (2018)
• REWORK: Optimization for World War Z (2019)
• TWEAK: Optimization for Metro 2033 Redux (2014)
• TWEAK: Optimization for Metro: Last Light (2013)
• TWEAK: Optimization for Metro: Last Light Redux (2014)
• UPDATE: Game detection for Alien: Isolation (2014)
• UPDATE: Game detection for Arma 3 (2013)
• UPDATE: Game detection for Crackdown 3 (2019)
• UPDATE: Game detection for eFootball 2022 (2021)
• UPDATE: Game detection for eFootball 2023 (2021)
• UPDATE: Game detection for eFootball 2024 (2021)
• UPDATE: Game detection for God of War (2022) (a.k.a. God of War 2018)
• UPDATE: Game detection for Mega Man X Legacy Collection 2 (2018)
• UPDATE: Game detection for Mega Man X Legacy Collection (2018)
• UPDATE: Game detection for Metro Exodus (2019)
• UPDATE: Game detection for Metro Exodus Enhanced Edition (2021)
• UPDATE: Game detection for MX vs. ATV Legends (2021)
• UPDATE: Game detection for Redeemer: Enhanced Edition (2017)
• UPDATE: Game detection for Ryse: Son of Rome (2014)
• UPDATE: Game detection for The Crew Motorfest (2023)
• UPDATE: Game detection for Uncharted: Legacy of Thieves Collection
• UPDATE: Game detection for World War Z (2019)

Low Specs Experience v11.6.9 - 2024-03-28
• TWEAK: Optimization for The Witcher 3: Wild Hunt Next-Gen (2022)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Classic (2015)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Next-Gen (2022)

Low Specs Experience v11.6.8 - 2024-03-27
• BACK-END: Optimization API refinements (api_v3.57)
• TWEAK: Optimization for Arma 3 (2013)
• TWEAK: Optimization for Devil May Cry 5 (2019)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for Rage (2011)
• TWEAK: Optimization for Resident Evil 2 (2019)
• TWEAK: Optimization for Resident Evil 3 (2020)
• TWEAK: Optimization for Resident Evil 4 (2023)
• TWEAK: Optimization for Resident Evil Resistance (2020)
• TWEAK: Optimization for Resident Evil Village (2021)
• TWEAK: Optimization for The Evil Within 2 (2017)
• TWEAK: Optimization for The Evil Within (2014)
• TWEAK: Optimization for Wolfenstein 2: The New Colossus (2017)
• TWEAK: Optimization for Wolfenstein: The New Order (2014)
• TWEAK: Optimization for Wolfenstein: The Old Blood (2015)
• TWEAK: Optimization for Wolfenstein: Youngblood (2019)
• UPDATE: Game detection for Death Stranding Director's Cut (2022)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Medal of Honor (2010)
• UPDATE: Game detection for Medal of Honor: Warfighter (2012)
• UPDATE: Game detection for Rage (2011)
• UPDATE: Game detection for Red Dead Redemption 2 (2019)
• UPDATE: Game detection for Resident Evil 2 (2019)
• UPDATE: Game detection for Resident Evil 3 (2020)
• UPDATE: Game detection for Resident Evil 4 (2023)
• UPDATE: Game detection for Resident Evil Resistance (2020)
• UPDATE: Game detection for Resident Evil Village (2021)
• UPDATE: Game detection for Starfield (2023)
• UPDATE: Game detection for The Evil Within 2 (2017)
• UPDATE: Game detection for The Evil Within (2014)
• UPDATE: Game detection for The Witcher 3: Wild Hunt Classic (2015)
• UPDATE: Game detection for Wolfenstein 2: The New Colossus (2017)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)
• UPDATE: Game detection for Wolfenstein: Youngblood (2019)

Low Specs Experience v11.6.7 - 2024-03-26
• TWEAK: Optimization for Daylight (2014)
• TWEAK: Optimization for Deathloop (2021)
• TWEAK: Optimization for Dishonored 2 (2016)
• TWEAK: Optimization for Dishonored: Death of the Outsider (2017)
• TWEAK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• TWEAK: Optimization for Hogwarts Legacy (2023)
• TWEAK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for OVERKILL's The Walking Dead (2018)
• TWEAK: Optimization for Rage (2011)
• TWEAK: Optimization for Resident Evil 2 (2019)
• TWEAK: Optimization for Resident Evil 3 (2020)
• TWEAK: Optimization for Resident Evil 4 (2023)
• TWEAK: Optimization for Resident Evil Resistance (2020)
• TWEAK: Optimization for The Beast Inside (2019)
• UPDATE: Game detection for Deathloop (2021)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)
• UPDATE: Game detection for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• UPDATE: Game detection for Rage (2011)
• UPDATE: Game detection for Resident Evil 2 (2019)
• UPDATE: Game detection for Resident Evil 3 (2020)
• UPDATE: Game detection for Resident Evil 4 (2023)
• UPDATE: Game detection for Resident Evil Resistance (2020)
• UPDATE: Game detection for Resident Evil Village (2021)
• UPDATE: Game detection for Wolfenstein 2: The New Colossus (2017)
• UPDATE: Game detection for Wolfenstein: The New Order (2014)
• UPDATE: Game detection for Wolfenstein: The Old Blood (2015)
• UPDATE: Game detection for Wolfenstein: Youngblood (2019)

Low Specs Experience v11.6.6 - 2024-03-22
• REWORK: Optimization for Horizon Forbidden West (2024)
• TWEAK: Optimization for Darksiders 3 (2018)
• TWEAK: Optimization for Darksiders Genesis (2019)

Low Specs Experience v11.6.5 - 2024-03-21
• TWEAK: Optimization for Back 4 Blood (2021)
• TWEAK: Optimization for Spyro Reignited Trilogy (2019)
• TWEAK: Optimization for The Sinking City (2019)
• TWEAK: Optimization for Vampyr (2018)
• UPDATE: Game detection for Resident Evil 5 (2009)

Low Specs Experience v11.6.4 - 2024-03-20
• REWORK: Optimization for Accident (2021)
• REWORK: Optimization for Age of Empires 3: Definitive Edition (2020)
• REWORK: Optimization for Agents of Mayhem (2017)
• REWORK: Optimization for Apex Legends (2019)
• REWORK: Optimization for Arma 3 (2013)
• REWORK: Optimization for Back 4 Blood (2021)
• REWORK: Optimization for Cold House (2022)
• REWORK: Optimization for Darksiders 3 (2018)
• REWORK: Optimization for Darksiders Genesis (2019)
• REWORK: Optimization for Daylight (2014)
• REWORK: Optimization for Dishonored 2 (2016)
• REWORK: Optimization for Dishonored: Death of the Outsider (2017)
• REWORK: Optimization for Fast and Furious: Spy Racers Rise of SH1FT3R (2021)
• REWORK: Optimization for Gotham Knights (2022)
• REWORK: Optimization for Heavy Rain (2019)
• REWORK: Optimization for It Takes Two (2021)
• REWORK: Optimization for Need for Speed Heat (2019)
• REWORK: Optimization for Need for Speed Payback (2017)
• REWORK: Optimization for Need for Speed: Hot Pursuit Remastered (2020)
• REWORK: Optimization for Outriders (2021)
• REWORK: Optimization for OVERKILL's The Walking Dead (2018)
• REWORK: Optimization for ReCore: Definitive Edition (2016)
• REWORK: Optimization for Spyro Reignited Trilogy (2019)
• REWORK: Optimization for The Beast Inside (2019)
• REWORK: Optimization for The Elder Scrolls 5: Skyrim Special Edition (2016)
• REWORK: Optimization for The Forest (2018)
• REWORK: Optimization for The Sinking City (2019)
• REWORK: Optimization for The Surge 2 (2019)
• REWORK: Optimization for The Surge (2017)
• REWORK: Optimization for Vampyr (2018)
• REWORK: Optimization for Watch Dogs 2 (2016)
• REWORK: Optimization for Watch Dogs (2014)
• REWORK: Optimization for Watch Dogs: Legion (2020)
• TWEAK: Optimization for Mass Effect: Andromeda (2017)
• UPDATE: Game detection for Cyberpunk 2077 (2020)
• UPDATE: Game detection for Watch Dogs 2 (2016)

Low Specs Experience v11.6.3 - 2024-03-11
• TWEAK: Optimization for Crysis 3 (2013)

Low Specs Experience v11.6.2 - 2024-03-07
• REWORK: Optimization for Crysis 2 (2011)
• REWORK: Optimization for Crysis 2 Remastered (2021)
• REWORK: Optimization for Crysis 3 (2013)
• REWORK: Optimization for Crysis 3 Remastered (2021)
• REWORK: Optimization for Crysis (2007)
• REWORK: Optimization for Crysis Remastered (2020)
• REWORK: Optimization for Crysis Warhead (2008)
• REWORK: Optimization for Deceit (2016)
• REWORK: Optimization for Far Cry 5 (2018)
• REWORK: Optimization for Far Cry 6 (2021)
• REWORK: Optimization for Far Cry New Dawn (2019)
• REWORK: Optimization for Homefront: The Revolution (2016)
• REWORK: Optimization for Hunt: Showdown 1896 (2019)
• REWORK: Optimization for Mad Max (2015)
• REWORK: Optimization for Mass Effect: Andromeda (2017)
• REWORK: Optimization for Mirror's Edge Catalyst (2016)
• REWORK: Optimization for Quantum Break (2016)
• REWORK: Optimization for Sniper: Ghost Warrior 2 (2013)
• REWORK: Optimization for Sniper: Ghost Warrior 3 (2017)
• REWORK: Optimization for Sniper: Ghost Warrior Contracts 2 (2021)
• REWORK: Optimization for Sniper: Ghost Warrior Contracts (2019)
• REWORK: Optimization for State of Decay (2013)
• REWORK: Optimization for State of Decay: Year-One Survival Edition (2015)
• TWEAK: Optimization for Battlefield 3 (2011)
• TWEAK: Optimization for Far Cry 4 (2014)
• TWEAK: Optimization for Prey (2017)
• TWEAK: Optimization for Ryse: Son of Rome (2014)
• UPDATE: Game detection for Battlefield 3 (2011)
• UPDATE: Game detection for Crysis 2 (2011)
• UPDATE: Game detection for Crysis 2 Remastered (2021)
• UPDATE: Game detection for Crysis 3 (2013)
• UPDATE: Game detection for Crysis 3 Remastered (2021)
• UPDATE: Game detection for Crysis (2007)
• UPDATE: Game detection for Crysis Remastered (2020)
• UPDATE: Game detection for Crysis Warhead (2008)
• UPDATE: Game detection for Deceit (2016)
• UPDATE: Game detection for Dishonored 2 (2016)
• UPDATE: Game detection for Dishonored: Death of the Outsider (2017)
• UPDATE: Game detection for Far Cry 2 (2008)
• UPDATE: Game detection for Far Cry 3 (2012)
• UPDATE: Game detection for Far Cry 3: Blood Dragon (2013)
• UPDATE: Game detection for Far Cry 4 (2014)
• UPDATE: Game detection for Far Cry 5 (2018)
• UPDATE: Game detection for Far Cry 6 (2021)
• UPDATE: Game detection for Far Cry Primal (2016)
• UPDATE: Game detection for Hunt: Showdown 1896 (2019)
• UPDATE: Game detection for Mad Max (2015)
• UPDATE: Game detection for Mass Effect: Andromeda (2017)
• UPDATE: Game detection for Mirror's Edge Catalyst (2016)
• UPDATE: Game detection for Prey (2017)
• UPDATE: Game detection for Ryse: Son of Rome (2014)
• UPDATE: Game detection for Sniper: Ghost Warrior 2 (2013)
